package com.amap.api.location;

import android.app.Notification;
import android.content.Context;
import android.content.Intent;
import android.os.Looper;
import android.text.TextUtils;
import android.webkit.WebView;
import com.loc.d;
import com.loc.ei;
import com.loc.em;
import com.loc.n;
import org.json.JSONObject;
/* loaded from: classes.dex */
public class AMapLocationClient {

    /* renamed from: a  reason: collision with root package name */
    Context f136a;

    /* renamed from: b  reason: collision with root package name */
    d f137b;

    public AMapLocationClient(Context context) {
        try {
            if (context == null) {
                throw new IllegalArgumentException("Context参数不能为null");
            }
            this.f136a = context.getApplicationContext();
            this.f137b = new d(context, null, null);
        } catch (Throwable th) {
            ei.a(th, "AMClt", "ne1");
        }
    }

    public AMapLocationClient(Context context, Intent intent) {
        try {
            if (context == null) {
                throw new IllegalArgumentException("Context参数不能为null");
            }
            this.f136a = context.getApplicationContext();
            this.f137b = new d(this.f136a, intent, null);
        } catch (Throwable th) {
            ei.a(th, "AMClt", "ne2");
        }
    }

    public AMapLocationClient(Looper looper, Context context) {
        try {
            if (context == null) {
                throw new IllegalArgumentException("Context参数不能为null");
            }
            this.f136a = context.getApplicationContext();
            this.f137b = new d(this.f136a, null, looper);
        } catch (Throwable th) {
            ei.a(th, "AMClt", "ne3");
        }
    }

    public static String getDeviceId(Context context) {
        return n.x(context);
    }

    public static void setApiKey(String str) {
        try {
            AMapLocationClientOption.f138a = str;
        } catch (Throwable th) {
            ei.a(th, "AMClt", "sKey");
        }
    }

    public void disableBackgroundLocation(boolean z) {
        try {
            if (this.f137b != null) {
                this.f137b.a(z);
            }
        } catch (Throwable th) {
            ei.a(th, "AMClt", "dBackL");
        }
    }

    public void enableBackgroundLocation(int i, Notification notification) {
        try {
            if (this.f137b != null) {
                this.f137b.a(i, notification);
            }
        } catch (Throwable th) {
            ei.a(th, "AMClt", "eBackL");
        }
    }

    public AMapLocation getLastKnownLocation() {
        try {
            if (this.f137b != null) {
                return this.f137b.e();
            }
        } catch (Throwable th) {
            ei.a(th, "AMClt", "gLastL");
        }
        return null;
    }

    public String getVersion() {
        return "5.0.0";
    }

    public boolean isStarted() {
        try {
            if (this.f137b != null) {
                return this.f137b.a();
            }
        } catch (Throwable th) {
            ei.a(th, "AMClt", "isS");
        }
        return false;
    }

    public void onDestroy() {
        try {
            if (this.f137b != null) {
                this.f137b.d();
            }
        } catch (Throwable th) {
            ei.a(th, "AMClt", "onDy");
        }
    }

    public void setLocationListener(AMapLocationListener aMapLocationListener) {
        try {
            if (aMapLocationListener == null) {
                throw new IllegalArgumentException("listener参数不能为null");
            }
            if (this.f137b != null) {
                this.f137b.a(aMapLocationListener);
            }
        } catch (Throwable th) {
            ei.a(th, "AMClt", "sLocL");
        }
    }

    public void setLocationOption(AMapLocationClientOption aMapLocationClientOption) {
        try {
            if (aMapLocationClientOption == null) {
                throw new IllegalArgumentException("LocationManagerOption参数不能为null");
            }
            if (this.f137b != null) {
                this.f137b.a(aMapLocationClientOption);
            }
            if (aMapLocationClientOption.f139b) {
                aMapLocationClientOption.f139b = false;
                JSONObject jSONObject = new JSONObject();
                if (!TextUtils.isEmpty(aMapLocationClientOption.f140c)) {
                    jSONObject.put("amap_loc_scenes_type", aMapLocationClientOption.f140c);
                }
                em.a(this.f136a, "O019", jSONObject);
            }
        } catch (Throwable th) {
            ei.a(th, "AMClt", "sLocnO");
        }
    }

    public void startAssistantLocation() {
        try {
            if (this.f137b != null) {
                this.f137b.f();
            }
        } catch (Throwable th) {
            ei.a(th, "AMClt", "stAssLo");
        }
    }

    public void startAssistantLocation(WebView webView) {
        try {
            if (this.f137b != null) {
                this.f137b.a(webView);
            }
        } catch (Throwable th) {
            ei.a(th, "AMClt", "sttAssL1");
        }
    }

    public void startLocation() {
        try {
            if (this.f137b != null) {
                this.f137b.b();
            }
        } catch (Throwable th) {
            ei.a(th, "AMClt", "stl");
        }
    }

    public void stopAssistantLocation() {
        try {
            if (this.f137b != null) {
                this.f137b.g();
            }
        } catch (Throwable th) {
            ei.a(th, "AMClt", "stAssL");
        }
    }

    public void stopLocation() {
        try {
            if (this.f137b != null) {
                this.f137b.c();
            }
        } catch (Throwable th) {
            ei.a(th, "AMClt", "stl");
        }
    }

    public void unRegisterLocationListener(AMapLocationListener aMapLocationListener) {
        try {
            if (this.f137b != null) {
                this.f137b.b(aMapLocationListener);
            }
        } catch (Throwable th) {
            ei.a(th, "AMClt", "unRL");
        }
    }
}
