package com.amap.api.location;

import android.content.Context;
import android.text.TextUtils;
import com.loc.ei;
import com.loc.ek;
import com.loc.em;
import com.loc.eo;
import org.json.JSONObject;
/* loaded from: classes.dex */
public class CoordinateConverter {

    /* renamed from: b  reason: collision with root package name */
    private static int f154b = 0;

    /* renamed from: c  reason: collision with root package name */
    private static int f155c = 1;
    private static int d = 2;
    private static int e = 4;
    private static int f = 8;
    private static int g = 16;
    private static int h = 32;
    private static int i = 64;
    private Context j;
    private CoordType k = null;
    private DPoint l = null;

    /* renamed from: a  reason: collision with root package name */
    DPoint f156a = null;

    /* loaded from: classes.dex */
    public enum CoordType {
        BAIDU,
        MAPBAR,
        MAPABC,
        SOSOMAP,
        ALIYUN,
        GOOGLE,
        GPS
    }

    public CoordinateConverter(Context context) {
        this.j = context;
    }

    public static float calculateLineDistance(DPoint dPoint, DPoint dPoint2) {
        try {
            return eo.a(dPoint, dPoint2);
        } catch (Throwable th) {
            return 0.0f;
        }
    }

    public static boolean isAMapDataAvailable(double d2, double d3) {
        return ei.a(d2, d3);
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    public synchronized DPoint convert() {
        DPoint dPoint;
        boolean z = true;
        synchronized (this) {
            if (this.k == null) {
                throw new IllegalArgumentException("转换坐标类型不能为空");
            }
            if (this.l == null) {
                throw new IllegalArgumentException("转换坐标源不能为空");
            }
            if (this.l.getLongitude() > 180.0d || this.l.getLongitude() < -180.0d) {
                throw new IllegalArgumentException("请传入合理经度");
            }
            if (this.l.getLatitude() > 90.0d || this.l.getLatitude() < -90.0d) {
                throw new IllegalArgumentException("请传入合理纬度");
            }
            String str = null;
            switch (this.k) {
                case BAIDU:
                    this.f156a = ek.a(this.l);
                    if ((f154b & f155c) == 0) {
                        str = "baidu";
                        f154b |= f155c;
                        break;
                    }
                    z = false;
                    break;
                case MAPBAR:
                    this.f156a = ek.b(this.j, this.l);
                    if ((f154b & d) == 0) {
                        str = "mapbar";
                        f154b |= d;
                        break;
                    }
                    z = false;
                    break;
                case MAPABC:
                    if ((f154b & e) == 0) {
                        str = "mapabc";
                        f154b |= e;
                    } else {
                        z = false;
                    }
                    this.f156a = this.l;
                    break;
                case SOSOMAP:
                    if ((f154b & f) == 0) {
                        str = "sosomap";
                        f154b |= f;
                    } else {
                        z = false;
                    }
                    this.f156a = this.l;
                    break;
                case ALIYUN:
                    if ((f154b & g) == 0) {
                        str = "aliyun";
                        f154b |= g;
                    } else {
                        z = false;
                    }
                    this.f156a = this.l;
                    break;
                case GOOGLE:
                    if ((f154b & h) == 0) {
                        str = "google";
                        f154b |= h;
                    } else {
                        z = false;
                    }
                    this.f156a = this.l;
                    break;
                case GPS:
                    if ((f154b & i) == 0) {
                        str = "gps";
                        f154b |= i;
                    } else {
                        z = false;
                    }
                    this.f156a = ek.a(this.j, this.l);
                    break;
                default:
                    z = false;
                    break;
            }
            if (z) {
                JSONObject jSONObject = new JSONObject();
                if (!TextUtils.isEmpty(str)) {
                    jSONObject.put("amap_loc_coordinate", str);
                }
                em.a(this.j, "O021", jSONObject);
            }
            dPoint = this.f156a;
        }
        return dPoint;
    }

    public synchronized CoordinateConverter coord(DPoint dPoint) {
        if (dPoint == null) {
            throw new IllegalArgumentException("传入经纬度对象为空");
        }
        if (dPoint.getLongitude() > 180.0d || dPoint.getLongitude() < -180.0d) {
            throw new IllegalArgumentException("请传入合理经度");
        }
        if (dPoint.getLatitude() > 90.0d || dPoint.getLatitude() < -90.0d) {
            throw new IllegalArgumentException("请传入合理纬度");
        }
        this.l = dPoint;
        return this;
    }

    public synchronized CoordinateConverter from(CoordType coordType) {
        this.k = coordType;
        return this;
    }
}
