package com.baidu.location;

import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.os.Messenger;
import java.util.List;
/* loaded from: classes.dex */
public class GeofenceClient implements InterfaceC0059e {
    public static final String BUNDLE_FOR_GEOFENCE_ID = "geofence_id";
    private static final int bm = 1;
    private static long bq = C0064j.lk;
    private Context bi;
    private OnGeofenceTriggerListener bj;
    private boolean bo = false;
    private Messenger bn = null;
    private a bp = new a(this, null);
    private Messenger bl = new Messenger(this.bp);
    private ServiceConnection bk = new ServiceConnectionC0056b(this);

    /* loaded from: classes.dex */
    public interface OnAddBDGeofencesResultListener {
        void onAddBDGeofencesResult(int i, String str);
    }

    /* loaded from: classes.dex */
    public interface OnGeofenceTriggerListener {
        void onGeofenceExit(String str);

        void onGeofenceTrigger(String str);
    }

    /* loaded from: classes.dex */
    public interface OnRemoveBDGeofencesResultListener {
        void onRemoveBDGeofencesByRequestIdsResult(int i, String[] strArr);
    }

    /* loaded from: classes.dex */
    private class a extends Handler {
        private a() {
        }

        /* synthetic */ a(GeofenceClient geofenceClient, ServiceConnectionC0056b serviceConnectionC0056b) {
            this();
        }

        @Override // android.os.Handler
        public void handleMessage(Message message) {
            Bundle data = message.getData();
            switch (message.what) {
                case 1:
                    GeofenceClient.this.d();
                    return;
                case InterfaceC0059e.f50goto /* 208 */:
                    if (data != null) {
                        GeofenceClient.this.m54for(data.getString(GeofenceClient.BUNDLE_FOR_GEOFENCE_ID));
                        return;
                    }
                    return;
                case InterfaceC0059e.i /* 209 */:
                    if (data != null) {
                        GeofenceClient.this.m59int(data.getString(GeofenceClient.BUNDLE_FOR_GEOFENCE_ID));
                        return;
                    }
                    return;
                default:
                    return;
            }
        }
    }

    public GeofenceClient(Context context) {
        this.bi = context;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void d() {
        if (this.bo) {
            return;
        }
        Intent intent = new Intent(this.bi, ServiceC0060f.class);
        intent.putExtra("interval", bq);
        try {
            this.bi.bindService(intent, this.bk, 1);
        } catch (Exception e) {
            this.bo = false;
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public static long e() {
        return bq;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: for  reason: not valid java name */
    public void m54for(String str) {
        if (this.bj != null) {
            this.bj.onGeofenceTrigger(str);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: int  reason: not valid java name */
    public void m59int(String str) {
        if (this.bj != null) {
            this.bj.onGeofenceExit(str);
        }
    }

    /* renamed from: void  reason: not valid java name */
    private void m60void() {
        try {
            Message obtain = Message.obtain((Handler) null, (int) InterfaceC0059e.Q);
            obtain.replyTo = this.bl;
            this.bn.send(obtain);
        } catch (Exception e) {
        }
    }

    public void addBDGeofence(BDGeofence bDGeofence, OnAddBDGeofencesResultListener onAddBDGeofencesResultListener) {
        A.a(bDGeofence, "geofence is null");
        if (bDGeofence != null) {
            A.m9if(bDGeofence instanceof C, "BDGeofence must be created using BDGeofence.Builder");
        }
        G.m44for(this.bi).m49if((C) bDGeofence, onAddBDGeofencesResultListener);
    }

    public boolean isStarted() {
        return this.bo;
    }

    public void registerGeofenceTriggerListener(OnGeofenceTriggerListener onGeofenceTriggerListener) {
        if (this.bj == null) {
            this.bj = onGeofenceTriggerListener;
        }
    }

    public void removeBDGeofences(List list, OnRemoveBDGeofencesResultListener onRemoveBDGeofencesResultListener) {
        G.m44for(this.bi).m50if(list, onRemoveBDGeofencesResultListener);
    }

    public void setInterval(long j) {
        if (j > bq) {
            bq = j;
        }
    }

    public void start() {
        A.a(this.bj, "OnGeofenceTriggerListener not register!");
        this.bp.obtainMessage(1).sendToTarget();
    }

    public void startGeofenceScann() {
        if (this.bo) {
            try {
                Message obtain = Message.obtain((Handler) null, (int) InterfaceC0059e.p);
                obtain.replyTo = this.bl;
                this.bn.send(obtain);
            } catch (Exception e) {
            }
        }
    }

    public void stop() {
        m60void();
    }
}
