package com.bumptech.glide.d.b.a;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.os.Build;
import android.util.Log;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;
/* compiled from: LruBitmapPool.java */
/* loaded from: classes.dex */
public class f implements c {

    /* renamed from: a  reason: collision with root package name */
    private static final Bitmap.Config f431a = Bitmap.Config.ARGB_8888;

    /* renamed from: b  reason: collision with root package name */
    private final g f432b;

    /* renamed from: c  reason: collision with root package name */
    private final Set<Bitmap.Config> f433c;
    private final int d;
    private final a e;
    private int f;
    private int g;
    private int h;
    private int i;
    private int j;
    private int k;

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: LruBitmapPool.java */
    /* loaded from: classes.dex */
    public interface a {
        void a(Bitmap bitmap);

        void b(Bitmap bitmap);
    }

    f(int i, g gVar, Set<Bitmap.Config> set) {
        this.d = i;
        this.f = i;
        this.f432b = gVar;
        this.f433c = set;
        this.e = new b();
    }

    public f(int i) {
        this(i, e(), f());
    }

    @Override // com.bumptech.glide.d.b.a.c
    public synchronized boolean a(Bitmap bitmap) {
        boolean z;
        if (bitmap == null) {
            throw new NullPointerException("Bitmap must not be null");
        }
        if (!bitmap.isMutable() || this.f432b.c(bitmap) > this.f || !this.f433c.contains(bitmap.getConfig())) {
            if (Log.isLoggable("LruBitmapPool", 2)) {
                Log.v("LruBitmapPool", "Reject bitmap from pool, bitmap: " + this.f432b.b(bitmap) + ", is mutable: " + bitmap.isMutable() + ", is allowed config: " + this.f433c.contains(bitmap.getConfig()));
            }
            z = false;
        } else {
            int c2 = this.f432b.c(bitmap);
            this.f432b.a(bitmap);
            this.e.a(bitmap);
            this.j++;
            this.g = c2 + this.g;
            if (Log.isLoggable("LruBitmapPool", 2)) {
                Log.v("LruBitmapPool", "Put bitmap in pool=" + this.f432b.b(bitmap));
            }
            c();
            b();
            z = true;
        }
        return z;
    }

    private void b() {
        b(this.f);
    }

    @Override // com.bumptech.glide.d.b.a.c
    public synchronized Bitmap a(int i, int i2, Bitmap.Config config) {
        Bitmap b2;
        b2 = b(i, i2, config);
        if (b2 != null) {
            b2.eraseColor(0);
        }
        return b2;
    }

    @Override // com.bumptech.glide.d.b.a.c
    @TargetApi(12)
    public synchronized Bitmap b(int i, int i2, Bitmap.Config config) {
        Bitmap a2;
        a2 = this.f432b.a(i, i2, config != null ? config : f431a);
        if (a2 == null) {
            if (Log.isLoggable("LruBitmapPool", 3)) {
                Log.d("LruBitmapPool", "Missing bitmap=" + this.f432b.b(i, i2, config));
            }
            this.i++;
        } else {
            this.h++;
            this.g -= this.f432b.c(a2);
            this.e.b(a2);
            if (Build.VERSION.SDK_INT >= 12) {
                a2.setHasAlpha(true);
            }
        }
        if (Log.isLoggable("LruBitmapPool", 2)) {
            Log.v("LruBitmapPool", "Get bitmap=" + this.f432b.b(i, i2, config));
        }
        c();
        return a2;
    }

    @Override // com.bumptech.glide.d.b.a.c
    public void a() {
        if (Log.isLoggable("LruBitmapPool", 3)) {
            Log.d("LruBitmapPool", "clearMemory");
        }
        b(0);
    }

    @Override // com.bumptech.glide.d.b.a.c
    @SuppressLint({"InlinedApi"})
    public void a(int i) {
        if (Log.isLoggable("LruBitmapPool", 3)) {
            Log.d("LruBitmapPool", "trimMemory, level=" + i);
        }
        if (i >= 60) {
            a();
        } else if (i >= 40) {
            b(this.f / 2);
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x0020, code lost:
        r4.g = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0014, code lost:
        if (android.util.Log.isLoggable("LruBitmapPool", 5) == false) goto L17;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0016, code lost:
        android.util.Log.w("LruBitmapPool", "Size mismatch, resetting");
        d();
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private synchronized void b(int i) {
        while (true) {
            if (this.g <= i) {
                break;
            }
            Bitmap a2 = this.f432b.a();
            if (a2 == null) {
                break;
            }
            this.e.b(a2);
            this.g -= this.f432b.c(a2);
            a2.recycle();
            this.k++;
            if (Log.isLoggable("LruBitmapPool", 3)) {
                Log.d("LruBitmapPool", "Evicting bitmap=" + this.f432b.b(a2));
            }
            c();
        }
    }

    private void c() {
        if (Log.isLoggable("LruBitmapPool", 2)) {
            d();
        }
    }

    private void d() {
        Log.v("LruBitmapPool", "Hits=" + this.h + ", misses=" + this.i + ", puts=" + this.j + ", evictions=" + this.k + ", currentSize=" + this.g + ", maxSize=" + this.f + "\nStrategy=" + this.f432b);
    }

    private static g e() {
        if (Build.VERSION.SDK_INT >= 19) {
            return new i();
        }
        return new com.bumptech.glide.d.b.a.a();
    }

    private static Set<Bitmap.Config> f() {
        HashSet hashSet = new HashSet();
        hashSet.addAll(Arrays.asList(Bitmap.Config.values()));
        if (Build.VERSION.SDK_INT >= 19) {
            hashSet.add(null);
        }
        return Collections.unmodifiableSet(hashSet);
    }

    /* compiled from: LruBitmapPool.java */
    /* loaded from: classes.dex */
    private static class b implements a {
        private b() {
        }

        @Override // com.bumptech.glide.d.b.a.f.a
        public void a(Bitmap bitmap) {
        }

        @Override // com.bumptech.glide.d.b.a.f.a
        public void b(Bitmap bitmap) {
        }
    }
}
