package com.bumptech.glide.d.d.a;

import android.support.v4.internal.view.SupportMenu;
import android.support.v4.view.MotionEventCompat;
import android.util.Log;
import com.loopj.android.http.AsyncHttpResponseHandler;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
/* compiled from: ImageHeaderParser.java */
/* loaded from: classes.dex */
public class l {

    /* renamed from: a  reason: collision with root package name */
    private static final byte[] f562a;

    /* renamed from: b  reason: collision with root package name */
    private static final int[] f563b = {0, 1, 1, 2, 4, 8, 1, 1, 2, 4, 8, 4, 8};

    /* renamed from: c  reason: collision with root package name */
    private final c f564c;

    /* compiled from: ImageHeaderParser.java */
    /* loaded from: classes.dex */
    public enum a {
        GIF(true),
        JPEG(false),
        PNG_A(true),
        PNG(false),
        UNKNOWN(false);
        
        private final boolean hasAlpha;

        a(boolean z) {
            this.hasAlpha = z;
        }

        public boolean hasAlpha() {
            return this.hasAlpha;
        }
    }

    static {
        byte[] bArr = new byte[0];
        try {
            bArr = "Exif\u0000\u0000".getBytes(AsyncHttpResponseHandler.DEFAULT_CHARSET);
        } catch (UnsupportedEncodingException e) {
        }
        f562a = bArr;
    }

    public l(InputStream inputStream) {
        this.f564c = new c(inputStream);
    }

    public boolean a() {
        return b().hasAlpha();
    }

    public a b() {
        int a2 = this.f564c.a();
        if (a2 == 65496) {
            return a.JPEG;
        }
        int a3 = ((a2 << 16) & SupportMenu.CATEGORY_MASK) | (this.f564c.a() & SupportMenu.USER_MASK);
        if (a3 == -1991225785) {
            this.f564c.a(21L);
            return this.f564c.c() >= 3 ? a.PNG_A : a.PNG;
        } else if ((a3 >> 8) == 4671814) {
            return a.GIF;
        } else {
            return a.UNKNOWN;
        }
    }

    public int c() {
        boolean z = false;
        if (a(this.f564c.a())) {
            byte[] d = d();
            boolean z2 = d != null && d.length > f562a.length;
            if (z2) {
                for (int i = 0; i < f562a.length; i++) {
                    if (d[i] != f562a[i]) {
                        break;
                    }
                }
            }
            z = z2;
            if (z) {
                return a(new b(d));
            }
            return -1;
        }
        return -1;
    }

    private byte[] d() {
        short b2;
        short b3;
        int a2;
        long a3;
        do {
            if (this.f564c.b() != 255) {
                if (Log.isLoggable("ImageHeaderParser", 3)) {
                    Log.d("ImageHeaderParser", "Unknown segmentId=" + ((int) b2));
                    return null;
                }
                return null;
            }
            b3 = this.f564c.b();
            if (b3 == 218) {
                return null;
            }
            if (b3 == 217) {
                if (Log.isLoggable("ImageHeaderParser", 3)) {
                    Log.d("ImageHeaderParser", "Found MARKER_EOI in exif segment");
                    return null;
                }
                return null;
            }
            a2 = this.f564c.a() - 2;
            if (b3 != 225) {
                a3 = this.f564c.a(a2);
            } else {
                byte[] bArr = new byte[a2];
                int a4 = this.f564c.a(bArr);
                if (a4 != a2) {
                    if (Log.isLoggable("ImageHeaderParser", 3)) {
                        Log.d("ImageHeaderParser", "Unable to read segment data, type: " + ((int) b3) + ", length: " + a2 + ", actually read: " + a4);
                        return null;
                    }
                    return null;
                }
                return bArr;
            }
        } while (a3 == a2);
        if (Log.isLoggable("ImageHeaderParser", 3)) {
            Log.d("ImageHeaderParser", "Unable to skip enough data, type: " + ((int) b3) + ", wanted to skip: " + a2 + ", but actually skipped: " + a3);
            return null;
        }
        return null;
    }

    private static int a(b bVar) {
        ByteOrder byteOrder;
        int length = "Exif\u0000\u0000".length();
        short b2 = bVar.b(length);
        if (b2 == 19789) {
            byteOrder = ByteOrder.BIG_ENDIAN;
        } else if (b2 == 18761) {
            byteOrder = ByteOrder.LITTLE_ENDIAN;
        } else {
            if (Log.isLoggable("ImageHeaderParser", 3)) {
                Log.d("ImageHeaderParser", "Unknown endianness = " + ((int) b2));
            }
            byteOrder = ByteOrder.BIG_ENDIAN;
        }
        bVar.a(byteOrder);
        int a2 = length + bVar.a(length + 4);
        short b3 = bVar.b(a2);
        for (int i = 0; i < b3; i++) {
            int a3 = a(a2, i);
            short b4 = bVar.b(a3);
            if (b4 == 274) {
                short b5 = bVar.b(a3 + 2);
                if (b5 < 1 || b5 > 12) {
                    if (Log.isLoggable("ImageHeaderParser", 3)) {
                        Log.d("ImageHeaderParser", "Got invalid format code=" + ((int) b5));
                    }
                } else {
                    int a4 = bVar.a(a3 + 4);
                    if (a4 < 0) {
                        if (Log.isLoggable("ImageHeaderParser", 3)) {
                            Log.d("ImageHeaderParser", "Negative tiff component count");
                        }
                    } else {
                        if (Log.isLoggable("ImageHeaderParser", 3)) {
                            Log.d("ImageHeaderParser", "Got tagIndex=" + i + " tagType=" + ((int) b4) + " formatCode=" + ((int) b5) + " componentCount=" + a4);
                        }
                        int i2 = a4 + f563b[b5];
                        if (i2 > 4) {
                            if (Log.isLoggable("ImageHeaderParser", 3)) {
                                Log.d("ImageHeaderParser", "Got byte count > 4, not orientation, continuing, formatCode=" + ((int) b5));
                            }
                        } else {
                            int i3 = a3 + 8;
                            if (i3 < 0 || i3 > bVar.a()) {
                                if (Log.isLoggable("ImageHeaderParser", 3)) {
                                    Log.d("ImageHeaderParser", "Illegal tagValueOffset=" + i3 + " tagType=" + ((int) b4));
                                }
                            } else if (i2 < 0 || i3 + i2 > bVar.a()) {
                                if (Log.isLoggable("ImageHeaderParser", 3)) {
                                    Log.d("ImageHeaderParser", "Illegal number of bytes for TI tag data tagType=" + ((int) b4));
                                }
                            } else {
                                return bVar.b(i3);
                            }
                        }
                    }
                }
            }
        }
        return -1;
    }

    private static int a(int i, int i2) {
        return i + 2 + (i2 * 12);
    }

    private static boolean a(int i) {
        return (i & 65496) == 65496 || i == 19789 || i == 18761;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: ImageHeaderParser.java */
    /* loaded from: classes.dex */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        private final ByteBuffer f566a;

        public b(byte[] bArr) {
            this.f566a = ByteBuffer.wrap(bArr);
            this.f566a.order(ByteOrder.BIG_ENDIAN);
        }

        public void a(ByteOrder byteOrder) {
            this.f566a.order(byteOrder);
        }

        public int a() {
            return this.f566a.array().length;
        }

        public int a(int i) {
            return this.f566a.getInt(i);
        }

        public short b(int i) {
            return this.f566a.getShort(i);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: ImageHeaderParser.java */
    /* loaded from: classes.dex */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        private final InputStream f567a;

        public c(InputStream inputStream) {
            this.f567a = inputStream;
        }

        public int a() {
            return ((this.f567a.read() << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (this.f567a.read() & 255);
        }

        public short b() {
            return (short) (this.f567a.read() & 255);
        }

        public long a(long j) {
            if (j < 0) {
                return 0L;
            }
            long j2 = j;
            while (j2 > 0) {
                long skip = this.f567a.skip(j2);
                if (skip > 0) {
                    j2 -= skip;
                } else if (this.f567a.read() == -1) {
                    break;
                } else {
                    j2--;
                }
            }
            return j - j2;
        }

        public int a(byte[] bArr) {
            int length = bArr.length;
            while (length > 0) {
                int read = this.f567a.read(bArr, bArr.length - length, length);
                if (read == -1) {
                    break;
                }
                length -= read;
            }
            return bArr.length - length;
        }

        public int c() {
            return this.f567a.read();
        }
    }
}
