package com.bumptech.glide.d.d.a;

import android.util.Log;
import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;
/* compiled from: RecyclableBufferedInputStream.java */
/* loaded from: classes.dex */
public class o extends FilterInputStream {

    /* renamed from: a  reason: collision with root package name */
    private volatile byte[] f573a;

    /* renamed from: b  reason: collision with root package name */
    private int f574b;

    /* renamed from: c  reason: collision with root package name */
    private int f575c;
    private int d;
    private int e;

    public o(InputStream inputStream, byte[] bArr) {
        super(inputStream);
        this.d = -1;
        if (bArr == null || bArr.length == 0) {
            throw new IllegalArgumentException("buffer is null or empty");
        }
        this.f573a = bArr;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int available() {
        InputStream inputStream;
        inputStream = this.in;
        if (this.f573a == null || inputStream == null) {
            throw b();
        }
        return inputStream.available() + (this.f574b - this.e);
    }

    private static IOException b() {
        throw new IOException("BufferedInputStream is closed");
    }

    public synchronized void a() {
        this.f575c = this.f573a.length;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        this.f573a = null;
        InputStream inputStream = this.in;
        this.in = null;
        if (inputStream != null) {
            inputStream.close();
        }
    }

    private int a(InputStream inputStream, byte[] bArr) {
        if (this.d == -1 || this.e - this.d >= this.f575c) {
            int read = inputStream.read(bArr);
            if (read > 0) {
                this.d = -1;
                this.e = 0;
                this.f574b = read;
                return read;
            }
            return read;
        }
        if (this.d == 0 && this.f575c > bArr.length && this.f574b == bArr.length) {
            int length = bArr.length * 2;
            if (length > this.f575c) {
                length = this.f575c;
            }
            if (Log.isLoggable("BufferedIs", 3)) {
                Log.d("BufferedIs", "allocate buffer of length: " + length);
            }
            byte[] bArr2 = new byte[length];
            System.arraycopy(bArr, 0, bArr2, 0, bArr.length);
            this.f573a = bArr2;
            bArr = bArr2;
        } else if (this.d > 0) {
            System.arraycopy(bArr, this.d, bArr, 0, bArr.length - this.d);
        }
        this.e -= this.d;
        this.d = 0;
        this.f574b = 0;
        int read2 = inputStream.read(bArr, this.e, bArr.length - this.e);
        this.f574b = read2 <= 0 ? this.e : this.e + read2;
        return read2;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized void mark(int i) {
        this.f575c = Math.max(this.f575c, i);
        this.d = this.e;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public boolean markSupported() {
        return true;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int read() {
        int i = -1;
        synchronized (this) {
            byte[] bArr = this.f573a;
            InputStream inputStream = this.in;
            if (bArr == null || inputStream == null) {
                throw b();
            }
            if (this.e < this.f574b || a(inputStream, bArr) != -1) {
                if (bArr != this.f573a && (bArr = this.f573a) == null) {
                    throw b();
                }
                if (this.f574b - this.e > 0) {
                    int i2 = this.e;
                    this.e = i2 + 1;
                    i = bArr[i2] & 255;
                }
            }
        }
        return i;
    }

    /* JADX WARN: Removed duplicated region for block: B:58:0x0090 A[Catch: all -> 0x000b, TRY_LEAVE, TryCatch #0 {, blocks: (B:4:0x0002, B:6:0x0006, B:7:0x000a, B:15:0x0013, B:17:0x0017, B:18:0x001b, B:19:0x001c, B:21:0x0022, B:24:0x002a, B:26:0x0036, B:30:0x0044, B:31:0x0047, B:33:0x004b, B:35:0x004e, B:38:0x0056, B:54:0x0085, B:58:0x0090, B:40:0x005b, B:43:0x0063, B:44:0x0066, B:46:0x006a, B:48:0x006e, B:49:0x0072, B:50:0x0073, B:53:0x007b, B:57:0x008a, B:29:0x003e), top: B:62:0x0002 }] */
    /* JADX WARN: Removed duplicated region for block: B:63:0x0088 A[SYNTHETIC] */
    @Override // java.io.FilterInputStream, java.io.InputStream
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public synchronized int read(byte[] bArr, int i, int i2) {
        int i3;
        int i4;
        int i5 = -1;
        synchronized (this) {
            byte[] bArr2 = this.f573a;
            if (bArr2 == null) {
                throw b();
            }
            if (i2 == 0) {
                i5 = 0;
            } else {
                InputStream inputStream = this.in;
                if (inputStream == null) {
                    throw b();
                }
                if (this.e < this.f574b) {
                    int i6 = this.f574b - this.e >= i2 ? i2 : this.f574b - this.e;
                    System.arraycopy(bArr2, this.e, bArr, i, i6);
                    this.e += i6;
                    if (i6 == i2 || inputStream.available() == 0) {
                        i5 = i6;
                    } else {
                        i += i6;
                        i3 = i2 - i6;
                    }
                } else {
                    i3 = i2;
                }
                while (true) {
                    if (this.d == -1 && i3 >= bArr2.length) {
                        i4 = inputStream.read(bArr, i, i3);
                        if (i4 == -1) {
                            if (i3 != i2) {
                                i5 = i2 - i3;
                            }
                        }
                        i3 -= i4;
                        if (i3 != 0) {
                        }
                    } else if (a(inputStream, bArr2) == -1) {
                        if (i3 != i2) {
                            i5 = i2 - i3;
                        }
                    } else if (bArr2 != this.f573a && (bArr2 = this.f573a) == null) {
                        throw b();
                    } else {
                        i4 = this.f574b - this.e >= i3 ? i3 : this.f574b - this.e;
                        System.arraycopy(bArr2, this.e, bArr, i, i4);
                        this.e += i4;
                        i3 -= i4;
                        if (i3 != 0) {
                            i5 = i2;
                            break;
                        } else if (inputStream.available() == 0) {
                            i5 = i2 - i3;
                            break;
                        } else {
                            i += i4;
                        }
                    }
                }
            }
        }
        return i5;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized void reset() {
        if (this.f573a == null) {
            throw new IOException("Stream is closed");
        }
        if (-1 == this.d) {
            throw new a("Mark has been invalidated");
        }
        this.e = this.d;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized long skip(long j) {
        byte[] bArr = this.f573a;
        InputStream inputStream = this.in;
        if (bArr == null) {
            throw b();
        }
        if (j < 1) {
            j = 0;
        } else if (inputStream == null) {
            throw b();
        } else {
            if (this.f574b - this.e >= j) {
                this.e = (int) (this.e + j);
            } else {
                long j2 = this.f574b - this.e;
                this.e = this.f574b;
                if (this.d != -1 && j <= this.f575c) {
                    if (a(inputStream, bArr) == -1) {
                        j = j2;
                    } else if (this.f574b - this.e >= j - j2) {
                        this.e = (int) ((j - j2) + this.e);
                    } else {
                        j = (j2 + this.f574b) - this.e;
                        this.e = this.f574b;
                    }
                } else {
                    j = j2 + inputStream.skip(j - j2);
                }
            }
        }
        return j;
    }

    /* compiled from: RecyclableBufferedInputStream.java */
    /* loaded from: classes.dex */
    public static class a extends RuntimeException {
        private static final long serialVersionUID = -4338378848813561757L;

        public a(String str) {
            super(str);
        }
    }
}
