package com.bumptech.glide.g.b;

import android.annotation.TargetApi;
import android.graphics.Point;
import android.os.Build;
import android.util.Log;
import android.view.Display;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.WindowManager;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.List;
/* compiled from: ViewTarget.java */
/* loaded from: classes.dex */
public abstract class k<T extends View, Z> extends com.bumptech.glide.g.b.a<Z> {

    /* renamed from: b  reason: collision with root package name */
    private static boolean f688b = false;

    /* renamed from: c  reason: collision with root package name */
    private static Integer f689c = null;

    /* renamed from: a  reason: collision with root package name */
    protected final T f690a;
    private final a d;

    public k(T t) {
        if (t == null) {
            throw new NullPointerException("View must not be null!");
        }
        this.f690a = t;
        this.d = new a(t);
    }

    public T a() {
        return this.f690a;
    }

    @Override // com.bumptech.glide.g.b.j
    public void a(h hVar) {
        this.d.a(hVar);
    }

    @Override // com.bumptech.glide.g.b.a, com.bumptech.glide.g.b.j
    public void a(com.bumptech.glide.g.b bVar) {
        a((Object) bVar);
    }

    @Override // com.bumptech.glide.g.b.a, com.bumptech.glide.g.b.j
    public com.bumptech.glide.g.b c() {
        Object g = g();
        if (g == null) {
            return null;
        }
        if (g instanceof com.bumptech.glide.g.b) {
            return (com.bumptech.glide.g.b) g;
        }
        throw new IllegalArgumentException("You must not call setTag() on a view Glide is targeting");
    }

    private void a(Object obj) {
        if (f689c == null) {
            f688b = true;
            this.f690a.setTag(obj);
            return;
        }
        this.f690a.setTag(f689c.intValue(), obj);
    }

    private Object g() {
        return f689c == null ? this.f690a.getTag() : this.f690a.getTag(f689c.intValue());
    }

    public String toString() {
        return "Target for: " + this.f690a;
    }

    /* compiled from: ViewTarget.java */
    /* loaded from: classes.dex */
    private static class a {

        /* renamed from: a  reason: collision with root package name */
        private final View f691a;

        /* renamed from: b  reason: collision with root package name */
        private final List<h> f692b = new ArrayList();

        /* renamed from: c  reason: collision with root package name */
        private ViewTreeObserver$OnPreDrawListenerC0024a f693c;
        private Point d;

        public a(View view) {
            this.f691a = view;
        }

        private void a(int i, int i2) {
            for (h hVar : this.f692b) {
                hVar.a(i, i2);
            }
            this.f692b.clear();
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void a() {
            if (!this.f692b.isEmpty()) {
                int c2 = c();
                int b2 = b();
                if (a(c2) && a(b2)) {
                    a(c2, b2);
                    ViewTreeObserver viewTreeObserver = this.f691a.getViewTreeObserver();
                    if (viewTreeObserver.isAlive()) {
                        viewTreeObserver.removeOnPreDrawListener(this.f693c);
                    }
                    this.f693c = null;
                }
            }
        }

        public void a(h hVar) {
            int c2 = c();
            int b2 = b();
            if (a(c2) && a(b2)) {
                hVar.a(c2, b2);
                return;
            }
            if (!this.f692b.contains(hVar)) {
                this.f692b.add(hVar);
            }
            if (this.f693c == null) {
                ViewTreeObserver viewTreeObserver = this.f691a.getViewTreeObserver();
                this.f693c = new ViewTreeObserver$OnPreDrawListenerC0024a(this);
                viewTreeObserver.addOnPreDrawListener(this.f693c);
            }
        }

        private int b() {
            ViewGroup.LayoutParams layoutParams = this.f691a.getLayoutParams();
            if (a(this.f691a.getHeight())) {
                return this.f691a.getHeight();
            }
            if (layoutParams != null) {
                return a(layoutParams.height, true);
            }
            return 0;
        }

        private int c() {
            ViewGroup.LayoutParams layoutParams = this.f691a.getLayoutParams();
            if (a(this.f691a.getWidth())) {
                return this.f691a.getWidth();
            }
            if (layoutParams != null) {
                return a(layoutParams.width, false);
            }
            return 0;
        }

        private int a(int i, boolean z) {
            if (i == -2) {
                Point d = d();
                return z ? d.y : d.x;
            }
            return i;
        }

        @TargetApi(13)
        private Point d() {
            if (this.d != null) {
                return this.d;
            }
            Display defaultDisplay = ((WindowManager) this.f691a.getContext().getSystemService("window")).getDefaultDisplay();
            if (Build.VERSION.SDK_INT >= 13) {
                this.d = new Point();
                defaultDisplay.getSize(this.d);
            } else {
                this.d = new Point(defaultDisplay.getWidth(), defaultDisplay.getHeight());
            }
            return this.d;
        }

        private boolean a(int i) {
            return i > 0 || i == -2;
        }

        /* JADX INFO: Access modifiers changed from: private */
        /* compiled from: ViewTarget.java */
        /* renamed from: com.bumptech.glide.g.b.k$a$a  reason: collision with other inner class name */
        /* loaded from: classes.dex */
        public static class ViewTreeObserver$OnPreDrawListenerC0024a implements ViewTreeObserver.OnPreDrawListener {

            /* renamed from: a  reason: collision with root package name */
            private final WeakReference<a> f694a;

            public ViewTreeObserver$OnPreDrawListenerC0024a(a aVar) {
                this.f694a = new WeakReference<>(aVar);
            }

            @Override // android.view.ViewTreeObserver.OnPreDrawListener
            public boolean onPreDraw() {
                if (Log.isLoggable("ViewTarget", 2)) {
                    Log.v("ViewTarget", "OnGlobalLayoutListener called listener=" + this);
                }
                a aVar = this.f694a.get();
                if (aVar != null) {
                    aVar.a();
                    return true;
                }
                return true;
            }
        }
    }
}
