package com.linspirer.utils.d;

import android.content.Context;
import android.text.TextUtils;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.lang.Thread;
import java.util.Arrays;
import java.util.Comparator;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingDeque;
import java.util.concurrent.TimeUnit;
/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: FileLoggerService.java */
/* loaded from: classes.dex */
public class d {

    /* renamed from: a  reason: collision with root package name */
    private static final Comparator<File> f887a = new Comparator<File>() { // from class: com.linspirer.utils.d.d.1
        @Override // java.util.Comparator
        /* renamed from: a */
        public int compare(File file, File file2) {
            long lastModified = file.lastModified();
            long lastModified2 = file2.lastModified();
            if (lastModified < lastModified2) {
                return -1;
            }
            return lastModified == lastModified2 ? 0 : 1;
        }
    };

    /* renamed from: b  reason: collision with root package name */
    private final BlockingQueue<b> f888b = new LinkedBlockingDeque();

    /* renamed from: c  reason: collision with root package name */
    private volatile boolean f889c;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: FileLoggerService.java */
    /* loaded from: classes.dex */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        static final d f890a = new d();
    }

    d() {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static d a() {
        return a.f890a;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void a(Context context, String str, String str2, String str3, long j, boolean z) {
        c();
        if (!this.f888b.offer(new b.a().a(context).a(str).b(str2).c(str3).a(j).a(z).a())) {
            f.c("failed to add to file logger service queue");
        }
    }

    private void c() {
        if (!this.f889c) {
            synchronized (this) {
                if (!this.f889c) {
                    this.f889c = true;
                    f.a("start file logger service thread");
                    new c().start();
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: FileLoggerService.java */
    /* loaded from: classes.dex */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        final Context f891a;

        /* renamed from: b  reason: collision with root package name */
        final String f892b;

        /* renamed from: c  reason: collision with root package name */
        final String f893c;
        final String d;
        final int e;
        final int f;
        long g;
        boolean h;

        b(a aVar) {
            this.f891a = aVar.f894a;
            this.f892b = aVar.f895b;
            this.f893c = aVar.f896c;
            this.d = aVar.d;
            this.e = aVar.e;
            this.f = aVar.f;
            this.g = aVar.g;
            this.h = aVar.h;
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* compiled from: FileLoggerService.java */
        /* loaded from: classes.dex */
        public static class a {

            /* renamed from: a  reason: collision with root package name */
            Context f894a;

            /* renamed from: b  reason: collision with root package name */
            String f895b;

            /* renamed from: c  reason: collision with root package name */
            String f896c;
            String d;
            int e;
            int f;
            long g;
            boolean h;

            a() {
            }

            a a(Context context) {
                this.f894a = context;
                return this;
            }

            a a(String str) {
                this.f895b = str;
                return this;
            }

            a b(String str) {
                this.f896c = str;
                return this;
            }

            a c(String str) {
                this.d = str;
                return this;
            }

            a a(long j) {
                this.g = j;
                return this;
            }

            a a(boolean z) {
                this.h = z;
                return this;
            }

            b a() {
                return new b(this);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: FileLoggerService.java */
    /* loaded from: classes.dex */
    public class c extends Thread {

        /* renamed from: b  reason: collision with root package name */
        private BufferedWriter f898b;

        /* renamed from: c  reason: collision with root package name */
        private String f899c;
        private int d;
        private int e;
        private long f;

        private c() {
        }

        @Override // java.lang.Thread, java.lang.Runnable
        public void run() {
            super.run();
            Thread.currentThread().setUncaughtExceptionHandler(new Thread.UncaughtExceptionHandler() { // from class: com.linspirer.utils.d.d.c.1
                @Override // java.lang.Thread.UncaughtExceptionHandler
                public void uncaughtException(Thread thread, Throwable th) {
                    th.printStackTrace();
                    d.this.f889c = false;
                }
            });
            while (true) {
                try {
                    b bVar = (b) d.this.f888b.take();
                    b(bVar);
                    a(bVar);
                    while (true) {
                        b bVar2 = (b) d.this.f888b.poll(2L, TimeUnit.SECONDS);
                        if (bVar2 != null) {
                            b(bVar2);
                            a(bVar2);
                        }
                    }
                    b();
                    a();
                } catch (InterruptedException e) {
                    f.d("file logger service thread is interrupted");
                    f.a("file logger service thread stopped");
                    d.this.f889c = false;
                    return;
                }
            }
        }

        private void a(b bVar) {
            this.d = bVar.e;
            this.e = bVar.f;
            this.f = bVar.g;
        }

        private void b(b bVar) {
            if (TextUtils.isEmpty(bVar.f892b)) {
                throw new IllegalStateException("invalid file name: [" + bVar.f892b + "]");
            }
            if (TextUtils.isEmpty(bVar.f893c)) {
                throw new IllegalStateException("invalid directory path: [" + bVar.f893c + "]");
            }
            if (!TextUtils.isEmpty(bVar.d) && com.linspirer.utils.d.c.a(new File(bVar.f893c))) {
                File file = new File(bVar.f893c, bVar.f892b);
                String absolutePath = file.getAbsolutePath();
                if (this.f898b != null && absolutePath.equals(this.f899c)) {
                    try {
                        this.f898b.write(bVar.d);
                        this.f898b.write("\n");
                        if (bVar.h) {
                            this.f898b.flush();
                            return;
                        }
                        return;
                    } catch (IOException e) {
                        f.d("file log server ioexception:" + e.getMessage());
                        return;
                    }
                }
                b();
                com.linspirer.utils.d.c.b(file);
                try {
                    this.f898b = a(file);
                    this.f899c = file.getAbsolutePath();
                    this.f898b.write(bVar.d);
                    this.f898b.write("\n");
                    if (bVar.h) {
                        this.f898b.flush();
                    }
                } catch (IOException e2) {
                    f.d("file log server io exception 2:" + e2.getMessage());
                }
            }
        }

        private BufferedWriter a(File file) {
            return new BufferedWriter(new FileWriter(file, true));
        }

        private void a() {
            if (!TextUtils.isEmpty(this.f899c)) {
                a(this.f);
            }
        }

        private void a(long j) {
            File[] listFiles;
            long j2 = 0;
            if (j <= 0) {
                throw new IllegalStateException("invalid max total size: " + j);
            }
            File parentFile = new File(this.f899c).getParentFile();
            if (parentFile != null && (listFiles = parentFile.listFiles()) != null) {
                for (File file : listFiles) {
                    j2 += file.length();
                }
                if (j2 > j) {
                    Arrays.sort(listFiles, d.f887a);
                    long j3 = j2;
                    for (File file2 : listFiles) {
                        long length = file2.length();
                        if (file2.delete()) {
                            j3 -= length;
                            if (j3 <= j) {
                                break;
                            }
                        }
                    }
                    f.a("house keeping complete: total size [" + j2 + "-> " + j3);
                }
            }
        }

        private void b() {
            if (this.f898b != null) {
                try {
                    this.f898b.close();
                } catch (IOException e) {
                    f.d("close writer exception:" + e.getMessage());
                }
                this.f898b = null;
            }
        }
    }
}
