package com.linspirer.utils;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.app.ActivityManager;
import android.bluetooth.BluetoothAdapter;
import android.content.Context;
import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.os.Build;
import android.os.Environment;
import android.os.StatFs;
import android.provider.Settings;
import android.support.v4.media.session.PlaybackStateCompat;
import android.support.v4.os.EnvironmentCompat;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.LineNumberReader;
import java.io.Reader;
import java.lang.reflect.Method;
import java.net.NetworkInterface;
import java.util.Collections;
/* compiled from: LTKDeviceUtil.java */
/* loaded from: classes.dex */
public class e {

    /* renamed from: a  reason: collision with root package name */
    public static int f903a;

    /* renamed from: b  reason: collision with root package name */
    private static Method f904b;

    public static String a(Context context) {
        String d = d(context);
        if (!d.equals(EnvironmentCompat.MEDIA_UNKNOWN)) {
            if (d.a() && Build.VERSION.SDK_INT >= 29) {
                return f(context);
            }
            new g(context, "linslib").a("wifi_mac", d);
            return d;
        }
        String b2 = new g(context, "linslib").b("wifi_mac", EnvironmentCompat.MEDIA_UNKNOWN);
        if (b2.equals(EnvironmentCompat.MEDIA_UNKNOWN)) {
            String b3 = b(context);
            return b3.equals(EnvironmentCompat.MEDIA_UNKNOWN) ? c(context) : b3;
        }
        return b2;
    }

    public static String b(Context context) {
        String deviceId = ((TelephonyManager) context.getSystemService("phone")).getDeviceId();
        return deviceId == null ? EnvironmentCompat.MEDIA_UNKNOWN : deviceId;
    }

    public static String c(Context context) {
        String string = Settings.Secure.getString(context.getContentResolver(), "android_id");
        return string == null ? EnvironmentCompat.MEDIA_UNKNOWN : string;
    }

    public static String d(Context context) {
        String r = r(context);
        if (!b(r) && h() == 23) {
            r = m();
        }
        if (!b(r) && com.linspirer.a.c.f862a != null) {
            r = com.linspirer.a.c.f862a.b();
        }
        if (!b(r)) {
            r = l();
        }
        if (!b(r) && h() >= 29) {
            r = f(context);
        }
        if (!b(r)) {
            r = EnvironmentCompat.MEDIA_UNKNOWN;
        }
        return r.toLowerCase();
    }

    @TargetApi(9)
    private static String l() {
        try {
            for (NetworkInterface networkInterface : Collections.list(NetworkInterface.getNetworkInterfaces())) {
                if (networkInterface.getName().equalsIgnoreCase("wlan0")) {
                    byte[] hardwareAddress = networkInterface.getHardwareAddress();
                    if (hardwareAddress == null) {
                        return null;
                    }
                    StringBuilder sb = new StringBuilder();
                    int length = hardwareAddress.length;
                    for (int i = 0; i < length; i++) {
                        sb.append(String.format("%02X:", Byte.valueOf(hardwareAddress[i])));
                    }
                    if (sb.length() > 0) {
                        sb.deleteCharAt(sb.length() - 1);
                    }
                    return sb.toString();
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    private static boolean b(String str) {
        return (str == null || str.equals("null") || str.equals("") || str.equals("02:00:00:00:00:00") || str.equals(EnvironmentCompat.MEDIA_UNKNOWN)) ? false : true;
    }

    private static String r(Context context) {
        String macAddress;
        WifiManager wifiManager = (WifiManager) context.getApplicationContext().getSystemService("wifi");
        if (wifiManager == null) {
            macAddress = null;
        } else {
            WifiInfo connectionInfo = wifiManager.getConnectionInfo();
            macAddress = connectionInfo == null ? null : connectionInfo.getMacAddress();
        }
        return macAddress == null ? EnvironmentCompat.MEDIA_UNKNOWN : macAddress;
    }

    public static String e(Context context) {
        String b2;
        if (h() < 23) {
            WifiManager wifiManager = (WifiManager) context.getSystemService("wifi");
            if (wifiManager == null) {
                b2 = null;
            } else {
                WifiInfo connectionInfo = wifiManager.getConnectionInfo();
                b2 = connectionInfo == null ? null : connectionInfo.getMacAddress();
            }
        } else if (h() == 23) {
            b2 = m();
        } else if (h() >= 29) {
            b2 = f(context);
        } else {
            b2 = com.linspirer.a.c.f862a != null ? com.linspirer.a.c.f862a.b() : null;
        }
        return b2 == null ? EnvironmentCompat.MEDIA_UNKNOWN : b2;
    }

    /* JADX WARN: Code restructure failed: missing block: B:7:0x0024, code lost:
        r0 = r1.trim();
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static String m() {
        String str = "";
        String str2 = "";
        try {
            LineNumberReader lineNumberReader = new LineNumberReader(new InputStreamReader(Runtime.getRuntime().exec("cat /sys/class/net/wlan0/address").getInputStream()));
            while (true) {
                if (str != null) {
                    str = lineNumberReader.readLine();
                    if (str != null) {
                        break;
                    }
                } else {
                    break;
                }
            }
            if (str2 == null || "".equals(str2)) {
                try {
                    return c("/sys/class/net/eth0/address").toUpperCase().substring(0, 17);
                } catch (Exception e) {
                    e.printStackTrace();
                    return EnvironmentCompat.MEDIA_UNKNOWN;
                }
            }
            return str2;
        } catch (Exception e2) {
            e2.printStackTrace();
            return EnvironmentCompat.MEDIA_UNKNOWN;
        }
    }

    private static String c(String str) {
        FileReader fileReader = new FileReader(str);
        String a2 = a(fileReader);
        fileReader.close();
        return a2;
    }

    private static String a(Reader reader) {
        StringBuilder sb = new StringBuilder();
        char[] cArr = new char[4096];
        int read = reader.read(cArr);
        while (read >= 0) {
            sb.append(cArr, 0, read);
            read = reader.read(cArr);
        }
        return sb.toString();
    }

    @SuppressLint({"MissingPermission"})
    public static String f(Context context) {
        String str = null;
        if (d.g()) {
            str = a("ril.serialnumber");
        } else if (d.f()) {
            str = com.linspirer.a.c.f862a.c();
        } else if (d.d()) {
            str = a("ro.lenovosn2");
        } else if (d.b()) {
            str = Build.SERIAL;
        } else if (d.c() && h() >= 29) {
            try {
                if (Build.VERSION.SDK_INT >= 26) {
                    str = Build.getSerial();
                }
            } catch (Exception e) {
                str = EnvironmentCompat.MEDIA_UNKNOWN;
            }
        } else {
            str = a("ro.serialno");
        }
        if (TextUtils.isEmpty(str) || str.equals(EnvironmentCompat.MEDIA_UNKNOWN)) {
            str = a("ro.boot.sncode");
        }
        if (TextUtils.isEmpty(str) || str.equals(EnvironmentCompat.MEDIA_UNKNOWN)) {
            return Build.SERIAL;
        }
        return str;
    }

    public static String a(String str) {
        try {
            f904b = Class.forName("android.os.SystemProperties").getMethod("get", String.class);
            String str2 = (String) f904b.invoke(null, str);
            return str2 != null ? str2 : "";
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    public static String a() {
        String[] split;
        String a2 = a("ro.build.version.emui");
        if (TextUtils.isEmpty(a2) || (split = a2.split("_")) == null || split.length <= 1) {
            return null;
        }
        return split[1];
    }

    public static String b() {
        BluetoothAdapter defaultAdapter = BluetoothAdapter.getDefaultAdapter();
        return defaultAdapter == null ? EnvironmentCompat.MEDIA_UNKNOWN : defaultAdapter.getAddress();
    }

    public static String g(Context context) {
        String str;
        try {
            str = ((TelephonyManager) context.getSystemService("phone")).getSimSerialNumber();
        } catch (Throwable th) {
            com.linspirer.utils.d.f.b("getSimSerialNumber:" + th.getMessage());
            str = null;
        }
        return str == null ? EnvironmentCompat.MEDIA_UNKNOWN : str;
    }

    public static boolean h(Context context) {
        return (TextUtils.isEmpty(g(context)) || g(context).equals(EnvironmentCompat.MEDIA_UNKNOWN)) ? false : true;
    }

    public static String a(Context context, boolean z) {
        if (z) {
            String string = Settings.Global.getString(context.getContentResolver(), "phone number");
            return string == null ? EnvironmentCompat.MEDIA_UNKNOWN : string;
        }
        String line1Number = ((TelephonyManager) context.getSystemService("phone")).getLine1Number();
        return line1Number == null ? EnvironmentCompat.MEDIA_UNKNOWN : line1Number;
    }

    public static String c() {
        String str = Build.MODEL;
        if (!TextUtils.isEmpty(str) && str.contains("XP12")) {
            String a2 = a("persist.sys.seewo_model");
            if (TextUtils.isEmpty(a2)) {
                return str;
            }
            com.linspirer.utils.d.f.b("device seewomodel :" + a2);
            return a2;
        } else if (TextUtils.isEmpty(str)) {
            return null;
        } else {
            return str;
        }
    }

    public static boolean d() {
        String a2 = a("ro.product.control");
        return !TextUtils.isEmpty(a2) && "seewo".equals(a2);
    }

    public static boolean e() {
        String a2 = a("ro.product.control");
        return !TextUtils.isEmpty(a2) && "seewo_hra".equals(a2);
    }

    public static String f() {
        return Build.BRAND;
    }

    public static boolean g() {
        String str = Build.TAGS;
        if (str == null || !str.contains("test-keys")) {
            return new File("/system/app/Superuser.apk").exists();
        }
        return true;
    }

    public static int h() {
        return Build.VERSION.SDK_INT;
    }

    public static String i() {
        return Build.VERSION.RELEASE;
    }

    public static String i(Context context) {
        try {
            StatFs statFs = new StatFs(Environment.getExternalStorageDirectory().getPath());
            return String.valueOf(statFs.getBlockCount() * statFs.getBlockSize());
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }

    public static String j(Context context) {
        try {
            StatFs statFs = new StatFs(Environment.getExternalStorageDirectory().getPath());
            return String.valueOf(statFs.getAvailableBlocks() * statFs.getBlockSize());
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }

    public static String k(Context context) {
        try {
            StatFs statFs = new StatFs(Environment.getDataDirectory().getPath());
            return String.valueOf(statFs.getBlockCount() * statFs.getBlockSize());
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }

    public static String l(Context context) {
        try {
            StatFs statFs = new StatFs(Environment.getDataDirectory().getPath());
            return String.valueOf(statFs.getAvailableBlocks() * statFs.getBlockSize());
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:50:0x0068 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Type inference failed for: r2v0 */
    /* JADX WARN: Type inference failed for: r2v3, types: [java.io.BufferedReader] */
    /* JADX WARN: Type inference failed for: r2v9 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static String m(Context context) {
        ?? r2;
        Throwable th;
        BufferedReader bufferedReader;
        try {
            try {
                bufferedReader = new BufferedReader(new FileReader("/proc/meminfo"), 8);
                try {
                    String readLine = bufferedReader.readLine();
                    r0 = readLine != null ? readLine : null;
                    if (bufferedReader != null) {
                        try {
                            bufferedReader.close();
                        } catch (IOException e) {
                            e.printStackTrace();
                        }
                    }
                } catch (FileNotFoundException e2) {
                    e = e2;
                    e.printStackTrace();
                    if (bufferedReader != null) {
                        try {
                            bufferedReader.close();
                        } catch (IOException e3) {
                            e3.printStackTrace();
                        }
                    }
                    r2 = 1024;
                    return String.valueOf(Integer.parseInt(r0.substring(r0.indexOf(58) + 1, r0.indexOf(107)).trim()) * PlaybackStateCompat.ACTION_PLAY_FROM_MEDIA_ID);
                } catch (IOException e4) {
                    e = e4;
                    e.printStackTrace();
                    if (bufferedReader != null) {
                        try {
                            bufferedReader.close();
                        } catch (IOException e5) {
                            e5.printStackTrace();
                        }
                    }
                    r2 = 1024;
                    return String.valueOf(Integer.parseInt(r0.substring(r0.indexOf(58) + 1, r0.indexOf(107)).trim()) * PlaybackStateCompat.ACTION_PLAY_FROM_MEDIA_ID);
                }
            } catch (Throwable th2) {
                th = th2;
                if (r2 != 0) {
                    try {
                        r2.close();
                    } catch (IOException e6) {
                        e6.printStackTrace();
                    }
                }
                throw th;
            }
        } catch (FileNotFoundException e7) {
            e = e7;
            bufferedReader = null;
        } catch (IOException e8) {
            e = e8;
            bufferedReader = null;
        } catch (Throwable th3) {
            r2 = 0;
            th = th3;
            if (r2 != 0) {
            }
            throw th;
        }
        r2 = 1024;
        return String.valueOf(Integer.parseInt(r0.substring(r0.indexOf(58) + 1, r0.indexOf(107)).trim()) * PlaybackStateCompat.ACTION_PLAY_FROM_MEDIA_ID);
    }

    public static String n(Context context) {
        ActivityManager.MemoryInfo memoryInfo = new ActivityManager.MemoryInfo();
        ((ActivityManager) context.getSystemService("activity")).getMemoryInfo(memoryInfo);
        return String.valueOf(memoryInfo.availMem);
    }

    public static boolean o(Context context) {
        WifiManager wifiManager = (WifiManager) context.getSystemService("wifi");
        if (wifiManager == null) {
            return false;
        }
        switch (wifiManager.getWifiState()) {
            case 0:
                return false;
            case 1:
                return false;
            case 2:
                return true;
            case 3:
                return true;
            default:
                return false;
        }
    }

    public static String p(Context context) {
        String simOperator = ((TelephonyManager) context.getSystemService("phone")).getSimOperator();
        if (simOperator != null) {
            if (simOperator.equals("46000") || simOperator.equals("46002") || simOperator.equals("46007")) {
                return "China Mobile";
            }
            if (simOperator.equals("46001")) {
                return "China Unicom";
            }
            if (simOperator.equals("46003")) {
                return "China Telecom";
            }
        }
        return EnvironmentCompat.MEDIA_UNKNOWN;
    }

    public static int j() {
        return f903a;
    }

    public static String k() {
        if ("Lenovo TB-X504F".equals(c())) {
            return Build.DISPLAY;
        }
        String str = Build.VERSION.INCREMENTAL;
        if (d.b()) {
            return Build.VERSION.RELEASE + Build.VERSION.INCREMENTAL;
        }
        if (d.e()) {
            return Build.DISPLAY;
        }
        return str;
    }

    public static boolean q(Context context) {
        return (context.getResources().getConfiguration().screenLayout & 15) >= 3;
    }
}
