package com.linspirer.utils.officialmdm.obtaininfo;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import com.google.gson.Gson;
import com.linspirer.a.c;
import com.linspirer.utils.a;
import com.linspirer.utils.d.f;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
/* loaded from: classes.dex */
public class AppInfoProvider {
    private static final String TAG = "AppInfoProvider";
    private Comparator<AppInfo> comparator = new Comparator<AppInfo>() { // from class: com.linspirer.utils.officialmdm.obtaininfo.AppInfoProvider.1
        @Override // java.util.Comparator
        public int compare(AppInfo appInfo, AppInfo appInfo2) {
            return appInfo.getAppname().compareTo(appInfo2.getAppname());
        }
    };
    private PackageManager packageManager;

    public AppInfoProvider(Context context) {
        this.packageManager = context.getPackageManager();
    }

    public List<AppInfo> getAllApps() {
        ArrayList arrayList = new ArrayList();
        List<String> list = null;
        if (c.f862a != null) {
            list = c.f862a.a();
        }
        ArrayList arrayList2 = a.a(list) ? new ArrayList() : list;
        for (PackageInfo packageInfo : this.packageManager.getInstalledPackages(8192)) {
            AppInfo appInfo = new AppInfo();
            String str = packageInfo.packageName;
            ApplicationInfo applicationInfo = packageInfo.applicationInfo;
            int isSystemApp = isSystemApp(applicationInfo);
            if (isSystemApp != 1) {
                if (arrayList2.contains(str)) {
                    appInfo.setIsWhiteApp(1);
                } else {
                    appInfo.setIsWhiteApp(0);
                }
                String charSequence = applicationInfo.loadLabel(this.packageManager).toString();
                String str2 = packageInfo.versionName;
                appInfo.setAppname(charSequence);
                appInfo.setIssystemapp(isSystemApp);
                appInfo.setPackagename(str);
                appInfo.setVersioncode(packageInfo.versionCode + "");
                appInfo.setVersionname(str2);
                arrayList.add(appInfo);
            }
        }
        Collections.sort(arrayList, this.comparator);
        return arrayList;
    }

    public AppInfo getAppByPackagename(String str) {
        try {
            PackageInfo packageInfo = this.packageManager.getPackageInfo(str, 0);
            AppInfo appInfo = new AppInfo();
            ApplicationInfo applicationInfo = packageInfo.applicationInfo;
            String charSequence = applicationInfo.loadLabel(this.packageManager).toString();
            String str2 = packageInfo.versionName;
            appInfo.setAppname(charSequence);
            appInfo.setIssystemapp(isSystemApp(applicationInfo));
            appInfo.setPackagename(str);
            appInfo.setVersioncode(packageInfo.versionCode + "");
            appInfo.setVersionname(str2);
            return appInfo;
        } catch (PackageManager.NameNotFoundException e) {
            f.c("getAppByPackagename->NameNotFoundException");
            return null;
        }
    }

    public String getAllAppsByJson() {
        return new Gson().toJson(getAllApps());
    }

    public int isSystemApp(ApplicationInfo applicationInfo) {
        return ((applicationInfo.flags & 128) == 0 && (applicationInfo.flags & 1) == 0) ? 0 : 1;
    }
}
