package com.liulishuo.okdownload.core;

import android.content.Context;
import android.database.Cursor;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Uri;
import android.os.Build;
import android.os.StatFs;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.util.Log;
import com.liulishuo.okdownload.core.breakpoint.g;
import com.liulishuo.okdownload.core.breakpoint.h;
import com.liulishuo.okdownload.core.connection.a;
import com.liulishuo.okdownload.core.connection.b;
import com.liulishuo.okdownload.e;
import com.loopj.android.http.AsyncHttpResponseHandler;
import edu.umd.cs.findbugs.annotations.SuppressFBWarnings;
import java.io.File;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.lang.reflect.InvocationTargetException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ThreadFactory;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
/* compiled from: Util.java */
/* loaded from: classes.dex */
public class c {

    /* renamed from: a  reason: collision with root package name */
    private static b f1001a = new a();

    /* compiled from: Util.java */
    /* loaded from: classes.dex */
    public interface b {
        void a(String str, String str2);

        void b(String str, String str2);
    }

    /* compiled from: Util.java */
    /* loaded from: classes.dex */
    public static class a implements b {
        @Override // com.liulishuo.okdownload.core.c.b
        public void a(String str, String str2) {
        }

        @Override // com.liulishuo.okdownload.core.c.b
        public void b(String str, String str2) {
        }
    }

    public static void a(String str, String str2) {
        if (f1001a != null) {
            f1001a.a(str, str2);
        } else {
            Log.w(str, str2);
        }
    }

    public static void b(String str, String str2) {
        if (f1001a != null) {
            f1001a.b(str, str2);
        } else {
            Log.d(str, str2);
        }
    }

    public static boolean a(@Nullable CharSequence charSequence) {
        return charSequence == null || charSequence.length() == 0;
    }

    public static ThreadFactory a(final String str, final boolean z) {
        return new ThreadFactory() { // from class: com.liulishuo.okdownload.core.c.1
            @Override // java.util.concurrent.ThreadFactory
            public Thread newThread(@NonNull Runnable runnable) {
                Thread thread = new Thread(runnable, str);
                thread.setDaemon(z);
                return thread;
            }
        };
    }

    @Nullable
    public static String a(String str) {
        byte[] bArr;
        try {
            bArr = MessageDigest.getInstance("MD5").digest(str.getBytes(AsyncHttpResponseHandler.DEFAULT_CHARSET));
        } catch (UnsupportedEncodingException | NoSuchAlgorithmException e) {
            bArr = null;
        }
        if (bArr != null) {
            StringBuilder sb = new StringBuilder(bArr.length * 2);
            for (byte b2 : bArr) {
                if ((b2 & 255) < 16) {
                    sb.append('0');
                }
                sb.append(Integer.toHexString(b2 & 255));
            }
            return sb.toString();
        }
        return null;
    }

    public static boolean a(long j, long j2) {
        return j == j2;
    }

    public static void a(com.liulishuo.okdownload.core.breakpoint.a aVar) {
        boolean z = true;
        if (aVar.a() >= 0 && aVar.a() <= aVar.d()) {
            z = false;
        }
        if (z) {
            a("resetBlockIfDirty", "block is dirty so have to reset: " + aVar);
            aVar.f();
        }
    }

    public static long a(@NonNull StatFs statFs) {
        if (Build.VERSION.SDK_INT >= 18) {
            return statFs.getAvailableBytes();
        }
        return statFs.getAvailableBlocks() * statFs.getBlockSize();
    }

    @NonNull
    public static h a(Context context) {
        try {
            return (h) Class.forName("com.liulishuo.okdownload.core.breakpoint.BreakpointStoreOnSQLite").getDeclaredConstructor(Context.class).newInstance(context);
        } catch (ClassNotFoundException | IllegalAccessException | InstantiationException | NoSuchMethodException | InvocationTargetException e) {
            return new g();
        }
    }

    @NonNull
    public static h a(@NonNull h hVar) {
        try {
            hVar = (h) hVar.getClass().getMethod("createRemitSelf", new Class[0]).invoke(hVar, new Object[0]);
        } catch (IllegalAccessException e) {
        } catch (NoSuchMethodException e2) {
        } catch (InvocationTargetException e3) {
        }
        b("Util", "Get final download store is " + hVar);
        return hVar;
    }

    @NonNull
    public static a.b a() {
        try {
            return (a.b) Class.forName("com.liulishuo.okdownload.core.connection.DownloadOkHttp3Connection$a").getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
        } catch (ClassNotFoundException | IllegalAccessException | InstantiationException | NoSuchMethodException | InvocationTargetException e) {
            return new b.C0036b();
        }
    }

    public static void a(@NonNull com.liulishuo.okdownload.c cVar, @NonNull com.liulishuo.okdownload.core.breakpoint.c cVar2, long j, boolean z) {
        int i;
        long j2 = 0;
        if (e.j().g().a(z)) {
            i = e.j().g().a(cVar, j);
        } else {
            i = 1;
        }
        cVar2.d();
        long j3 = j / i;
        int i2 = 0;
        long j4 = 0;
        while (i2 < i) {
            j4 += j2;
            j2 = i2 == 0 ? (j % i) + j3 : j3;
            cVar2.a(new com.liulishuo.okdownload.core.breakpoint.a(j4, j2));
            i2++;
        }
    }

    public static long b(@Nullable String str) {
        if (str == null) {
            return -1L;
        }
        try {
            return Long.parseLong(str);
        } catch (NumberFormatException e) {
            b("Util", "parseContentLength failed parse for '" + str + "'");
            return -1L;
        }
    }

    public static boolean a(ConnectivityManager connectivityManager) {
        if (connectivityManager == null) {
            a("Util", "failed to get connectivity manager!");
            return true;
        }
        NetworkInfo activeNetworkInfo = connectivityManager.getActiveNetworkInfo();
        return activeNetworkInfo == null || activeNetworkInfo.getType() != 1;
    }

    public static boolean c(String str) {
        return e.j().h().checkCallingOrSelfPermission(str) == 0;
    }

    public static long d(@Nullable String str) {
        if (str == null || str.length() == 0) {
            return -1L;
        }
        try {
            Matcher matcher = Pattern.compile("bytes (\\d+)-(\\d+)/\\d+").matcher(str);
            if (matcher.find()) {
                return (Long.parseLong(matcher.group(2)) - Long.parseLong(matcher.group(1))) + 1;
            }
            return -1L;
        } catch (Exception e) {
            a("Util", "parse content-length from content-range failed " + e);
            return -1L;
        }
    }

    public static boolean a(@NonNull Uri uri) {
        return uri.getScheme().equals("content");
    }

    public static boolean b(@NonNull Uri uri) {
        return uri.getScheme().equals("file");
    }

    @Nullable
    public static String c(@NonNull Uri uri) {
        String str = null;
        Cursor query = e.j().h().getContentResolver().query(uri, null, null, null, null);
        if (query != null) {
            try {
                query.moveToFirst();
                str = query.getString(query.getColumnIndex("_display_name"));
            } finally {
                query.close();
            }
        }
        return str;
    }

    @SuppressFBWarnings({"DMI"})
    @NonNull
    public static File a(File file) {
        File parentFile = file.getParentFile();
        return parentFile == null ? new File("/") : parentFile;
    }

    public static long d(@NonNull Uri uri) {
        Cursor query = e.j().h().getContentResolver().query(uri, null, null, null, null);
        if (query != null) {
            try {
                query.moveToFirst();
                return query.getLong(query.getColumnIndex("_size"));
            } finally {
                query.close();
            }
        }
        return 0L;
    }

    public static boolean b(ConnectivityManager connectivityManager) {
        if (connectivityManager == null) {
            a("Util", "failed to get connectivity manager!");
            return true;
        }
        NetworkInfo activeNetworkInfo = connectivityManager.getActiveNetworkInfo();
        return activeNetworkInfo != null && activeNetworkInfo.isConnected();
    }

    public static void a(@NonNull Map<String, List<String>> map) {
        if (map.containsKey("If-Match") || map.containsKey("Range")) {
            throw new IOException("If-Match and Range only can be handle by internal!");
        }
    }

    public static void a(@NonNull Map<String, List<String>> map, @NonNull com.liulishuo.okdownload.core.connection.a aVar) {
        a(map);
        b(map, aVar);
    }

    public static void b(@NonNull Map<String, List<String>> map, @NonNull com.liulishuo.okdownload.core.connection.a aVar) {
        for (Map.Entry<String, List<String>> entry : map.entrySet()) {
            String key = entry.getKey();
            for (String str : entry.getValue()) {
                aVar.a(key, str);
            }
        }
    }

    public static void a(@NonNull com.liulishuo.okdownload.core.connection.a aVar) {
        aVar.a("User-Agent", "OkDownload/1.0.7");
    }
}
