package com.liulishuo.okdownload.core.e;

import android.content.Context;
import android.net.Uri;
import android.os.Build;
import android.os.ParcelFileDescriptor;
import android.support.annotation.NonNull;
import android.system.ErrnoException;
import android.system.Os;
import android.system.OsConstants;
import com.liulishuo.okdownload.core.e.a;
import java.io.BufferedOutputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.nio.channels.FileChannel;
/* compiled from: DownloadUriOutputStream.java */
/* loaded from: classes.dex */
public class b implements com.liulishuo.okdownload.core.e.a {
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    final ParcelFileDescriptor f1043a;
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    final BufferedOutputStream f1044b;
    @NonNull

    /* renamed from: c  reason: collision with root package name */
    final FileOutputStream f1045c;
    @NonNull
    private final FileChannel d;

    public b(Context context, Uri uri, int i) {
        ParcelFileDescriptor openFileDescriptor = context.getContentResolver().openFileDescriptor(uri, "rw");
        if (openFileDescriptor == null) {
            throw new FileNotFoundException("result of " + uri + " is null!");
        }
        this.f1043a = openFileDescriptor;
        this.f1045c = new FileOutputStream(openFileDescriptor.getFileDescriptor());
        this.d = this.f1045c.getChannel();
        this.f1044b = new BufferedOutputStream(this.f1045c, i);
    }

    @Override // com.liulishuo.okdownload.core.e.a
    public void a(byte[] bArr, int i, int i2) {
        this.f1044b.write(bArr, i, i2);
    }

    @Override // com.liulishuo.okdownload.core.e.a
    public void a() {
        this.f1044b.close();
        this.f1045c.close();
        this.f1043a.close();
    }

    @Override // com.liulishuo.okdownload.core.e.a
    public void b() {
        this.f1044b.flush();
        this.f1043a.getFileDescriptor().sync();
    }

    @Override // com.liulishuo.okdownload.core.e.a
    public void a(long j) {
        this.d.position(j);
    }

    @Override // com.liulishuo.okdownload.core.e.a
    public void b(long j) {
        if (Build.VERSION.SDK_INT >= 21) {
            try {
                Os.posix_fallocate(this.f1043a.getFileDescriptor(), 0L, j);
                return;
            } catch (Throwable th) {
                if (th instanceof ErrnoException) {
                    if (((ErrnoException) th).errno == OsConstants.ENOSYS || ((ErrnoException) th).errno == OsConstants.ENOTSUP) {
                        com.liulishuo.okdownload.core.c.a("DownloadUriOutputStream", "fallocate() not supported; falling back to ftruncate()");
                        try {
                            Os.ftruncate(this.f1043a.getFileDescriptor(), j);
                            return;
                        } catch (Throwable th2) {
                            com.liulishuo.okdownload.core.c.a("DownloadUriOutputStream", "It can't pre-allocate length(" + j + ") on the sdk version(" + Build.VERSION.SDK_INT + "), because of " + th2);
                            return;
                        }
                    }
                    return;
                }
                com.liulishuo.okdownload.core.c.a("DownloadUriOutputStream", "It can't pre-allocate length(" + j + ") on the sdk version(" + Build.VERSION.SDK_INT + "), because of " + th);
                return;
            }
        }
        com.liulishuo.okdownload.core.c.a("DownloadUriOutputStream", "It can't pre-allocate length(" + j + ") on the sdk version(" + Build.VERSION.SDK_INT + ")");
    }

    /* compiled from: DownloadUriOutputStream.java */
    /* loaded from: classes.dex */
    public static class a implements a.InterfaceC0037a {
        @Override // com.liulishuo.okdownload.core.e.a.InterfaceC0037a
        public com.liulishuo.okdownload.core.e.a a(Context context, Uri uri, int i) {
            return new b(context, uri, i);
        }

        @Override // com.liulishuo.okdownload.core.e.a.InterfaceC0037a
        public boolean a() {
            return true;
        }
    }
}
