package com.liulishuo.okdownload.core.e;

import android.net.Uri;
import android.os.StatFs;
import android.os.SystemClock;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.util.SparseArray;
import com.liulishuo.okdownload.core.breakpoint.h;
import edu.umd.cs.findbugs.annotations.SuppressFBWarnings;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Future;
import java.util.concurrent.SynchronousQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.locks.LockSupport;
/* compiled from: MultiPointOutputStream.java */
/* loaded from: classes.dex */
public class d {
    private static final ExecutorService n = new ThreadPoolExecutor(0, Integer.MAX_VALUE, 60, TimeUnit.SECONDS, new SynchronousQueue(), com.liulishuo.okdownload.core.c.a("OkDownload file io", false));

    /* renamed from: a  reason: collision with root package name */
    final SparseArray<com.liulishuo.okdownload.core.e.a> f1049a;

    /* renamed from: b  reason: collision with root package name */
    final SparseArray<AtomicLong> f1050b;

    /* renamed from: c  reason: collision with root package name */
    final AtomicLong f1051c;
    final AtomicLong d;
    boolean e;
    volatile Future f;
    volatile Thread g;
    final SparseArray<Thread> h;
    IOException i;
    @NonNull
    ArrayList<Integer> j;
    @SuppressFBWarnings({"IS2_INCONSISTENT_SYNC"})
    List<Integer> k;
    final a l;
    a m;
    private final int o;
    private final int p;
    private final int q;
    private final com.liulishuo.okdownload.core.breakpoint.c r;
    private final com.liulishuo.okdownload.c s;
    private final h t;
    private final boolean u;
    private final boolean v;
    @NonNull
    private final Runnable w;
    private String x;
    private volatile boolean y;

    d(@NonNull com.liulishuo.okdownload.c cVar, @NonNull com.liulishuo.okdownload.core.breakpoint.c cVar2, @NonNull h hVar, @Nullable Runnable runnable) {
        this.f1049a = new SparseArray<>();
        this.f1050b = new SparseArray<>();
        this.f1051c = new AtomicLong();
        this.d = new AtomicLong();
        this.e = false;
        this.h = new SparseArray<>();
        this.l = new a();
        this.m = new a();
        this.y = true;
        this.s = cVar;
        this.o = cVar.o();
        this.p = cVar.p();
        this.q = cVar.q();
        this.r = cVar2;
        this.t = hVar;
        this.u = com.liulishuo.okdownload.e.j().e().a();
        this.v = com.liulishuo.okdownload.e.j().f().b(cVar);
        this.j = new ArrayList<>();
        if (runnable == null) {
            this.w = new Runnable() { // from class: com.liulishuo.okdownload.core.e.d.1
                @Override // java.lang.Runnable
                public void run() {
                    d.this.g();
                }
            };
        } else {
            this.w = runnable;
        }
        File m = cVar.m();
        if (m != null) {
            this.x = m.getAbsolutePath();
        }
    }

    public d(@NonNull com.liulishuo.okdownload.c cVar, @NonNull com.liulishuo.okdownload.core.breakpoint.c cVar2, @NonNull h hVar) {
        this(cVar, cVar2, hVar, null);
    }

    public synchronized void a(int i, byte[] bArr, int i2) {
        if (!this.e) {
            e(i).a(bArr, 0, i2);
            this.f1051c.addAndGet(i2);
            this.f1050b.get(i).addAndGet(i2);
            d();
        }
    }

    public void a() {
        n.execute(new Runnable() { // from class: com.liulishuo.okdownload.core.e.d.2
            @Override // java.lang.Runnable
            public void run() {
                d.this.b();
            }
        });
    }

    public synchronized void b() {
        if (this.k != null && !this.e) {
            this.e = true;
            this.j.addAll(this.k);
            if (this.f1051c.get() > 0) {
                if (this.f != null && !this.f.isDone()) {
                    m();
                    com.liulishuo.okdownload.e.j().f().a().a(this.x);
                    a(true, -1);
                    com.liulishuo.okdownload.e.j().f().a().b(this.x);
                }
                for (Integer num : this.k) {
                    try {
                        c(num.intValue());
                    } catch (IOException e) {
                        com.liulishuo.okdownload.core.c.b("MultiPointOutputStream", "OutputStream close failed task[" + this.s.c() + "] block[" + num + "]" + e);
                    }
                }
                this.t.a(this.s.c(), com.liulishuo.okdownload.core.a.a.CANCELED, (Exception) null);
            } else {
                for (Integer num2 : this.k) {
                    try {
                        c(num2.intValue());
                    } catch (IOException e2) {
                        com.liulishuo.okdownload.core.c.b("MultiPointOutputStream", "OutputStream close failed task[" + this.s.c() + "] block[" + num2 + "]" + e2);
                    }
                }
                this.t.a(this.s.c(), com.liulishuo.okdownload.core.a.a.CANCELED, (Exception) null);
            }
        }
    }

    public void a(int i) {
        this.j.add(Integer.valueOf(i));
        try {
            if (this.i != null) {
                throw this.i;
            }
            if (this.f != null && !this.f.isDone()) {
                AtomicLong atomicLong = this.f1050b.get(i);
                if (atomicLong != null && atomicLong.get() > 0) {
                    a(this.l);
                    a(this.l.f1054a, i);
                }
            } else if (this.f == null) {
                com.liulishuo.okdownload.core.c.b("MultiPointOutputStream", "OutputStream done but no need to ensure sync, because the sync job not run yet. task[" + this.s.c() + "] block[" + i + "]");
            } else {
                com.liulishuo.okdownload.core.c.b("MultiPointOutputStream", "OutputStream done but no need to ensure sync, because the syncFuture.isDone[" + this.f.isDone() + "] task[" + this.s.c() + "] block[" + i + "]");
            }
        } finally {
            c(i);
        }
    }

    void a(boolean z, int i) {
        if (this.f != null && !this.f.isDone()) {
            if (!z) {
                this.h.put(i, Thread.currentThread());
            }
            if (this.g != null) {
                a(this.g);
            } else {
                while (!c()) {
                    a(25L);
                }
                a(this.g);
            }
            if (z) {
                a(this.g);
                try {
                    this.f.get();
                    return;
                } catch (InterruptedException e) {
                    return;
                } catch (ExecutionException e2) {
                    return;
                }
            }
            e();
        }
    }

    boolean c() {
        return this.g != null;
    }

    public void b(int i) {
        com.liulishuo.okdownload.core.breakpoint.a a2 = this.r.a(i);
        if (!com.liulishuo.okdownload.core.c.a(a2.a(), a2.d())) {
            throw new IOException("The current offset on block-info isn't update correct, " + a2.a() + " != " + a2.d() + " on " + i);
        }
    }

    void d() {
        if (this.i != null) {
            throw this.i;
        }
        if (this.f == null) {
            synchronized (this.w) {
                if (this.f == null) {
                    this.f = f();
                }
            }
        }
    }

    synchronized void c(int i) {
        com.liulishuo.okdownload.core.e.a aVar = this.f1049a.get(i);
        if (aVar != null) {
            aVar.a();
            this.f1049a.remove(i);
            com.liulishuo.okdownload.core.c.b("MultiPointOutputStream", "OutputStream close task[" + this.s.c() + "] block[" + i + "]");
        }
    }

    void a(long j) {
        LockSupport.parkNanos(TimeUnit.MILLISECONDS.toNanos(j));
    }

    void e() {
        LockSupport.park();
    }

    void a(Thread thread) {
        LockSupport.unpark(thread);
    }

    Future f() {
        return n.submit(this.w);
    }

    void a(a aVar) {
        aVar.f1056c.clear();
        int size = new HashSet((List) this.j.clone()).size();
        if (size != this.k.size()) {
            com.liulishuo.okdownload.core.c.b("MultiPointOutputStream", "task[" + this.s.c() + "] current need fetching block count " + this.k.size() + " is not equal to no more stream block count " + size);
            aVar.f1054a = false;
        } else {
            com.liulishuo.okdownload.core.c.b("MultiPointOutputStream", "task[" + this.s.c() + "] current need fetching block count " + this.k.size() + " is equal to no more stream block count " + size);
            aVar.f1054a = true;
        }
        SparseArray<com.liulishuo.okdownload.core.e.a> clone = this.f1049a.clone();
        int size2 = clone.size();
        for (int i = 0; i < size2; i++) {
            int keyAt = clone.keyAt(i);
            if (this.j.contains(Integer.valueOf(keyAt)) && !aVar.f1055b.contains(Integer.valueOf(keyAt))) {
                aVar.f1055b.add(Integer.valueOf(keyAt));
                aVar.f1056c.add(Integer.valueOf(keyAt));
            }
        }
    }

    public void a(List<Integer> list) {
        this.k = list;
    }

    public void d(int i) {
        this.j.add(Integer.valueOf(i));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: MultiPointOutputStream.java */
    /* loaded from: classes.dex */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        boolean f1054a;

        /* renamed from: b  reason: collision with root package name */
        List<Integer> f1055b = new ArrayList();

        /* renamed from: c  reason: collision with root package name */
        List<Integer> f1056c = new ArrayList();

        a() {
        }

        boolean a() {
            return this.f1054a || this.f1056c.size() > 0;
        }
    }

    void g() {
        try {
            h();
        } catch (IOException e) {
            this.i = e;
            com.liulishuo.okdownload.core.c.a("MultiPointOutputStream", "Sync to breakpoint-store for task[" + this.s.c() + "] failed with cause: " + e);
        }
    }

    void h() {
        com.liulishuo.okdownload.core.c.b("MultiPointOutputStream", "OutputStream start flush looper task[" + this.s.c() + "] with syncBufferIntervalMills[" + this.q + "] syncBufferSize[" + this.p + "]");
        this.g = Thread.currentThread();
        l();
        long j = this.q;
        while (true) {
            a(j);
            a(this.m);
            if (this.m.a()) {
                com.liulishuo.okdownload.core.c.b("MultiPointOutputStream", "runSync state change isNoMoreStream[" + this.m.f1054a + "] newNoMoreStreamBlockList[" + this.m.f1056c + "]");
                if (this.f1051c.get() > 0) {
                    l();
                }
                for (Integer num : this.m.f1056c) {
                    Thread thread = this.h.get(num.intValue());
                    this.h.remove(num.intValue());
                    if (thread != null) {
                        a(thread);
                    }
                }
                if (this.m.f1054a) {
                    break;
                }
            } else if (i()) {
                j = this.q;
            } else {
                long j2 = j();
                if (j2 > 0) {
                    j = j2;
                } else {
                    l();
                    j = this.q;
                }
            }
        }
        int size = this.h.size();
        for (int i = 0; i < size; i++) {
            Thread valueAt = this.h.valueAt(i);
            if (valueAt != null) {
                a(valueAt);
            }
        }
        this.h.clear();
        com.liulishuo.okdownload.core.c.b("MultiPointOutputStream", "OutputStream stop flush looper task[" + this.s.c() + "]");
    }

    boolean i() {
        return this.f1051c.get() < ((long) this.p);
    }

    long j() {
        return this.q - (k() - this.d.get());
    }

    long k() {
        return SystemClock.uptimeMillis();
    }

    void l() {
        int size;
        boolean z;
        long j = 0;
        synchronized (this.f1050b) {
            size = this.f1050b.size();
        }
        SparseArray sparseArray = new SparseArray(size);
        for (int i = 0; i < size; i++) {
            try {
                int keyAt = this.f1049a.keyAt(i);
                long j2 = this.f1050b.get(keyAt).get();
                if (j2 > 0) {
                    sparseArray.put(keyAt, Long.valueOf(j2));
                    this.f1049a.get(keyAt).b();
                }
            } catch (IOException e) {
                com.liulishuo.okdownload.core.c.a("MultiPointOutputStream", "OutputStream flush and sync data to filesystem failed " + e);
                z = false;
            }
        }
        z = true;
        if (z) {
            int size2 = sparseArray.size();
            for (int i2 = 0; i2 < size2; i2++) {
                int keyAt2 = sparseArray.keyAt(i2);
                long longValue = ((Long) sparseArray.valueAt(i2)).longValue();
                this.t.a(this.r, keyAt2, longValue);
                j += longValue;
                this.f1050b.get(keyAt2).addAndGet(-longValue);
                com.liulishuo.okdownload.core.c.b("MultiPointOutputStream", "OutputStream sync success (" + this.s.c() + ") block(" + keyAt2 + ")  syncLength(" + longValue + ") currentOffset(" + this.r.a(keyAt2).a() + ")");
            }
            this.f1051c.addAndGet(-j);
            this.d.set(SystemClock.uptimeMillis());
        }
    }

    synchronized com.liulishuo.okdownload.core.e.a e(int i) {
        com.liulishuo.okdownload.core.e.a aVar;
        Uri h;
        aVar = this.f1049a.get(i);
        if (aVar == null) {
            boolean b2 = com.liulishuo.okdownload.core.c.b(this.s.h());
            if (b2) {
                File m = this.s.m();
                if (m == null) {
                    throw new FileNotFoundException("Filename is not ready!");
                }
                File l = this.s.l();
                if (!l.exists() && !l.mkdirs()) {
                    throw new IOException("Create parent folder failed!");
                }
                if (m.createNewFile()) {
                    com.liulishuo.okdownload.core.c.b("MultiPointOutputStream", "Create new file: " + m.getName());
                }
                h = Uri.fromFile(m);
            } else {
                h = this.s.h();
            }
            aVar = com.liulishuo.okdownload.e.j().e().a(com.liulishuo.okdownload.e.j().h(), h, this.o);
            if (this.u) {
                long c2 = this.r.a(i).c();
                if (c2 > 0) {
                    aVar.a(c2);
                    com.liulishuo.okdownload.core.c.b("MultiPointOutputStream", "Create output stream write from (" + this.s.c() + ") block(" + i + ") " + c2);
                }
            }
            if (this.y) {
                this.t.f(this.s.c());
            }
            if (!this.r.b() && this.y && this.v) {
                long g = this.r.g();
                if (b2) {
                    File m2 = this.s.m();
                    long length = g - m2.length();
                    if (length > 0) {
                        a(new StatFs(m2.getAbsolutePath()), length);
                        aVar.b(g);
                    }
                } else {
                    aVar.b(g);
                }
            }
            synchronized (this.f1050b) {
                this.f1049a.put(i, aVar);
                this.f1050b.put(i, new AtomicLong());
            }
            this.y = false;
        }
        return aVar;
    }

    void a(StatFs statFs, long j) {
        long a2 = com.liulishuo.okdownload.core.c.a(statFs);
        if (a2 < j) {
            throw new com.liulishuo.okdownload.core.d.e(j, a2);
        }
    }

    private void m() {
        if (this.x != null || this.s.m() == null) {
            return;
        }
        this.x = this.s.m().getAbsolutePath();
    }
}
