package com.loc;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.text.TextUtils;
import java.lang.annotation.Annotation;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
/* compiled from: DBOperation.java */
/* loaded from: classes.dex */
public final class ae {
    private static Map<Class<? extends ad>, ad> d = new HashMap();

    /* renamed from: a  reason: collision with root package name */
    private ah f1097a;

    /* renamed from: b  reason: collision with root package name */
    private SQLiteDatabase f1098b;

    /* renamed from: c  reason: collision with root package name */
    private ad f1099c;

    public ae(Context context, ad adVar) {
        try {
            this.f1097a = new ah(context.getApplicationContext(), adVar.a(), adVar);
        } catch (Throwable th) {
            th.printStackTrace();
        }
        this.f1099c = adVar;
    }

    private static ContentValues a(Object obj, af afVar) {
        Field[] a2;
        ContentValues contentValues = new ContentValues();
        for (Field field : a(obj.getClass(), afVar.b())) {
            field.setAccessible(true);
            Annotation annotation = field.getAnnotation(ag.class);
            if (annotation != null) {
                ag agVar = (ag) annotation;
                switch (agVar.b()) {
                    case 1:
                        contentValues.put(agVar.a(), Short.valueOf(field.getShort(obj)));
                        continue;
                    case 2:
                        try {
                            contentValues.put(agVar.a(), Integer.valueOf(field.getInt(obj)));
                            continue;
                        } catch (IllegalAccessException e) {
                            e.printStackTrace();
                            break;
                        }
                    case 3:
                        contentValues.put(agVar.a(), Float.valueOf(field.getFloat(obj)));
                        continue;
                    case 4:
                        contentValues.put(agVar.a(), Double.valueOf(field.getDouble(obj)));
                        continue;
                    case 5:
                        contentValues.put(agVar.a(), Long.valueOf(field.getLong(obj)));
                        continue;
                    case 6:
                        contentValues.put(agVar.a(), (String) field.get(obj));
                        continue;
                    case 7:
                        contentValues.put(agVar.a(), (byte[]) field.get(obj));
                        continue;
                }
            }
        }
        return contentValues;
    }

    private SQLiteDatabase a() {
        try {
            if (this.f1098b == null) {
                this.f1098b = this.f1097a.getReadableDatabase();
            }
        } catch (Throwable th) {
            y.a(th, "dbs", "grd");
        }
        return this.f1098b;
    }

    public static synchronized ad a(Class<? extends ad> cls) {
        ad adVar;
        synchronized (ae.class) {
            if (d.get(cls) == null) {
                d.put(cls, cls.newInstance());
            }
            adVar = d.get(cls);
        }
        return adVar;
    }

    private static <T> T a(Cursor cursor, Class<T> cls, af afVar) {
        Field[] a2 = a((Class<?>) cls, afVar.b());
        Constructor<T> declaredConstructor = cls.getDeclaredConstructor(new Class[0]);
        declaredConstructor.setAccessible(true);
        T newInstance = declaredConstructor.newInstance(new Object[0]);
        for (Field field : a2) {
            field.setAccessible(true);
            Annotation annotation = field.getAnnotation(ag.class);
            if (annotation != null) {
                ag agVar = (ag) annotation;
                int b2 = agVar.b();
                int columnIndex = cursor.getColumnIndex(agVar.a());
                switch (b2) {
                    case 1:
                        field.set(newInstance, Short.valueOf(cursor.getShort(columnIndex)));
                        continue;
                    case 2:
                        field.set(newInstance, Integer.valueOf(cursor.getInt(columnIndex)));
                        continue;
                    case 3:
                        field.set(newInstance, Float.valueOf(cursor.getFloat(columnIndex)));
                        continue;
                    case 4:
                        field.set(newInstance, Double.valueOf(cursor.getDouble(columnIndex)));
                        continue;
                    case 5:
                        field.set(newInstance, Long.valueOf(cursor.getLong(columnIndex)));
                        continue;
                    case 6:
                        field.set(newInstance, cursor.getString(columnIndex));
                        continue;
                    case 7:
                        field.set(newInstance, cursor.getBlob(columnIndex));
                        continue;
                }
            }
        }
        return newInstance;
    }

    private static <T> String a(af afVar) {
        if (afVar == null) {
            return null;
        }
        return afVar.a();
    }

    private static Field[] a(Class<?> cls, boolean z) {
        if (cls == null) {
            return null;
        }
        return z ? cls.getSuperclass().getDeclaredFields() : cls.getDeclaredFields();
    }

    private SQLiteDatabase b() {
        try {
            if (this.f1098b == null || this.f1098b.isReadOnly()) {
                if (this.f1098b != null) {
                    this.f1098b.close();
                }
                this.f1098b = this.f1097a.getWritableDatabase();
            }
        } catch (Throwable th) {
            y.a(th, "dbs", "gwd");
        }
        return this.f1098b;
    }

    private static <T> af b(Class<T> cls) {
        Annotation annotation = cls.getAnnotation(af.class);
        if (annotation != null) {
            return (af) annotation;
        }
        return null;
    }

    public final <T> List<T> a(String str, Class<T> cls) {
        Cursor cursor;
        synchronized (this.f1099c) {
            ArrayList arrayList = new ArrayList();
            af b2 = b(cls);
            String a2 = a(b2);
            if (this.f1098b == null) {
                this.f1098b = a();
            }
            if (this.f1098b == null || TextUtils.isEmpty(a2) || str == null) {
                return arrayList;
            }
            try {
                cursor = this.f1098b.query(a2, null, str, null, null, null, null);
            } catch (Throwable th) {
                th = th;
                cursor = null;
            }
            try {
            } catch (Throwable th2) {
                th = th2;
                y.a(th, "dbs", "sld");
                if (cursor != null) {
                    cursor.close();
                }
                if (this.f1098b != null) {
                    this.f1098b.close();
                    this.f1098b = null;
                }
                return arrayList;
            }
            if (cursor == null) {
                this.f1098b.close();
                this.f1098b = null;
                if (cursor != null) {
                    cursor.close();
                }
                if (this.f1098b != null) {
                    this.f1098b.close();
                    this.f1098b = null;
                }
                return arrayList;
            }
            while (cursor.moveToNext()) {
                arrayList.add(a(cursor, cls, b2));
            }
            if (cursor != null) {
                cursor.close();
            }
            if (this.f1098b != null) {
                this.f1098b.close();
                this.f1098b = null;
            }
            return arrayList;
        }
    }

    public final void a(Object obj, String str) {
        synchronized (this.f1099c) {
            if (a(str, obj.getClass()).size() == 0) {
                synchronized (this.f1099c) {
                    this.f1098b = b();
                    if (this.f1098b != null) {
                        try {
                            SQLiteDatabase sQLiteDatabase = this.f1098b;
                            af b2 = b(obj.getClass());
                            String a2 = a(b2);
                            if (!TextUtils.isEmpty(a2) && sQLiteDatabase != null) {
                                sQLiteDatabase.insert(a2, null, a(obj, b2));
                            }
                            if (this.f1098b != null) {
                                this.f1098b.close();
                                this.f1098b = null;
                            }
                        } catch (Throwable th) {
                            try {
                                y.a(th, "dbs", "itd");
                                if (this.f1098b != null) {
                                    this.f1098b.close();
                                    this.f1098b = null;
                                }
                            } finally {
                                if (this.f1098b != null) {
                                    this.f1098b.close();
                                    this.f1098b = null;
                                }
                            }
                        }
                    }
                }
            } else {
                synchronized (this.f1099c) {
                    af b3 = b(obj.getClass());
                    String a3 = a(b3);
                    if (!TextUtils.isEmpty(a3)) {
                        ContentValues a4 = a(obj, b3);
                        this.f1098b = b();
                        if (this.f1098b != null) {
                            try {
                                this.f1098b.update(a3, a4, str, null);
                            } catch (Throwable th2) {
                                try {
                                    y.a(th2, "dbs", "udd");
                                    if (this.f1098b != null) {
                                        this.f1098b.close();
                                        this.f1098b = null;
                                    }
                                } finally {
                                    if (this.f1098b != null) {
                                        this.f1098b.close();
                                        this.f1098b = null;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}
