package com.loc;

import com.loopj.android.http.AsyncHttpResponseHandler;
import java.io.BufferedWriter;
import java.io.Closeable;
import java.io.EOFException;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FilterOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.Writer;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.concurrent.Callable;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.regex.Pattern;
/* compiled from: DiskLruCache.java */
/* loaded from: classes.dex */
public final class ao implements Closeable {
    private final File e;
    private final File f;
    private final File g;
    private final File h;
    private long j;
    private Writer m;
    private int p;

    /* renamed from: a  reason: collision with root package name */
    static final Pattern f1104a = Pattern.compile("[a-z0-9_-]{1,120}");

    /* renamed from: b  reason: collision with root package name */
    public static final Charset f1105b = Charset.forName("US-ASCII");

    /* renamed from: c  reason: collision with root package name */
    static final Charset f1106c = Charset.forName(AsyncHttpResponseHandler.DEFAULT_CHARSET);
    private static final ThreadFactory r = new ThreadFactory() { // from class: com.loc.ao.1

        /* renamed from: a  reason: collision with root package name */
        private final AtomicInteger f1107a = new AtomicInteger(1);

        @Override // java.util.concurrent.ThreadFactory
        public final Thread newThread(Runnable runnable) {
            return new Thread(runnable, "disklrucache#" + this.f1107a.getAndIncrement());
        }
    };
    static ThreadPoolExecutor d = new ThreadPoolExecutor(0, 1, 60, TimeUnit.SECONDS, new LinkedBlockingQueue(), r);
    private static final OutputStream t = new OutputStream() { // from class: com.loc.ao.3
        @Override // java.io.OutputStream
        public final void write(int i) {
        }
    };
    private long l = 0;
    private int n = 1000;
    private final LinkedHashMap<String, c> o = new LinkedHashMap<>(0, 0.75f, true);
    private long q = 0;
    private final Callable<Void> s = new Callable<Void>() { // from class: com.loc.ao.2
        /* JADX INFO: Access modifiers changed from: private */
        @Override // java.util.concurrent.Callable
        /* renamed from: a */
        public Void call() {
            synchronized (ao.this) {
                if (ao.this.m != null) {
                    ao.this.l();
                    if (ao.this.j()) {
                        ao.this.i();
                        ao.this.p = 0;
                    }
                }
            }
            return null;
        }
    };
    private final int i = 1;
    private final int k = 1;

    /* compiled from: DiskLruCache.java */
    /* loaded from: classes.dex */
    public final class a {

        /* renamed from: b  reason: collision with root package name */
        private final c f1110b;

        /* renamed from: c  reason: collision with root package name */
        private final boolean[] f1111c;
        private boolean d;
        private boolean e;

        /* compiled from: DiskLruCache.java */
        /* renamed from: com.loc.ao$a$a  reason: collision with other inner class name */
        /* loaded from: classes.dex */
        private class C0041a extends FilterOutputStream {
            private C0041a(OutputStream outputStream) {
                super(outputStream);
            }

            /* synthetic */ C0041a(a aVar, OutputStream outputStream, byte b2) {
                this(outputStream);
            }

            @Override // java.io.FilterOutputStream, java.io.OutputStream, java.io.Closeable, java.lang.AutoCloseable
            public final void close() {
                try {
                    this.out.close();
                } catch (IOException e) {
                    a.this.d = true;
                }
            }

            @Override // java.io.FilterOutputStream, java.io.OutputStream, java.io.Flushable
            public final void flush() {
                try {
                    this.out.flush();
                } catch (IOException e) {
                    a.this.d = true;
                }
            }

            @Override // java.io.FilterOutputStream, java.io.OutputStream
            public final void write(int i) {
                try {
                    this.out.write(i);
                } catch (IOException e) {
                    a.this.d = true;
                }
            }

            @Override // java.io.FilterOutputStream, java.io.OutputStream
            public final void write(byte[] bArr, int i, int i2) {
                try {
                    this.out.write(bArr, i, i2);
                } catch (IOException e) {
                    a.this.d = true;
                }
            }
        }

        private a(c cVar) {
            this.f1110b = cVar;
            this.f1111c = cVar.d ? null : new boolean[ao.this.k];
        }

        /* synthetic */ a(ao aoVar, c cVar, byte b2) {
            this(cVar);
        }

        public final OutputStream a() {
            OutputStream outputStream;
            FileOutputStream fileOutputStream;
            if (ao.this.k <= 0) {
                throw new IllegalArgumentException("Expected index 0 to be greater than 0 and less than the maximum value count of " + ao.this.k);
            }
            synchronized (ao.this) {
                if (this.f1110b.e != this) {
                    throw new IllegalStateException();
                }
                if (!this.f1110b.d) {
                    this.f1111c[0] = true;
                }
                File b2 = this.f1110b.b(0);
                try {
                    fileOutputStream = new FileOutputStream(b2);
                } catch (FileNotFoundException e) {
                    ao.this.e.mkdirs();
                    try {
                        fileOutputStream = new FileOutputStream(b2);
                    } catch (FileNotFoundException e2) {
                        outputStream = ao.t;
                    }
                }
                outputStream = new C0041a(this, fileOutputStream, (byte) 0);
            }
            return outputStream;
        }

        public final void b() {
            if (this.d) {
                ao.this.a(this, false);
                ao.this.c(this.f1110b.f1117b);
            } else {
                ao.this.a(this, true);
            }
            this.e = true;
        }

        public final void c() {
            ao.this.a(this, false);
        }
    }

    /* compiled from: DiskLruCache.java */
    /* loaded from: classes.dex */
    public final class b implements Closeable {

        /* renamed from: b  reason: collision with root package name */
        private final String f1114b;

        /* renamed from: c  reason: collision with root package name */
        private final long f1115c;
        private final InputStream[] d;
        private final long[] e;

        private b(String str, long j, InputStream[] inputStreamArr, long[] jArr) {
            this.f1114b = str;
            this.f1115c = j;
            this.d = inputStreamArr;
            this.e = jArr;
        }

        /* synthetic */ b(ao aoVar, String str, long j, InputStream[] inputStreamArr, long[] jArr, byte b2) {
            this(str, j, inputStreamArr, jArr);
        }

        public final InputStream a() {
            return this.d[0];
        }

        @Override // java.io.Closeable, java.lang.AutoCloseable
        public final void close() {
            for (InputStream inputStream : this.d) {
                ao.a(inputStream);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: DiskLruCache.java */
    /* loaded from: classes.dex */
    public final class c {

        /* renamed from: b  reason: collision with root package name */
        private final String f1117b;

        /* renamed from: c  reason: collision with root package name */
        private final long[] f1118c;
        private boolean d;
        private a e;
        private long f;

        private c(String str) {
            this.f1117b = str;
            this.f1118c = new long[ao.this.k];
        }

        /* synthetic */ c(ao aoVar, String str, byte b2) {
            this(str);
        }

        private static IOException a(String[] strArr) {
            throw new IOException("unexpected journal line: " + Arrays.toString(strArr));
        }

        static /* synthetic */ void a(c cVar, String[] strArr) {
            if (strArr.length != ao.this.k) {
                throw a(strArr);
            }
            for (int i = 0; i < strArr.length; i++) {
                try {
                    cVar.f1118c[i] = Long.parseLong(strArr[i]);
                } catch (NumberFormatException e) {
                    throw a(strArr);
                }
            }
        }

        public final File a(int i) {
            return new File(ao.this.e, this.f1117b + "." + i);
        }

        public final String a() {
            StringBuilder sb = new StringBuilder();
            for (long j : this.f1118c) {
                sb.append(' ').append(j);
            }
            return sb.toString();
        }

        public final File b(int i) {
            return new File(ao.this.e, this.f1117b + "." + i + ".tmp");
        }
    }

    private ao(File file, long j) {
        this.e = file;
        this.f = new File(file, "journal");
        this.g = new File(file, "journal.tmp");
        this.h = new File(file, "journal.bkp");
        this.j = j;
    }

    public static ao a(File file, long j) {
        if (j <= 0) {
            throw new IllegalArgumentException("maxSize <= 0");
        }
        File file2 = new File(file, "journal.bkp");
        if (file2.exists()) {
            File file3 = new File(file, "journal");
            if (file3.exists()) {
                file2.delete();
            } else {
                a(file2, file3, false);
            }
        }
        ao aoVar = new ao(file, j);
        if (aoVar.f.exists()) {
            try {
                aoVar.g();
                aoVar.h();
                aoVar.m = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(aoVar.f, true), f1105b));
                return aoVar;
            } catch (Throwable th) {
                aoVar.d();
            }
        }
        file.mkdirs();
        ao aoVar2 = new ao(file, j);
        aoVar2.i();
        return aoVar2;
    }

    public static void a() {
        if (d == null || d.isShutdown()) {
            return;
        }
        d.shutdown();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public synchronized void a(a aVar, boolean z) {
        synchronized (this) {
            c cVar = aVar.f1110b;
            if (cVar.e != aVar) {
                throw new IllegalStateException();
            }
            if (z && !cVar.d) {
                for (int i = 0; i < this.k; i++) {
                    if (!aVar.f1111c[i]) {
                        aVar.c();
                        throw new IllegalStateException("Newly created entry didn't create value for index " + i);
                    } else if (!cVar.b(i).exists()) {
                        aVar.c();
                        break;
                    }
                }
            }
            for (int i2 = 0; i2 < this.k; i2++) {
                File b2 = cVar.b(i2);
                if (!z) {
                    a(b2);
                } else if (b2.exists()) {
                    File a2 = cVar.a(i2);
                    b2.renameTo(a2);
                    long j = cVar.f1118c[i2];
                    long length = a2.length();
                    cVar.f1118c[i2] = length;
                    this.l = (this.l - j) + length;
                }
            }
            this.p++;
            cVar.e = null;
            if (cVar.d || z) {
                cVar.d = true;
                this.m.write("CLEAN " + cVar.f1117b + cVar.a() + '\n');
                if (z) {
                    long j2 = this.q;
                    this.q = 1 + j2;
                    cVar.f = j2;
                }
            } else {
                this.o.remove(cVar.f1117b);
                this.m.write("REMOVE " + cVar.f1117b + '\n');
            }
            this.m.flush();
            if (this.l > this.j || j()) {
                f().submit(this.s);
            }
        }
    }

    public static void a(Closeable closeable) {
        if (closeable != null) {
            try {
                closeable.close();
            } catch (RuntimeException e) {
                throw e;
            } catch (Exception e2) {
            }
        }
    }

    private static void a(File file) {
        if (file.exists() && !file.delete()) {
            throw new IOException();
        }
    }

    private static void a(File file, File file2, boolean z) {
        if (z) {
            a(file2);
        }
        if (!file.renameTo(file2)) {
            throw new IOException();
        }
    }

    private static void b(File file) {
        File[] listFiles = file.listFiles();
        if (listFiles == null) {
            throw new IOException("not a readable directory: " + file);
        }
        for (File file2 : listFiles) {
            if (file2.isDirectory()) {
                b(file2);
            }
            if (!file2.delete()) {
                throw new IOException("failed to delete file: " + file2);
            }
        }
    }

    private synchronized a d(String str) {
        c cVar;
        a aVar;
        k();
        e(str);
        c cVar2 = this.o.get(str);
        if (-1 == -1 || (cVar2 != null && cVar2.f == -1)) {
            if (cVar2 == null) {
                c cVar3 = new c(this, str, (byte) 0);
                this.o.put(str, cVar3);
                cVar = cVar3;
            } else if (cVar2.e != null) {
                aVar = null;
            } else {
                cVar = cVar2;
            }
            aVar = new a(this, cVar, (byte) 0);
            cVar.e = aVar;
            this.m.write("DIRTY " + str + '\n');
            this.m.flush();
        } else {
            aVar = null;
        }
        return aVar;
    }

    private static void e(String str) {
        if (!f1104a.matcher(str).matches()) {
            throw new IllegalArgumentException("keys must match regex [a-z0-9_-]{1,120}: \"" + str + "\"");
        }
    }

    private static ThreadPoolExecutor f() {
        try {
            if (d == null || d.isShutdown()) {
                d = new ThreadPoolExecutor(0, 1, 60L, TimeUnit.SECONDS, new LinkedBlockingQueue(256), r);
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
        return d;
    }

    private void g() {
        String a2;
        String substring;
        ap apVar = new ap(new FileInputStream(this.f), f1105b);
        try {
            String a3 = apVar.a();
            String a4 = apVar.a();
            String a5 = apVar.a();
            String a6 = apVar.a();
            String a7 = apVar.a();
            if (!"libcore.io.DiskLruCache".equals(a3) || !"1".equals(a4) || !Integer.toString(this.i).equals(a5) || !Integer.toString(this.k).equals(a6) || !"".equals(a7)) {
                throw new IOException("unexpected journal header: [" + a3 + ", " + a4 + ", " + a6 + ", " + a7 + "]");
            }
            int i = 0;
            while (true) {
                try {
                    a2 = apVar.a();
                    int indexOf = a2.indexOf(32);
                    if (indexOf == -1) {
                        throw new IOException("unexpected journal line: " + a2);
                    }
                    int i2 = indexOf + 1;
                    int indexOf2 = a2.indexOf(32, i2);
                    if (indexOf2 == -1) {
                        String substring2 = a2.substring(i2);
                        if (indexOf == 6 && a2.startsWith("REMOVE")) {
                            this.o.remove(substring2);
                            i++;
                        } else {
                            substring = substring2;
                        }
                    } else {
                        substring = a2.substring(i2, indexOf2);
                    }
                    c cVar = this.o.get(substring);
                    if (cVar == null) {
                        cVar = new c(this, substring, (byte) 0);
                        this.o.put(substring, cVar);
                    }
                    if (indexOf2 != -1 && indexOf == 5 && a2.startsWith("CLEAN")) {
                        String[] split = a2.substring(indexOf2 + 1).split(" ");
                        cVar.d = true;
                        cVar.e = null;
                        c.a(cVar, split);
                    } else if (indexOf2 == -1 && indexOf == 5 && a2.startsWith("DIRTY")) {
                        cVar.e = new a(this, cVar, (byte) 0);
                    } else if (indexOf2 != -1 || indexOf != 4 || !a2.startsWith("READ")) {
                        break;
                    }
                    i++;
                } catch (EOFException e) {
                    this.p = i - this.o.size();
                    a(apVar);
                    return;
                }
            }
            throw new IOException("unexpected journal line: " + a2);
        } catch (Throwable th) {
            a(apVar);
            throw th;
        }
    }

    private void h() {
        a(this.g);
        Iterator<c> it = this.o.values().iterator();
        while (it.hasNext()) {
            c next = it.next();
            if (next.e == null) {
                for (int i = 0; i < this.k; i++) {
                    this.l += next.f1118c[i];
                }
            } else {
                next.e = null;
                for (int i2 = 0; i2 < this.k; i2++) {
                    a(next.a(i2));
                    a(next.b(i2));
                }
                it.remove();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public synchronized void i() {
        if (this.m != null) {
            this.m.close();
        }
        BufferedWriter bufferedWriter = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(this.g), f1105b));
        bufferedWriter.write("libcore.io.DiskLruCache");
        bufferedWriter.write("\n");
        bufferedWriter.write("1");
        bufferedWriter.write("\n");
        bufferedWriter.write(Integer.toString(this.i));
        bufferedWriter.write("\n");
        bufferedWriter.write(Integer.toString(this.k));
        bufferedWriter.write("\n");
        bufferedWriter.write("\n");
        for (c cVar : this.o.values()) {
            if (cVar.e != null) {
                bufferedWriter.write("DIRTY " + cVar.f1117b + '\n');
            } else {
                bufferedWriter.write("CLEAN " + cVar.f1117b + cVar.a() + '\n');
            }
        }
        bufferedWriter.close();
        if (this.f.exists()) {
            a(this.f, this.h, true);
        }
        a(this.g, this.f, false);
        this.h.delete();
        this.m = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(this.f, true), f1105b));
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean j() {
        return this.p >= 2000 && this.p >= this.o.size();
    }

    private void k() {
        if (this.m == null) {
            throw new IllegalStateException("cache is closed");
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void l() {
        while (true) {
            if (this.l <= this.j && this.o.size() <= this.n) {
                return;
            }
            c(this.o.entrySet().iterator().next().getKey());
        }
    }

    public final synchronized b a(String str) {
        b bVar = null;
        synchronized (this) {
            k();
            e(str);
            c cVar = this.o.get(str);
            if (cVar != null && cVar.d) {
                InputStream[] inputStreamArr = new InputStream[this.k];
                for (int i = 0; i < this.k; i++) {
                    try {
                        inputStreamArr[i] = new FileInputStream(cVar.a(i));
                    } catch (FileNotFoundException e) {
                        for (int i2 = 0; i2 < this.k && inputStreamArr[i2] != null; i2++) {
                            a(inputStreamArr[i2]);
                        }
                    }
                }
                this.p++;
                this.m.append((CharSequence) ("READ " + str + '\n'));
                if (j()) {
                    f().submit(this.s);
                }
                bVar = new b(this, str, cVar.f, inputStreamArr, cVar.f1118c, (byte) 0);
            }
        }
        return bVar;
    }

    public final void a(int i) {
        if (i < 10) {
            i = 10;
        } else if (i > 10000) {
            i = 10000;
        }
        this.n = i;
    }

    public final a b(String str) {
        return d(str);
    }

    public final File b() {
        return this.e;
    }

    public final synchronized void c() {
        k();
        l();
        this.m.flush();
    }

    public final synchronized boolean c(String str) {
        boolean z;
        synchronized (this) {
            k();
            e(str);
            c cVar = this.o.get(str);
            if (cVar == null || cVar.e != null) {
                z = false;
            } else {
                for (int i = 0; i < this.k; i++) {
                    File a2 = cVar.a(i);
                    if (a2.exists() && !a2.delete()) {
                        throw new IOException("failed to delete " + a2);
                    }
                    this.l -= cVar.f1118c[i];
                    cVar.f1118c[i] = 0;
                }
                this.p++;
                this.m.append((CharSequence) ("REMOVE " + str + '\n'));
                this.o.remove(str);
                if (j()) {
                    f().submit(this.s);
                }
                z = true;
            }
        }
        return z;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public final synchronized void close() {
        if (this.m != null) {
            Iterator it = new ArrayList(this.o.values()).iterator();
            while (it.hasNext()) {
                c cVar = (c) it.next();
                if (cVar.e != null) {
                    cVar.e.c();
                }
            }
            l();
            this.m.close();
            this.m = null;
        }
    }

    public final void d() {
        close();
        b(this.e);
    }
}
