package com.ndwill.swd.appstore.view;

import android.content.Context;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.SystemClock;
import android.support.v4.os.ParcelableCompat;
import android.support.v4.os.ParcelableCompatCreatorCallbacks;
import android.support.v4.view.KeyEventCompat;
import android.support.v4.view.MotionEventCompat;
import android.support.v4.view.PagerAdapter;
import android.support.v4.view.VelocityTrackerCompat;
import android.support.v4.view.ViewCompat;
import android.support.v4.view.ViewConfigurationCompat;
import android.support.v4.view.ViewPager;
import android.support.v4.widget.EdgeEffectCompat;
import android.util.AttributeSet;
import android.util.Log;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.SoundEffectConstants;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.animation.Interpolator;
import android.widget.Scroller;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
/* loaded from: classes.dex */
public class NoPreloadViewPager extends ViewPager {

    /* renamed from: a  reason: collision with root package name */
    private static final Comparator<a> f1598a = new Comparator<a>() { // from class: com.ndwill.swd.appstore.view.NoPreloadViewPager.1
        @Override // java.util.Comparator
        /* renamed from: a */
        public int compare(a aVar, a aVar2) {
            return aVar.f1605b - aVar2.f1605b;
        }
    };

    /* renamed from: b  reason: collision with root package name */
    private static final Interpolator f1599b = new Interpolator() { // from class: com.ndwill.swd.appstore.view.NoPreloadViewPager.2
        @Override // android.animation.TimeInterpolator
        public float getInterpolation(float f) {
            float f2 = f - 1.0f;
            return (f2 * f2 * f2) + 1.0f;
        }
    };
    private VelocityTracker A;
    private int B;
    private int C;
    private float D;
    private float E;
    private boolean F;
    private long G;
    private EdgeEffectCompat H;
    private EdgeEffectCompat I;
    private boolean J;
    private b K;
    private int L;

    /* renamed from: c  reason: collision with root package name */
    private final ArrayList<a> f1600c;
    private PagerAdapter d;
    private int e;
    private int f;
    private Parcelable g;
    private ClassLoader h;
    private Scroller i;
    private c j;
    private int k;
    private Drawable l;
    private int m;
    private int n;
    private boolean o;
    private boolean p;
    private boolean q;
    private boolean r;
    private int s;
    private boolean t;
    private boolean u;
    private int v;
    private float w;
    private float x;
    private float y;
    private int z;

    /* loaded from: classes.dex */
    public interface b {
        void a(int i);

        void a(int i, float f, int i2);

        void b(int i);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        Object f1604a;

        /* renamed from: b  reason: collision with root package name */
        int f1605b;

        /* renamed from: c  reason: collision with root package name */
        boolean f1606c;

        a() {
        }
    }

    public NoPreloadViewPager(Context context) {
        super(context);
        this.f1600c = new ArrayList<>();
        this.f = -1;
        this.g = null;
        this.h = null;
        this.s = 0;
        this.z = -1;
        this.J = true;
        this.L = 0;
        initViewPager();
    }

    public NoPreloadViewPager(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1600c = new ArrayList<>();
        this.f = -1;
        this.g = null;
        this.h = null;
        this.s = 0;
        this.z = -1;
        this.J = true;
        this.L = 0;
        initViewPager();
    }

    void initViewPager() {
        setWillNotDraw(false);
        setDescendantFocusability(262144);
        setFocusable(true);
        Context context = getContext();
        this.i = new Scroller(context, f1599b);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        this.v = ViewConfigurationCompat.getScaledPagingTouchSlop(viewConfiguration);
        this.B = viewConfiguration.getScaledMinimumFlingVelocity();
        this.C = viewConfiguration.getScaledMaximumFlingVelocity();
        this.H = new EdgeEffectCompat(context);
        this.I = new EdgeEffectCompat(context);
        this.D = context.getResources().getDisplayMetrics().density * 2500.0f;
        this.E = 0.4f;
    }

    private void setScrollState(int i) {
        if (this.L != i) {
            this.L = i;
            if (this.K != null) {
                this.K.b(i);
            }
        }
    }

    @Override // android.support.v4.view.ViewPager
    public void setAdapter(PagerAdapter pagerAdapter) {
        if (this.d != null) {
            this.d.startUpdate((ViewGroup) this);
            for (int i = 0; i < this.f1600c.size(); i++) {
                a aVar = this.f1600c.get(i);
                this.d.destroyItem((ViewGroup) this, aVar.f1605b, aVar.f1604a);
            }
            this.d.finishUpdate((ViewGroup) this);
            this.f1600c.clear();
            removeAllViews();
            this.e = 0;
            scrollTo(0, 0);
        }
        this.d = pagerAdapter;
        if (this.d != null) {
            if (this.j == null) {
                this.j = new c();
            }
            this.q = false;
            if (this.f >= 0) {
                this.d.restoreState(this.g, this.h);
                setCurrentItemInternal(this.f, false, true);
                this.f = -1;
                this.g = null;
                this.h = null;
                return;
            }
            populate();
        }
    }

    @Override // android.support.v4.view.ViewPager
    public PagerAdapter getAdapter() {
        return this.d;
    }

    @Override // android.support.v4.view.ViewPager
    public void setCurrentItem(int i) {
        this.q = false;
        setCurrentItemInternal(i, !this.J, false);
    }

    @Override // android.support.v4.view.ViewPager
    public void setCurrentItem(int i, boolean z) {
        this.q = false;
        setCurrentItemInternal(i, z, false);
    }

    @Override // android.support.v4.view.ViewPager
    public int getCurrentItem() {
        return this.e;
    }

    void setCurrentItemInternal(int i, boolean z, boolean z2) {
        setCurrentItemInternal(i, z, z2, 0);
    }

    void setCurrentItemInternal(int i, boolean z, boolean z2, int i2) {
        if (this.d == null || this.d.getCount() <= 0) {
            setScrollingCacheEnabled(false);
        } else if (!z2 && this.e == i && this.f1600c.size() != 0) {
            setScrollingCacheEnabled(false);
        } else {
            if (i < 0) {
                i = 0;
            } else if (i >= this.d.getCount()) {
                i = this.d.getCount() - 1;
            }
            int i3 = this.s;
            if (i > this.e + i3 || i < this.e - i3) {
                for (int i4 = 0; i4 < this.f1600c.size(); i4++) {
                    this.f1600c.get(i4).f1606c = true;
                }
            }
            boolean z3 = this.e != i;
            this.e = i;
            populate();
            int width = (getWidth() + this.k) * i;
            if (z) {
                smoothScrollTo(width, 0, i2);
                if (z3 && this.K != null) {
                    this.K.a(i);
                    return;
                }
                return;
            }
            if (z3 && this.K != null) {
                this.K.a(i);
            }
            a();
            scrollTo(width, 0);
        }
    }

    public void setOnPageChangeListener(b bVar) {
        this.K = bVar;
    }

    @Override // android.support.v4.view.ViewPager
    public int getOffscreenPageLimit() {
        return this.s;
    }

    @Override // android.support.v4.view.ViewPager
    public void setOffscreenPageLimit(int i) {
        if (i < 0) {
            Log.w("NoPreLoadViewPager", "Requested offscreen page limit " + i + " too small; defaulting to 0");
            i = 0;
        }
        if (i != this.s) {
            this.s = i;
            populate();
        }
    }

    @Override // android.support.v4.view.ViewPager
    public void setPageMargin(int i) {
        int i2 = this.k;
        this.k = i;
        int width = getWidth();
        a(width, width, i, i2);
        requestLayout();
    }

    @Override // android.support.v4.view.ViewPager
    public int getPageMargin() {
        return this.k;
    }

    @Override // android.support.v4.view.ViewPager
    public void setPageMarginDrawable(Drawable drawable) {
        this.l = drawable;
        if (drawable != null) {
            refreshDrawableState();
        }
        setWillNotDraw(drawable == null);
        invalidate();
    }

    @Override // android.support.v4.view.ViewPager
    public void setPageMarginDrawable(int i) {
        setPageMarginDrawable(getContext().getResources().getDrawable(i));
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.support.v4.view.ViewPager, android.view.View
    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.l;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.support.v4.view.ViewPager, android.view.ViewGroup, android.view.View
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.l;
        if (drawable != null && drawable.isStateful()) {
            drawable.setState(getDrawableState());
        }
    }

    float distanceInfluenceForSnapDuration(float f) {
        return (float) Math.sin((float) ((f - 0.5f) * 0.4712389167638204d));
    }

    void smoothScrollTo(int i, int i2) {
        smoothScrollTo(i, i2, 0);
    }

    void smoothScrollTo(int i, int i2, int i3) {
        int i4;
        if (getChildCount() == 0) {
            setScrollingCacheEnabled(false);
            return;
        }
        int scrollX = getScrollX();
        int scrollY = getScrollY();
        int i5 = i - scrollX;
        int i6 = i2 - scrollY;
        if (i5 == 0 && i6 == 0) {
            a();
            setScrollState(0);
            return;
        }
        setScrollingCacheEnabled(true);
        this.r = true;
        setScrollState(2);
        int abs = (int) ((Math.abs(i5) / (getWidth() + this.k)) * 100.0f);
        int abs2 = Math.abs(i3);
        if (abs2 > 0) {
            i4 = (int) (((abs / (abs2 / this.D)) * this.E) + abs);
        } else {
            i4 = abs + 100;
        }
        this.i.startScroll(scrollX, scrollY, i5, i6, Math.min(i4, 600));
        invalidate();
    }

    void a(int i, int i2) {
        a aVar = new a();
        aVar.f1605b = i;
        aVar.f1604a = this.d.instantiateItem((ViewGroup) this, i);
        if (i2 < 0) {
            this.f1600c.add(aVar);
        } else {
            this.f1600c.add(i2, aVar);
        }
    }

    void dataSetChanged() {
        int i;
        int i2;
        boolean z;
        boolean z2 = true;
        int i3 = 0;
        int i4 = -1;
        boolean z3 = this.f1600c.size() < 3 && this.f1600c.size() < this.d.getCount();
        while (i3 < this.f1600c.size()) {
            a aVar = this.f1600c.get(i3);
            int itemPosition = this.d.getItemPosition(aVar.f1604a);
            if (itemPosition == -1) {
                i = i3;
                i2 = i4;
                z = z3;
            } else if (itemPosition == -2) {
                this.f1600c.remove(i3);
                int i5 = i3 - 1;
                this.d.destroyItem((ViewGroup) this, aVar.f1605b, aVar.f1604a);
                if (this.e == aVar.f1605b) {
                    i = i5;
                    i2 = Math.max(0, Math.min(this.e, this.d.getCount() - 1));
                    z = true;
                } else {
                    i = i5;
                    i2 = i4;
                    z = true;
                }
            } else if (aVar.f1605b != itemPosition) {
                if (aVar.f1605b == this.e) {
                    i4 = itemPosition;
                }
                aVar.f1605b = itemPosition;
                i = i3;
                i2 = i4;
                z = true;
            } else {
                i = i3;
                i2 = i4;
                z = z3;
            }
            z3 = z;
            i4 = i2;
            i3 = i + 1;
        }
        Collections.sort(this.f1600c, f1598a);
        if (i4 >= 0) {
            setCurrentItemInternal(i4, false, true);
        } else {
            z2 = z3;
        }
        if (z2) {
            populate();
            requestLayout();
        }
    }

    void populate() {
        a aVar;
        if (this.d != null && !this.q && getWindowToken() != null) {
            this.d.startUpdate((ViewGroup) this);
            int i = this.s;
            int max = Math.max(0, this.e - i);
            int min = Math.min(this.d.getCount() - 1, i + this.e);
            int i2 = 0;
            int i3 = -1;
            while (i2 < this.f1600c.size()) {
                a aVar2 = this.f1600c.get(i2);
                if ((aVar2.f1605b < max || aVar2.f1605b > min) && !aVar2.f1606c) {
                    this.f1600c.remove(i2);
                    i2--;
                    this.d.destroyItem((ViewGroup) this, aVar2.f1605b, aVar2.f1604a);
                } else if (i3 < min && aVar2.f1605b > max) {
                    int i4 = i3 + 1;
                    if (i4 < max) {
                        i4 = max;
                    }
                    while (i4 <= min && i4 < aVar2.f1605b) {
                        a(i4, i2);
                        i4++;
                        i2++;
                    }
                }
                int i5 = i2;
                int i6 = aVar2.f1605b;
                int i7 = i5 + 1;
                i3 = i6;
                i2 = i7;
            }
            int i8 = this.f1600c.size() > 0 ? this.f1600c.get(this.f1600c.size() - 1).f1605b : -1;
            if (i8 < min) {
                int i9 = i8 + 1;
                if (i9 <= max) {
                    i9 = max;
                }
                while (i9 <= min) {
                    a(i9, -1);
                    i9++;
                }
            }
            int i10 = 0;
            while (true) {
                if (i10 < this.f1600c.size()) {
                    if (this.f1600c.get(i10).f1605b != this.e) {
                        i10++;
                    } else {
                        aVar = this.f1600c.get(i10);
                        break;
                    }
                } else {
                    aVar = null;
                    break;
                }
            }
            this.d.setPrimaryItem((ViewGroup) this, this.e, aVar != null ? aVar.f1604a : null);
            this.d.finishUpdate((ViewGroup) this);
            if (hasFocus()) {
                View findFocus = findFocus();
                a b2 = findFocus != null ? b(findFocus) : null;
                if (b2 == null || b2.f1605b != this.e) {
                    for (int i11 = 0; i11 < getChildCount(); i11++) {
                        View childAt = getChildAt(i11);
                        a a2 = a(childAt);
                        if (a2 != null && a2.f1605b == this.e && childAt.requestFocus(2)) {
                            return;
                        }
                    }
                }
            }
        }
    }

    /* loaded from: classes.dex */
    public static class SavedState extends View.BaseSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = ParcelableCompat.newCreator(new ParcelableCompatCreatorCallbacks<SavedState>() { // from class: com.ndwill.swd.appstore.view.NoPreloadViewPager.SavedState.1
            @Override // android.support.v4.os.ParcelableCompatCreatorCallbacks
            /* renamed from: a */
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.support.v4.os.ParcelableCompatCreatorCallbacks
            /* renamed from: a */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        });

        /* renamed from: a  reason: collision with root package name */
        int f1601a;

        /* renamed from: b  reason: collision with root package name */
        Parcelable f1602b;

        /* renamed from: c  reason: collision with root package name */
        ClassLoader f1603c;

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        @Override // android.view.View.BaseSavedState, android.view.AbsSavedState, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f1601a);
            parcel.writeParcelable(this.f1602b, i);
        }

        public String toString() {
            return "FragmentPager.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " position=" + this.f1601a + "}";
        }

        SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel);
            classLoader = classLoader == null ? getClass().getClassLoader() : classLoader;
            this.f1601a = parcel.readInt();
            this.f1602b = parcel.readParcelable(classLoader);
            this.f1603c = classLoader;
        }
    }

    @Override // android.support.v4.view.ViewPager, android.view.View
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.f1601a = this.e;
        if (this.d != null) {
            savedState.f1602b = this.d.saveState();
        }
        return savedState;
    }

    @Override // android.support.v4.view.ViewPager, android.view.View
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        if (this.d != null) {
            this.d.restoreState(savedState.f1602b, savedState.f1603c);
            setCurrentItemInternal(savedState.f1601a, false, true);
            return;
        }
        this.f = savedState.f1601a;
        this.g = savedState.f1602b;
        this.h = savedState.f1603c;
    }

    a a(View view) {
        int i = 0;
        while (true) {
            int i2 = i;
            if (i2 < this.f1600c.size()) {
                a aVar = this.f1600c.get(i2);
                if (!this.d.isViewFromObject(view, aVar.f1604a)) {
                    i = i2 + 1;
                } else {
                    return aVar;
                }
            } else {
                return null;
            }
        }
    }

    a b(View view) {
        while (true) {
            ViewParent parent = view.getParent();
            if (parent != this) {
                if (parent == null || !(parent instanceof View)) {
                    break;
                }
                view = (View) parent;
            } else {
                return a(view);
            }
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.support.v4.view.ViewPager, android.view.ViewGroup, android.view.View
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.J = true;
    }

    @Override // android.support.v4.view.ViewPager, android.view.View
    protected void onMeasure(int i, int i2) {
        setMeasuredDimension(getDefaultSize(0, i), getDefaultSize(0, i2));
        this.m = View.MeasureSpec.makeMeasureSpec((getMeasuredWidth() - getPaddingLeft()) - getPaddingRight(), 1073741824);
        this.n = View.MeasureSpec.makeMeasureSpec((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom(), 1073741824);
        this.o = true;
        populate();
        this.o = false;
        int childCount = getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt = getChildAt(i3);
            if (childAt.getVisibility() != 8) {
                childAt.measure(this.m, this.n);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.support.v4.view.ViewPager, android.view.View
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        if (i != i3) {
            a(i, i3, this.k, this.k);
        }
    }

    private void a(int i, int i2, int i3, int i4) {
        int i5 = i + i3;
        if (i2 > 0) {
            int scrollX = getScrollX();
            int i6 = i2 + i4;
            int i7 = (int) ((((scrollX % i6) / i6) + (scrollX / i6)) * i5);
            scrollTo(i7, getScrollY());
            if (!this.i.isFinished()) {
                this.i.startScroll(i7, 0, i5 * this.e, 0, this.i.getDuration() - this.i.timePassed());
                return;
            }
            return;
        }
        int i8 = this.e * i5;
        if (i8 != getScrollX()) {
            a();
            scrollTo(i8, getScrollY());
        }
    }

    @Override // android.support.v4.view.ViewPager, android.view.ViewGroup, android.view.View
    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        a a2;
        this.o = true;
        populate();
        this.o = false;
        int childCount = getChildCount();
        int i5 = i3 - i;
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = getChildAt(i6);
            if (childAt.getVisibility() != 8 && (a2 = a(childAt)) != null) {
                int paddingLeft = (a2.f1605b * (this.k + i5)) + getPaddingLeft();
                int paddingTop = getPaddingTop();
                childAt.layout(paddingLeft, paddingTop, childAt.getMeasuredWidth() + paddingLeft, childAt.getMeasuredHeight() + paddingTop);
            }
        }
        this.J = false;
    }

    @Override // android.support.v4.view.ViewPager, android.view.View
    public void computeScroll() {
        if (!this.i.isFinished() && this.i.computeScrollOffset()) {
            int scrollX = getScrollX();
            int scrollY = getScrollY();
            int currX = this.i.getCurrX();
            int currY = this.i.getCurrY();
            if (scrollX != currX || scrollY != currY) {
                scrollTo(currX, currY);
            }
            if (this.K != null) {
                int width = getWidth() + this.k;
                int i = currX / width;
                int i2 = currX % width;
                this.K.a(i, i2 / width, i2);
            }
            invalidate();
            return;
        }
        a();
    }

    private void a() {
        boolean z = this.r;
        if (z) {
            setScrollingCacheEnabled(false);
            this.i.abortAnimation();
            int scrollX = getScrollX();
            int scrollY = getScrollY();
            int currX = this.i.getCurrX();
            int currY = this.i.getCurrY();
            if (scrollX != currX || scrollY != currY) {
                scrollTo(currX, currY);
            }
            setScrollState(0);
        }
        this.q = false;
        this.r = false;
        boolean z2 = z;
        for (int i = 0; i < this.f1600c.size(); i++) {
            a aVar = this.f1600c.get(i);
            if (aVar.f1606c) {
                z2 = true;
                aVar.f1606c = false;
            }
        }
        if (z2) {
            populate();
        }
    }

    @Override // android.support.v4.view.ViewPager, android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction() & 255;
        if (action == 3 || action == 1) {
            this.t = false;
            this.u = false;
            this.z = -1;
            return false;
        }
        if (action != 0) {
            if (this.t) {
                return true;
            }
            if (this.u) {
                return false;
            }
        }
        switch (action) {
            case 0:
                float x = motionEvent.getX();
                this.w = x;
                this.x = x;
                this.y = motionEvent.getY();
                this.z = MotionEventCompat.getPointerId(motionEvent, 0);
                if (this.L == 2) {
                    this.t = true;
                    this.u = false;
                    setScrollState(1);
                    break;
                } else {
                    a();
                    this.t = false;
                    this.u = false;
                    break;
                }
            case 2:
                int i = this.z;
                if (i != -1) {
                    int findPointerIndex = MotionEventCompat.findPointerIndex(motionEvent, i);
                    float x2 = MotionEventCompat.getX(motionEvent, findPointerIndex);
                    float f = x2 - this.x;
                    float abs = Math.abs(f);
                    float y = MotionEventCompat.getY(motionEvent, findPointerIndex);
                    float abs2 = Math.abs(y - this.y);
                    int scrollX = getScrollX();
                    if ((f <= 0.0f || scrollX != 0) && f < 0.0f && this.d != null && scrollX >= ((this.d.getCount() - 1) * getWidth()) - 1) {
                    }
                    if (canScroll(this, false, (int) f, (int) x2, (int) y)) {
                        this.x = x2;
                        this.w = x2;
                        this.y = y;
                        return false;
                    } else if (abs > this.v && abs > abs2) {
                        this.t = true;
                        setScrollState(1);
                        this.x = x2;
                        setScrollingCacheEnabled(true);
                        break;
                    } else if (abs2 > this.v) {
                        this.u = true;
                        break;
                    }
                }
                break;
            case 6:
                a(motionEvent);
                break;
        }
        return this.t;
    }

    @Override // android.support.v4.view.ViewPager, android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z;
        float f;
        if (this.F) {
            return true;
        }
        if ((motionEvent.getAction() == 0 && motionEvent.getEdgeFlags() != 0) || this.d == null || this.d.getCount() == 0) {
            return false;
        }
        if (this.A == null) {
            this.A = VelocityTracker.obtain();
        }
        this.A.addMovement(motionEvent);
        switch (motionEvent.getAction() & 255) {
            case 0:
                a();
                float x = motionEvent.getX();
                this.w = x;
                this.x = x;
                this.z = MotionEventCompat.getPointerId(motionEvent, 0);
                break;
            case 1:
                if (this.t) {
                    VelocityTracker velocityTracker = this.A;
                    velocityTracker.computeCurrentVelocity(1000, this.C);
                    int xVelocity = (int) VelocityTrackerCompat.getXVelocity(velocityTracker, this.z);
                    this.q = true;
                    int scrollX = getScrollX() / (getWidth() + this.k);
                    if (xVelocity <= 0) {
                        scrollX++;
                    }
                    setCurrentItemInternal(scrollX, true, true, xVelocity);
                    this.z = -1;
                    b();
                    r0 = this.H.onRelease() | this.I.onRelease();
                    break;
                }
                break;
            case 2:
                if (!this.t) {
                    int findPointerIndex = MotionEventCompat.findPointerIndex(motionEvent, this.z);
                    float x2 = MotionEventCompat.getX(motionEvent, findPointerIndex);
                    float abs = Math.abs(x2 - this.x);
                    float abs2 = Math.abs(MotionEventCompat.getY(motionEvent, findPointerIndex) - this.y);
                    if (abs > this.v && abs > abs2) {
                        this.t = true;
                        this.x = x2;
                        setScrollState(1);
                        setScrollingCacheEnabled(true);
                    }
                }
                if (this.t) {
                    float x3 = MotionEventCompat.getX(motionEvent, MotionEventCompat.findPointerIndex(motionEvent, this.z));
                    float f2 = this.x - x3;
                    this.x = x3;
                    float scrollX2 = getScrollX() + f2;
                    int width = getWidth();
                    int i = width + this.k;
                    int count = this.d.getCount() - 1;
                    float max = Math.max(0, (this.e - 1) * i);
                    float min = Math.min(this.e + 1, count) * i;
                    if (scrollX2 < max) {
                        z = max == 0.0f ? this.H.onPull((-scrollX2) / width) : false;
                        f = max;
                    } else if (scrollX2 > min) {
                        z = min == ((float) (count * i)) ? this.I.onPull((scrollX2 - min) / width) : false;
                        f = min;
                    } else {
                        z = false;
                        f = scrollX2;
                    }
                    this.x += f - ((int) f);
                    scrollTo((int) f, getScrollY());
                    if (this.K != null) {
                        int i2 = ((int) f) % i;
                        this.K.a(((int) f) / i, i2 / i, i2);
                    }
                    r0 = z;
                    break;
                }
                break;
            case 3:
                if (this.t) {
                    setCurrentItemInternal(this.e, true, true);
                    this.z = -1;
                    b();
                    r0 = this.H.onRelease() | this.I.onRelease();
                    break;
                }
                break;
            case 5:
                int actionIndex = MotionEventCompat.getActionIndex(motionEvent);
                this.x = MotionEventCompat.getX(motionEvent, actionIndex);
                this.z = MotionEventCompat.getPointerId(motionEvent, actionIndex);
                break;
            case 6:
                a(motionEvent);
                this.x = MotionEventCompat.getX(motionEvent, MotionEventCompat.findPointerIndex(motionEvent, this.z));
                break;
        }
        if (r0) {
            invalidate();
        }
        return true;
    }

    @Override // android.support.v4.view.ViewPager, android.view.View
    public void draw(Canvas canvas) {
        super.draw(canvas);
        boolean z = false;
        int overScrollMode = ViewCompat.getOverScrollMode(this);
        if (overScrollMode == 0 || (overScrollMode == 1 && this.d != null && this.d.getCount() > 1)) {
            if (!this.H.isFinished()) {
                int save = canvas.save();
                int height = (getHeight() - getPaddingTop()) - getPaddingBottom();
                canvas.rotate(270.0f);
                canvas.translate((-height) + getPaddingTop(), 0.0f);
                this.H.setSize(height, getWidth());
                z = false | this.H.draw(canvas);
                canvas.restoreToCount(save);
            }
            if (!this.I.isFinished()) {
                int save2 = canvas.save();
                int width = getWidth();
                int height2 = (getHeight() - getPaddingTop()) - getPaddingBottom();
                int count = this.d != null ? this.d.getCount() : 1;
                canvas.rotate(90.0f);
                canvas.translate(-getPaddingTop(), ((-count) * (this.k + width)) + this.k);
                this.I.setSize(height2, width);
                z |= this.I.draw(canvas);
                canvas.restoreToCount(save2);
            }
        } else {
            this.H.finish();
            this.I.finish();
        }
        if (z) {
            invalidate();
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.support.v4.view.ViewPager, android.view.View
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.k > 0 && this.l != null) {
            int scrollX = getScrollX();
            int width = getWidth();
            int i = scrollX % (this.k + width);
            if (i != 0) {
                int i2 = (scrollX - i) + width;
                this.l.setBounds(i2, 0, this.k + i2, getHeight());
                this.l.draw(canvas);
            }
        }
    }

    @Override // android.support.v4.view.ViewPager
    public boolean beginFakeDrag() {
        if (this.t) {
            return false;
        }
        this.F = true;
        setScrollState(1);
        this.x = 0.0f;
        this.w = 0.0f;
        if (this.A == null) {
            this.A = VelocityTracker.obtain();
        } else {
            this.A.clear();
        }
        long uptimeMillis = SystemClock.uptimeMillis();
        MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 0, 0.0f, 0.0f, 0);
        this.A.addMovement(obtain);
        obtain.recycle();
        this.G = uptimeMillis;
        return true;
    }

    @Override // android.support.v4.view.ViewPager
    public void endFakeDrag() {
        if (!this.F) {
            throw new IllegalStateException("No fake drag in progress. Call beginFakeDrag first.");
        }
        VelocityTracker velocityTracker = this.A;
        velocityTracker.computeCurrentVelocity(1000, this.C);
        this.q = true;
        if (Math.abs((int) VelocityTrackerCompat.getYVelocity(velocityTracker, this.z)) > this.B || Math.abs(this.w - this.x) >= getWidth() / 3) {
            if (this.x > this.w) {
                setCurrentItemInternal(this.e - 1, true, true);
            } else {
                setCurrentItemInternal(this.e + 1, true, true);
            }
        } else {
            setCurrentItemInternal(this.e, true, true);
        }
        b();
        this.F = false;
    }

    @Override // android.support.v4.view.ViewPager
    public void fakeDragBy(float f) {
        if (!this.F) {
            throw new IllegalStateException("No fake drag in progress. Call beginFakeDrag first.");
        }
        this.x += f;
        float scrollX = getScrollX() - f;
        int width = getWidth() + this.k;
        float max = Math.max(0, (this.e - 1) * width);
        float min = Math.min(this.e + 1, this.d.getCount() - 1) * width;
        if (scrollX >= max) {
            max = scrollX > min ? min : scrollX;
        }
        this.x += max - ((int) max);
        scrollTo((int) max, getScrollY());
        if (this.K != null) {
            int i = ((int) max) / width;
            int i2 = ((int) max) % width;
            this.K.a(i, i2 / width, i2);
        }
        MotionEvent obtain = MotionEvent.obtain(this.G, SystemClock.uptimeMillis(), 2, this.x, 0.0f, 0);
        this.A.addMovement(obtain);
        obtain.recycle();
    }

    @Override // android.support.v4.view.ViewPager
    public boolean isFakeDragging() {
        return this.F;
    }

    private void a(MotionEvent motionEvent) {
        int actionIndex = MotionEventCompat.getActionIndex(motionEvent);
        if (MotionEventCompat.getPointerId(motionEvent, actionIndex) == this.z) {
            int i = actionIndex == 0 ? 1 : 0;
            this.x = MotionEventCompat.getX(motionEvent, i);
            this.z = MotionEventCompat.getPointerId(motionEvent, i);
            if (this.A != null) {
                this.A.clear();
            }
        }
    }

    private void b() {
        this.t = false;
        this.u = false;
        if (this.A != null) {
            this.A.recycle();
            this.A = null;
        }
    }

    private void setScrollingCacheEnabled(boolean z) {
        if (this.p != z) {
            this.p = z;
        }
    }

    @Override // android.support.v4.view.ViewPager
    protected boolean canScroll(View view, boolean z, int i, int i2, int i3) {
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            int scrollX = view.getScrollX();
            int scrollY = view.getScrollY();
            for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                View childAt = viewGroup.getChildAt(childCount);
                if (i2 + scrollX >= childAt.getLeft() && i2 + scrollX < childAt.getRight() && i3 + scrollY >= childAt.getTop() && i3 + scrollY < childAt.getBottom() && canScroll(childAt, true, i, (i2 + scrollX) - childAt.getLeft(), (i3 + scrollY) - childAt.getTop())) {
                    return true;
                }
            }
        }
        return z && ViewCompat.canScrollHorizontally(view, -i);
    }

    @Override // android.support.v4.view.ViewPager, android.view.ViewGroup, android.view.View
    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent) || executeKeyEvent(keyEvent);
    }

    @Override // android.support.v4.view.ViewPager
    public boolean executeKeyEvent(KeyEvent keyEvent) {
        if (keyEvent.getAction() != 0) {
            return false;
        }
        switch (keyEvent.getKeyCode()) {
            case 21:
                return arrowScroll(17);
            case 22:
                return arrowScroll(66);
            case 61:
                if (KeyEventCompat.hasNoModifiers(keyEvent)) {
                    return arrowScroll(2);
                }
                if (!KeyEventCompat.hasModifiers(keyEvent, 1)) {
                    return false;
                }
                return arrowScroll(1);
            default:
                return false;
        }
    }

    @Override // android.support.v4.view.ViewPager
    public boolean arrowScroll(int i) {
        boolean pageLeft;
        View findFocus = findFocus();
        if (findFocus == this) {
            findFocus = null;
        }
        View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i);
        if (findNextFocus != null && findNextFocus != findFocus) {
            if (i == 17) {
                if (findFocus != null && findNextFocus.getLeft() >= findFocus.getLeft()) {
                    pageLeft = pageLeft();
                } else {
                    pageLeft = findNextFocus.requestFocus();
                }
            } else {
                if (i == 66) {
                    if (findFocus != null && findNextFocus.getLeft() <= findFocus.getLeft()) {
                        pageLeft = pageRight();
                    } else {
                        pageLeft = findNextFocus.requestFocus();
                    }
                }
                pageLeft = false;
            }
        } else if (i == 17 || i == 1) {
            pageLeft = pageLeft();
        } else {
            if (i == 66 || i == 2) {
                pageLeft = pageRight();
            }
            pageLeft = false;
        }
        if (pageLeft) {
            playSoundEffect(SoundEffectConstants.getContantForFocusDirection(i));
        }
        return pageLeft;
    }

    boolean pageLeft() {
        if (this.e > 0) {
            setCurrentItem(this.e - 1, true);
            return true;
        }
        return false;
    }

    boolean pageRight() {
        if (this.d == null || this.e >= this.d.getCount() - 1) {
            return false;
        }
        setCurrentItem(this.e + 1, true);
        return true;
    }

    @Override // android.support.v4.view.ViewPager, android.view.ViewGroup, android.view.View
    public void addFocusables(ArrayList<View> arrayList, int i, int i2) {
        a a2;
        int size = arrayList.size();
        int descendantFocusability = getDescendantFocusability();
        if (descendantFocusability != 393216) {
            for (int i3 = 0; i3 < getChildCount(); i3++) {
                View childAt = getChildAt(i3);
                if (childAt.getVisibility() == 0 && (a2 = a(childAt)) != null && a2.f1605b == this.e) {
                    childAt.addFocusables(arrayList, i, i2);
                }
            }
        }
        if ((descendantFocusability != 262144 || size == arrayList.size()) && isFocusable()) {
            if (((i2 & 1) != 1 || !isInTouchMode() || isFocusableInTouchMode()) && arrayList != null) {
                arrayList.add(this);
            }
        }
    }

    @Override // android.support.v4.view.ViewPager, android.view.ViewGroup, android.view.View
    public void addTouchables(ArrayList<View> arrayList) {
        a a2;
        for (int i = 0; i < getChildCount(); i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() == 0 && (a2 = a(childAt)) != null && a2.f1605b == this.e) {
                childAt.addTouchables(arrayList);
            }
        }
    }

    @Override // android.support.v4.view.ViewPager, android.view.ViewGroup
    protected boolean onRequestFocusInDescendants(int i, Rect rect) {
        int i2;
        a a2;
        int i3 = -1;
        int childCount = getChildCount();
        if ((i & 2) != 0) {
            i3 = 1;
            i2 = 0;
        } else {
            i2 = childCount - 1;
            childCount = -1;
        }
        while (i2 != childCount) {
            View childAt = getChildAt(i2);
            if (childAt.getVisibility() == 0 && (a2 = a(childAt)) != null && a2.f1605b == this.e && childAt.requestFocus(i, rect)) {
                return true;
            }
            i2 += i3;
        }
        return false;
    }

    @Override // android.support.v4.view.ViewPager, android.view.View
    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        a a2;
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() == 0 && (a2 = a(childAt)) != null && a2.f1605b == this.e && childAt.dispatchPopulateAccessibilityEvent(accessibilityEvent)) {
                return true;
            }
        }
        return false;
    }

    /* loaded from: classes.dex */
    private class c extends DataSetObserver {
        private c() {
        }

        @Override // android.database.DataSetObserver
        public void onChanged() {
            NoPreloadViewPager.this.dataSetChanged();
        }

        @Override // android.database.DataSetObserver
        public void onInvalidated() {
            NoPreloadViewPager.this.dataSetChanged();
        }
    }
}
