package com.ndwill.swd.appstore.view;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.view.View;
import com.ndwill.swd.appstore.R;
/* loaded from: classes.dex */
public class ProgressButton extends View {

    /* renamed from: a  reason: collision with root package name */
    private Paint.FontMetrics f1608a;

    /* renamed from: b  reason: collision with root package name */
    private int f1609b;

    /* renamed from: c  reason: collision with root package name */
    private int f1610c;
    private Paint d;
    private float e;
    private int f;
    private int g;
    private String h;
    private int i;
    private int j;
    private int k;
    private Context l;

    public ProgressButton(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1609b = 0;
        this.f1610c = -1;
        this.j = 10;
        this.k = 2;
        a(context, attributeSet);
    }

    public ProgressButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f1609b = 0;
        this.f1610c = -1;
        this.j = 10;
        this.k = 2;
        a(context, attributeSet);
    }

    private void a(Context context, AttributeSet attributeSet) {
        this.l = context;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ProgressButton);
        this.g = obtainStyledAttributes.getInteger(0, Color.parseColor("#C6C6C6"));
        this.f = obtainStyledAttributes.getInteger(3, Color.rgb(20, 131, 214));
        this.f1610c = obtainStyledAttributes.getInteger(5, -1);
        this.i = obtainStyledAttributes.getInteger(1, 100);
        this.f1609b = obtainStyledAttributes.getInteger(2, 0);
        this.h = obtainStyledAttributes.getString(4);
        this.e = obtainStyledAttributes.getDimension(6, 20.0f);
        obtainStyledAttributes.recycle();
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        this.d = new Paint();
        this.d.setAntiAlias(true);
        this.d.setStrokeWidth(this.k);
        this.d.setStyle(Paint.Style.STROKE);
        RectF rectF = new RectF(this.k, this.k, getWidth() - this.k, getHeight() - this.k);
        this.d.setColor(this.g);
        canvas.drawRoundRect(rectF, this.j, this.j, this.d);
        this.d.setColor(this.f);
        this.d.setStyle(Paint.Style.FILL);
        if (this.f1609b <= this.j) {
            canvas.drawRoundRect(new RectF(this.k + 1, (this.j - this.f1609b) + 1 + this.k, (((getWidth() * this.f1609b) / this.i) - 1) - this.k, (((getHeight() - this.j) + this.f1609b) - 1) - this.k), this.f1609b, this.f1609b, this.d);
        } else {
            canvas.drawRoundRect(new RectF(this.k + 1, this.k + 1, (((getWidth() * this.f1609b) / this.i) - 1) - this.k, (getHeight() - 1) - this.k), this.j, this.j, this.d);
        }
        if (!"".equals(this.h) && this.h != null) {
            this.d.setTextSize(this.e);
            this.f1608a = this.d.getFontMetrics();
            this.d.setColor(this.f1610c);
            this.d.setStyle(Paint.Style.FILL);
            canvas.drawText(this.h, (getMeasuredWidth() - this.d.measureText(this.h)) / 2.0f, ((getHeight() / 2) - this.f1608a.descent) + ((this.f1608a.descent - this.f1608a.ascent) / 2.0f), this.d);
        }
    }

    public void setMax(int i) {
        this.i = i;
    }

    public void setText(String str) {
        this.h = str;
    }

    public void setText(int i) {
        this.h = this.l.getResources().getString(i);
    }

    public String getText() {
        return this.h;
    }

    public void setForeground(int i) {
        this.f = i;
    }

    @Override // android.view.View
    public void setBackgroundColor(int i) {
        this.g = i;
    }

    public void setTextSize(int i) {
        this.e = i;
    }

    public void setTextColor(int i) {
        this.f1610c = i;
    }

    public void setProgress(int i) {
        if (i <= this.i) {
            this.f1609b = i;
            postInvalidate();
        }
    }

    public int getMax() {
        return this.i;
    }

    public int getProgress() {
        return this.f1609b;
    }
}
