package com.ndwill.swd.appstore.view.badge;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PointF;
import java.lang.ref.WeakReference;
import java.lang.reflect.Array;
import java.util.Random;
/* compiled from: BadgeAnimator.java */
/* loaded from: classes.dex */
public class b extends ValueAnimator {

    /* renamed from: a  reason: collision with root package name */
    private a[][] f1639a;

    /* renamed from: b  reason: collision with root package name */
    private WeakReference<QBadgeView> f1640b;

    public b(Bitmap bitmap, PointF pointF, QBadgeView qBadgeView) {
        this.f1640b = new WeakReference<>(qBadgeView);
        setFloatValues(0.0f, 1.0f);
        setDuration(500L);
        this.f1639a = a(bitmap, pointF);
        addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.ndwill.swd.appstore.view.badge.b.1
            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
            public void onAnimationUpdate(ValueAnimator valueAnimator) {
                QBadgeView qBadgeView2 = (QBadgeView) b.this.f1640b.get();
                if (qBadgeView2 == null || !qBadgeView2.isShown()) {
                    b.this.cancel();
                } else {
                    qBadgeView2.invalidate();
                }
            }
        });
        addListener(new AnimatorListenerAdapter() { // from class: com.ndwill.swd.appstore.view.badge.b.2
            @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
            public void onAnimationEnd(Animator animator) {
                QBadgeView qBadgeView2 = (QBadgeView) b.this.f1640b.get();
                if (qBadgeView2 != null) {
                    qBadgeView2.b();
                }
            }
        });
    }

    public void a(Canvas canvas) {
        for (int i = 0; i < this.f1639a.length; i++) {
            for (int i2 = 0; i2 < this.f1639a[i].length; i2++) {
                this.f1639a[i][i2].a(Float.parseFloat(getAnimatedValue().toString()), canvas);
            }
        }
    }

    private a[][] a(Bitmap bitmap, PointF pointF) {
        int width = bitmap.getWidth();
        int height = bitmap.getHeight();
        float min = Math.min(width, height) / 6.0f;
        float width2 = pointF.x - (bitmap.getWidth() / 2.0f);
        float height2 = pointF.y - (bitmap.getHeight() / 2.0f);
        a[][] aVarArr = (a[][]) Array.newInstance(a.class, (int) (height / min), (int) (width / min));
        for (int i = 0; i < aVarArr.length; i++) {
            for (int i2 = 0; i2 < aVarArr[i].length; i2++) {
                a aVar = new a();
                aVar.e = bitmap.getPixel((int) (i2 * min), (int) (i * min));
                aVar.f1644b = (i2 * min) + width2;
                aVar.f1645c = (i * min) + height2;
                aVar.d = min;
                aVar.f = Math.max(width, height);
                aVarArr[i][i2] = aVar;
            }
        }
        bitmap.recycle();
        return aVarArr;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: BadgeAnimator.java */
    /* loaded from: classes.dex */
    public class a {

        /* renamed from: a  reason: collision with root package name */
        Random f1643a;

        /* renamed from: b  reason: collision with root package name */
        float f1644b;

        /* renamed from: c  reason: collision with root package name */
        float f1645c;
        float d;
        int e;
        int f;
        Paint g = new Paint();

        public a() {
            this.g.setAntiAlias(true);
            this.g.setStyle(Paint.Style.FILL);
            this.f1643a = new Random();
        }

        public void a(float f, Canvas canvas) {
            this.g.setColor(this.e);
            this.f1644b += this.f1643a.nextInt(this.f) * 0.1f * (this.f1643a.nextFloat() - 0.5f);
            this.f1645c += this.f1643a.nextInt(this.f) * 0.1f * (this.f1643a.nextFloat() - 0.5f);
            canvas.drawCircle(this.f1644b, this.f1645c, this.d - (this.d * f), this.g);
        }
    }
}
