package com.ndwill.swd.appstore.view.slidingtabs;

import android.content.Context;
import android.os.Build;
import android.support.v4.view.PagerAdapter;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.HorizontalScrollView;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.linspirer.utils.d.f;
import com.ndwill.swd.appstore.view.NoCacheViewPager;
/* loaded from: classes.dex */
public class SlidingTabLayout extends HorizontalScrollView {

    /* renamed from: a  reason: collision with root package name */
    private static int f1671a = 12;

    /* renamed from: b  reason: collision with root package name */
    private static int f1672b;

    /* renamed from: c  reason: collision with root package name */
    private static int f1673c;
    private int d;
    private int e;
    private int f;
    private boolean g;
    private NoCacheViewPager h;
    private SparseArray<String> i;
    private NoCacheViewPager.b j;
    private final com.ndwill.swd.appstore.view.slidingtabs.a k;

    /* loaded from: classes.dex */
    public interface c {
        int a(int i);

        int b(int i);
    }

    public SlidingTabLayout(Context context) {
        this(context, null);
    }

    public SlidingTabLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public SlidingTabLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.i = new SparseArray<>();
        setHorizontalScrollBarEnabled(false);
        setFillViewport(true);
        this.d = (int) (24.0f * getResources().getDisplayMetrics().density);
        this.k = new com.ndwill.swd.appstore.view.slidingtabs.a(context);
        addView(this.k, -1, -2);
    }

    public void setCustomTabColorizer(c cVar) {
        this.k.a(cVar);
    }

    public void setDistributeEvenly(boolean z) {
        this.g = z;
    }

    public void setSelectedIndicatorColors(int... iArr) {
        this.k.a(iArr);
    }

    public void setDividerColors(int... iArr) {
        this.k.b(iArr);
    }

    public void setTextSize(int i) {
        f1671a = i;
    }

    public int getTextSize() {
        return f1671a;
    }

    public void setTextSelectedColor(int i) {
        f1672b = i;
    }

    public int getTextSelectedColor() {
        return f1672b;
    }

    public void setTextUnSelectedColor(int i) {
        f1673c = i;
    }

    public int getTextUnSelectedColor() {
        return f1673c;
    }

    public void setOnPageChangeListener(NoCacheViewPager.b bVar) {
        this.j = bVar;
    }

    public void setViewPager(NoCacheViewPager noCacheViewPager) {
        this.k.removeAllViews();
        this.h = noCacheViewPager;
        if (noCacheViewPager != null) {
            noCacheViewPager.setOnPageChangeListener(new a());
            a();
        }
    }

    protected TextView a(Context context) {
        TextView textView = new TextView(context);
        textView.setGravity(17);
        textView.setTextSize(2, getTextSize());
        textView.setLayoutParams(new LinearLayout.LayoutParams(-2, -2));
        TypedValue typedValue = new TypedValue();
        if (Build.VERSION.SDK_INT >= 11) {
            getContext().getTheme().resolveAttribute(16843534, typedValue, true);
        }
        textView.setBackgroundResource(typedValue.resourceId);
        if (Build.VERSION.SDK_INT >= 14) {
            textView.setAllCaps(true);
        }
        int i = (int) (16.0f * getResources().getDisplayMetrics().density);
        textView.setPadding(i, i, i, i);
        return textView;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v10, types: [com.ndwill.swd.appstore.view.slidingtabs.a] */
    /* JADX WARN: Type inference failed for: r1v2, types: [android.view.View, java.lang.Object] */
    private void a() {
        TextView textView;
        View view;
        PagerAdapter adapter = this.h.getAdapter();
        b bVar = new b();
        int i = 0;
        while (i < adapter.getCount()) {
            if (this.e != 0) {
                view = LayoutInflater.from(getContext()).inflate(this.e, (ViewGroup) this.k, false);
                textView = (TextView) view.findViewById(this.f);
            } else {
                textView = null;
                view = null;
            }
            if (view == null) {
                view = a(getContext());
            }
            TextView textView2 = (textView == null && TextView.class.isInstance(view)) ? view : textView;
            if (this.g) {
                LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) view.getLayoutParams();
                layoutParams.width = 0;
                layoutParams.weight = 1.0f;
            }
            textView2.setText(adapter.getPageTitle(i));
            view.setOnClickListener(bVar);
            String str = this.i.get(i, null);
            if (str != null) {
                view.setContentDescription(str);
            }
            this.k.addView(view);
            if (i == this.h.getCurrentItem()) {
                f.a("set current item selected :" + i);
                view.setSelected(true);
                this.k.a(0, 0.0f);
            }
            a(textView2, i == this.h.getCurrentItem());
            i++;
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.h != null) {
            a(this.h.getCurrentItem(), 0);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(int i, int i2) {
        View childAt;
        int childCount = this.k.getChildCount();
        if (childCount != 0 && i >= 0 && i < childCount && (childAt = this.k.getChildAt(i)) != null) {
            int left = childAt.getLeft() + i2;
            if (i > 0 || i2 > 0) {
                left -= this.d;
            }
            scrollTo(left, 0);
        }
    }

    /* loaded from: classes.dex */
    private class a implements NoCacheViewPager.b {

        /* renamed from: b  reason: collision with root package name */
        private int f1675b;

        private a() {
        }

        @Override // com.ndwill.swd.appstore.view.NoCacheViewPager.b
        public void a(int i, float f, int i2) {
            int childCount = SlidingTabLayout.this.k.getChildCount();
            if (childCount != 0 && i >= 0 && i < childCount) {
                SlidingTabLayout.this.k.a(i, f);
                View childAt = SlidingTabLayout.this.k.getChildAt(i);
                SlidingTabLayout.this.a(i, childAt != null ? (int) (childAt.getWidth() * f) : 0);
                if (SlidingTabLayout.this.j != null) {
                    SlidingTabLayout.this.j.a(i, f, i2);
                }
            }
        }

        @Override // com.ndwill.swd.appstore.view.NoCacheViewPager.b
        public void b(int i) {
            this.f1675b = i;
            if (SlidingTabLayout.this.j != null) {
                SlidingTabLayout.this.j.b(i);
            }
        }

        @Override // com.ndwill.swd.appstore.view.NoCacheViewPager.b
        public void a(int i) {
            if (this.f1675b == 0) {
                SlidingTabLayout.this.k.a(i, 0.0f);
                SlidingTabLayout.this.a(i, 0);
            }
            int i2 = 0;
            while (i2 < SlidingTabLayout.this.k.getChildCount()) {
                SlidingTabLayout.this.k.getChildAt(i2).setSelected(i == i2);
                SlidingTabLayout.this.a((TextView) SlidingTabLayout.this.k.getChildAt(i2), i == i2);
                i2++;
            }
            if (SlidingTabLayout.this.j != null) {
                SlidingTabLayout.this.j.a(i);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(TextView textView, boolean z) {
        if (z) {
            textView.setTextColor(getTextSelectedColor());
        } else {
            textView.setTextColor(getTextUnSelectedColor());
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public class b implements View.OnClickListener {
        private b() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            for (int i = 0; i < SlidingTabLayout.this.k.getChildCount(); i++) {
                if (view == SlidingTabLayout.this.k.getChildAt(i)) {
                    SlidingTabLayout.this.h.setCurrentItem(i);
                    return;
                }
            }
        }
    }
}
