package com.ndwill.swd.appstore.view.swipebacklayout;

import android.app.Activity;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.support.v4.view.ViewCompat;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import com.ndwill.swd.appstore.R;
import com.ndwill.swd.appstore.view.swipebacklayout.d;
import java.util.ArrayList;
import java.util.List;
/* loaded from: classes.dex */
public class SwipeBackLayout extends FrameLayout {

    /* renamed from: a  reason: collision with root package name */
    private static final int[] f1683a = {1, 2, 8, 11};

    /* renamed from: b  reason: collision with root package name */
    private int f1684b;

    /* renamed from: c  reason: collision with root package name */
    private float f1685c;
    private Activity d;
    private boolean e;
    private View f;
    private d g;
    private float h;
    private int i;
    private int j;
    private List<a> k;
    private Drawable l;
    private Drawable m;
    private Drawable n;
    private float o;
    private int p;
    private boolean q;
    private Rect r;
    private int s;

    /* loaded from: classes.dex */
    public interface a {
        void a();

        void a(int i);

        void a(int i, float f);
    }

    /* loaded from: classes.dex */
    public interface b extends a {
        void b();
    }

    public SwipeBackLayout(Context context) {
        this(context, null);
    }

    public SwipeBackLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.SwipeBackLayoutStyle);
    }

    public SwipeBackLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet);
        this.f1685c = 0.3f;
        this.e = true;
        this.p = -1728053248;
        this.r = new Rect();
        this.g = d.a(this, new c());
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.SwipeBackLayout, i, R.style.SwipeBackLayout);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(1, -1);
        if (dimensionPixelSize > 0) {
            setEdgeSize(dimensionPixelSize);
        }
        setEdgeTrackingEnabled(f1683a[obtainStyledAttributes.getInt(0, 0)]);
        int resourceId = obtainStyledAttributes.getResourceId(3, R.drawable.shadow_left);
        int resourceId2 = obtainStyledAttributes.getResourceId(4, R.drawable.shadow_right);
        int resourceId3 = obtainStyledAttributes.getResourceId(2, R.drawable.shadow_bottom);
        a(resourceId, 1);
        a(resourceId2, 2);
        a(resourceId3, 8);
        obtainStyledAttributes.recycle();
        float f = getResources().getDisplayMetrics().density * 400.0f;
        this.g.a(f);
        this.g.b(f * 2.0f);
    }

    public void setContentView(View view) {
        this.f = view;
    }

    public void setEnableGesture(boolean z) {
        this.e = z;
    }

    public void setEdgeTrackingEnabled(int i) {
        this.f1684b = i;
        this.g.a(this.f1684b);
    }

    public void setScrimColor(int i) {
        this.p = i;
        invalidate();
    }

    public void setEdgeSize(int i) {
        this.g.b(i);
    }

    @Deprecated
    public void setSwipeListener(a aVar) {
        a(aVar);
    }

    public void a(a aVar) {
        if (this.k == null) {
            this.k = new ArrayList();
        }
        this.k.add(aVar);
    }

    public void setScrollThresHold(float f) {
        if (f >= 1.0f || f <= 0.0f) {
            throw new IllegalArgumentException("Threshold value should be between 0 and 1.0");
        }
        this.f1685c = f;
    }

    public void a(Drawable drawable, int i) {
        if ((i & 1) != 0) {
            this.l = drawable;
        } else if ((i & 2) != 0) {
            this.m = drawable;
        } else if ((i & 8) != 0) {
            this.n = drawable;
        }
        invalidate();
    }

    public void a(int i, int i2) {
        a(getResources().getDrawable(i), i2);
    }

    @Override // android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        if (this.e) {
            try {
                return this.g.a(motionEvent);
            } catch (ArrayIndexOutOfBoundsException e) {
                return false;
            }
        }
        return false;
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!this.e) {
            return false;
        }
        this.g.b(motionEvent);
        return true;
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        this.q = true;
        if (this.f != null) {
            this.f.layout(this.i, this.j, this.i + this.f.getMeasuredWidth(), this.j + this.f.getMeasuredHeight());
        }
        this.q = false;
    }

    @Override // android.view.View, android.view.ViewParent
    public void requestLayout() {
        if (!this.q) {
            super.requestLayout();
        }
    }

    @Override // android.view.ViewGroup
    protected boolean drawChild(Canvas canvas, View view, long j) {
        boolean z = view == this.f;
        boolean drawChild = super.drawChild(canvas, view, j);
        if (this.o > 0.0f && z && this.g.a() != 0) {
            b(canvas, view);
            a(canvas, view);
        }
        return drawChild;
    }

    private void a(Canvas canvas, View view) {
        int i = (((int) (((this.p & ViewCompat.MEASURED_STATE_MASK) >>> 24) * this.o)) << 24) | (this.p & ViewCompat.MEASURED_SIZE_MASK);
        if ((this.s & 1) != 0) {
            canvas.clipRect(0, 0, view.getLeft(), getHeight());
        } else if ((this.s & 2) != 0) {
            canvas.clipRect(view.getRight(), 0, getRight(), getHeight());
        } else if ((this.s & 8) != 0) {
            canvas.clipRect(view.getLeft(), view.getBottom(), getRight(), getHeight());
        }
        canvas.drawColor(i);
    }

    private void b(Canvas canvas, View view) {
        Rect rect = this.r;
        view.getHitRect(rect);
        if ((this.f1684b & 1) != 0) {
            this.l.setBounds(rect.left - this.l.getIntrinsicWidth(), rect.top, rect.left, rect.bottom);
            this.l.setAlpha((int) (this.o * 255.0f));
            this.l.draw(canvas);
        }
        if ((this.f1684b & 2) != 0) {
            this.m.setBounds(rect.right, rect.top, rect.right + this.m.getIntrinsicWidth(), rect.bottom);
            this.m.setAlpha((int) (this.o * 255.0f));
            this.m.draw(canvas);
        }
        if ((this.f1684b & 8) != 0) {
            this.n.setBounds(rect.left, rect.bottom, rect.right, rect.bottom + this.n.getIntrinsicHeight());
            this.n.setAlpha((int) (this.o * 255.0f));
            this.n.draw(canvas);
        }
    }

    public void a(Activity activity) {
        this.d = activity;
        TypedArray obtainStyledAttributes = activity.getTheme().obtainStyledAttributes(new int[]{16842836});
        int resourceId = obtainStyledAttributes.getResourceId(0, 0);
        obtainStyledAttributes.recycle();
        ViewGroup viewGroup = (ViewGroup) activity.getWindow().getDecorView();
        ViewGroup viewGroup2 = (ViewGroup) viewGroup.getChildAt(0);
        viewGroup2.setBackgroundResource(resourceId);
        viewGroup.removeView(viewGroup2);
        addView(viewGroup2);
        setContentView(viewGroup2);
        a(new com.ndwill.swd.appstore.view.swipebacklayout.b(activity));
        viewGroup.addView(this);
    }

    @Override // android.view.View
    public void computeScroll() {
        this.o = 1.0f - this.h;
        if (this.g.a(true)) {
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    /* loaded from: classes.dex */
    private class c extends d.a {

        /* renamed from: b  reason: collision with root package name */
        private boolean f1687b;

        private c() {
        }

        @Override // com.ndwill.swd.appstore.view.swipebacklayout.d.a
        public boolean a(View view, int i) {
            boolean z = true;
            boolean c2 = SwipeBackLayout.this.g.c(SwipeBackLayout.this.f1684b, i);
            if (c2) {
                if (SwipeBackLayout.this.g.c(1, i)) {
                    SwipeBackLayout.this.s = 1;
                } else if (SwipeBackLayout.this.g.c(2, i)) {
                    SwipeBackLayout.this.s = 2;
                } else if (SwipeBackLayout.this.g.c(8, i)) {
                    SwipeBackLayout.this.s = 8;
                }
                if (SwipeBackLayout.this.k != null && !SwipeBackLayout.this.k.isEmpty()) {
                    for (a aVar : SwipeBackLayout.this.k) {
                        aVar.a(SwipeBackLayout.this.s);
                    }
                }
                this.f1687b = true;
            }
            if (SwipeBackLayout.this.f1684b == 1 || SwipeBackLayout.this.f1684b == 2) {
                z = !SwipeBackLayout.this.g.b(2, i);
            } else if (SwipeBackLayout.this.f1684b != 8) {
                if (SwipeBackLayout.this.f1684b != 11) {
                    z = false;
                }
            } else if (SwipeBackLayout.this.g.b(1, i)) {
                z = false;
            }
            return c2 & z;
        }

        @Override // com.ndwill.swd.appstore.view.swipebacklayout.d.a
        public int a(View view) {
            return SwipeBackLayout.this.f1684b & 3;
        }

        @Override // com.ndwill.swd.appstore.view.swipebacklayout.d.a
        public int b(View view) {
            return SwipeBackLayout.this.f1684b & 8;
        }

        @Override // com.ndwill.swd.appstore.view.swipebacklayout.d.a
        public void a(View view, int i, int i2, int i3, int i4) {
            super.a(view, i, i2, i3, i4);
            if ((SwipeBackLayout.this.s & 1) == 0) {
                if ((SwipeBackLayout.this.s & 2) == 0) {
                    if ((SwipeBackLayout.this.s & 8) != 0) {
                        SwipeBackLayout.this.h = Math.abs(i2 / (SwipeBackLayout.this.f.getHeight() + SwipeBackLayout.this.n.getIntrinsicHeight()));
                    }
                } else {
                    SwipeBackLayout.this.h = Math.abs(i / (SwipeBackLayout.this.f.getWidth() + SwipeBackLayout.this.m.getIntrinsicWidth()));
                }
            } else {
                SwipeBackLayout.this.h = Math.abs(i / (SwipeBackLayout.this.f.getWidth() + SwipeBackLayout.this.l.getIntrinsicWidth()));
            }
            SwipeBackLayout.this.i = i;
            SwipeBackLayout.this.j = i2;
            SwipeBackLayout.this.invalidate();
            if (SwipeBackLayout.this.h < SwipeBackLayout.this.f1685c && !this.f1687b) {
                this.f1687b = true;
            }
            if (SwipeBackLayout.this.k != null && !SwipeBackLayout.this.k.isEmpty()) {
                for (a aVar : SwipeBackLayout.this.k) {
                    aVar.a(SwipeBackLayout.this.g.a(), SwipeBackLayout.this.h);
                }
            }
            if (SwipeBackLayout.this.k != null && !SwipeBackLayout.this.k.isEmpty() && SwipeBackLayout.this.g.a() == 1 && SwipeBackLayout.this.h >= SwipeBackLayout.this.f1685c && this.f1687b) {
                this.f1687b = false;
                for (a aVar2 : SwipeBackLayout.this.k) {
                    aVar2.a();
                }
            }
            if (SwipeBackLayout.this.h >= 1.0f && SwipeBackLayout.this.k != null && !SwipeBackLayout.this.k.isEmpty()) {
                for (a aVar3 : SwipeBackLayout.this.k) {
                    if (aVar3 instanceof b) {
                        ((b) aVar3).b();
                    }
                }
            }
        }

        @Override // com.ndwill.swd.appstore.view.swipebacklayout.d.a
        public void a(View view, float f, float f2) {
            int i;
            int i2 = 0;
            int width = view.getWidth();
            int height = view.getHeight();
            if ((SwipeBackLayout.this.s & 1) == 0) {
                if ((SwipeBackLayout.this.s & 2) == 0) {
                    if ((SwipeBackLayout.this.s & 8) != 0) {
                        i = 0;
                        i2 = (f2 < 0.0f || (f2 == 0.0f && SwipeBackLayout.this.h > SwipeBackLayout.this.f1685c)) ? -(SwipeBackLayout.this.n.getIntrinsicHeight() + height + 10) : 0;
                    } else {
                        i = 0;
                    }
                } else {
                    i = (f < 0.0f || (f == 0.0f && SwipeBackLayout.this.h > SwipeBackLayout.this.f1685c)) ? -(width + SwipeBackLayout.this.l.getIntrinsicWidth() + 10) : 0;
                }
            } else {
                i = (f > 0.0f || (f == 0.0f && SwipeBackLayout.this.h > SwipeBackLayout.this.f1685c)) ? width + SwipeBackLayout.this.l.getIntrinsicWidth() + 10 : 0;
            }
            SwipeBackLayout.this.g.a(i, i2);
            SwipeBackLayout.this.invalidate();
        }

        @Override // com.ndwill.swd.appstore.view.swipebacklayout.d.a
        public int a(View view, int i, int i2) {
            if ((SwipeBackLayout.this.s & 1) == 0) {
                if ((SwipeBackLayout.this.s & 2) != 0) {
                    return Math.min(0, Math.max(i, -view.getWidth()));
                }
                return 0;
            }
            return Math.min(view.getWidth(), Math.max(i, 0));
        }

        @Override // com.ndwill.swd.appstore.view.swipebacklayout.d.a
        public int b(View view, int i, int i2) {
            if ((SwipeBackLayout.this.s & 8) != 0) {
                return Math.min(0, Math.max(i, -view.getHeight()));
            }
            return 0;
        }

        @Override // com.ndwill.swd.appstore.view.swipebacklayout.d.a
        public void a(int i) {
            super.a(i);
            if (SwipeBackLayout.this.k != null && !SwipeBackLayout.this.k.isEmpty()) {
                for (a aVar : SwipeBackLayout.this.k) {
                    aVar.a(i, SwipeBackLayout.this.h);
                }
            }
        }
    }
}
