package com.tdtech.devicemanager;

import android.content.Context;
import android.os.RemoteException;
import java.util.ArrayList;
import java.util.List;
/* loaded from: classes.dex */
public final class IMDM {
    private static IMDM mInstance;
    private Context mContext;

    public static IMDM getInstance(Context context) {
        synchronized (IMDM.class) {
            if (mInstance == null) {
                mInstance = new IMDM(context);
            }
        }
        return mInstance;
    }

    private IMDM(Context context) {
        this.mContext = context;
    }

    public void enableMDM(boolean z) {
        try {
            EmmUtil.mdmIF().enable(z);
        } catch (RemoteException e) {
        }
    }

    public void enableUsb() {
        try {
            EmmUtil.mdmIF().enableUsb();
        } catch (RemoteException e) {
        }
    }

    public void disableUsb() {
        try {
            EmmUtil.mdmIF().disableUsb();
        } catch (RemoteException e) {
        }
    }

    public void enableBluetooth() {
        try {
            EmmUtil.mdmIF().enableBluetooth(true);
        } catch (RemoteException e) {
        }
    }

    public void disableBluetooth() {
        try {
            EmmUtil.mdmIF().enableBluetooth(false);
        } catch (RemoteException e) {
        }
    }

    public void enableCamera() {
        try {
            EmmUtil.mdmIF().enableCamera(true);
        } catch (RemoteException e) {
        }
    }

    public void disableCamera() {
        try {
            EmmUtil.mdmIF().enableCamera(false);
        } catch (RemoteException e) {
        }
    }

    public void enableApp(String str) {
        try {
            EmmUtil.mdmIF().enableApp(str);
        } catch (RemoteException e) {
        }
    }

    public void disableApp(String str) {
        try {
            EmmUtil.mdmIF().disableApp(str);
        } catch (RemoteException e) {
        }
    }

    public void enableNavigation() {
        try {
            EmmUtil.mdmIF().enableNavigation();
        } catch (RemoteException e) {
        }
    }

    public void disableNavigation() {
        try {
            EmmUtil.mdmIF().disableNavigation();
        } catch (RemoteException e) {
        }
    }

    public void enableHome() {
        try {
            EmmUtil.mdmIF().enableHome();
        } catch (RemoteException e) {
        }
    }

    public void disableHome() {
        try {
            EmmUtil.mdmIF().disableHome();
        } catch (RemoteException e) {
        }
    }

    public void enableBack() {
        try {
            EmmUtil.mdmIF().enableBack();
        } catch (RemoteException e) {
        }
    }

    public void disableBack() {
        try {
            EmmUtil.mdmIF().disableBack();
        } catch (RemoteException e) {
        }
    }

    public void enableRecent() {
        try {
            EmmUtil.mdmIF().enableRecent();
        } catch (RemoteException e) {
        }
    }

    public void disableRecent() {
        try {
            EmmUtil.mdmIF().disableRecent();
        } catch (RemoteException e) {
        }
    }

    public void enableVolume() {
        try {
            EmmUtil.mdmIF().enableVolume();
        } catch (RemoteException e) {
        }
    }

    public void disableVolume() {
        try {
            EmmUtil.mdmIF().disableVolume();
        } catch (RemoteException e) {
        }
    }

    public void enableShortPressPower() {
        try {
            EmmUtil.mdmIF().enableShortPressPower();
        } catch (RemoteException e) {
        }
    }

    public void disableShortPressPower() {
        try {
            EmmUtil.mdmIF().disableShortPressPower();
        } catch (RemoteException e) {
        }
    }

    public void enableLongPressPower() {
        try {
            EmmUtil.mdmIF().enableLongPressPower();
        } catch (RemoteException e) {
        }
    }

    public void disableLongPressPower() {
        try {
            EmmUtil.mdmIF().disableLongPressPower();
        } catch (RemoteException e) {
        }
    }

    public void silentInstall(String str) {
        try {
            EmmUtil.mdmIF().silentInstall(str);
        } catch (RemoteException e) {
        }
    }

    public void silentUnInstall(String str) {
        try {
            EmmUtil.mdmIF().silentUnInstall(str);
        } catch (RemoteException e) {
        }
    }

    public void clearLockedScreenPassword() {
        try {
            EmmUtil.mdmIF().clearLockedScreenPassword();
        } catch (RemoteException e) {
        }
    }

    public void resetFactory() {
        try {
            EmmUtil.mdmIF().resetFactory();
        } catch (RemoteException e) {
        }
    }

    public boolean appWhiteListWrite(List<String> list) {
        try {
            return EmmUtil.mdmIF().appWhiteListWrite(list);
        } catch (RemoteException e) {
            return true;
        }
    }

    public List<String> appWhiteListRead() {
        try {
            return EmmUtil.mdmIF().appWhiteListRead();
        } catch (RemoteException e) {
            return new ArrayList();
        }
    }

    public boolean urlWhiteListWrite(List<String> list) {
        try {
            return EmmUtil.mdmIF().urlWhiteListWrite(list);
        } catch (RemoteException e) {
            return true;
        }
    }

    public List<String> urlWhiteListRead() {
        try {
            return EmmUtil.mdmIF().urlWhiteListRead();
        } catch (RemoteException e) {
            return new ArrayList();
        }
    }

    public boolean urlWhiteListExceptionWrite(List<String> list) {
        try {
            return EmmUtil.mdmIF().urlWhiteListExceptionWrite(list);
        } catch (RemoteException e) {
            return true;
        }
    }

    public List<String> urlWhiteListExceptionRead() {
        try {
            return EmmUtil.mdmIF().urlWhiteListExceptionRead();
        } catch (RemoteException e) {
            return new ArrayList();
        }
    }

    public void enableMobileData() {
        try {
            EmmUtil.mdmIF().enableMobileData();
        } catch (RemoteException e) {
        }
    }

    public void disableMobileData() {
        try {
            EmmUtil.mdmIF().disableMobileData();
        } catch (RemoteException e) {
        }
    }

    public void enableGPS() {
        try {
            EmmUtil.mdmIF().enableGps(true);
        } catch (RemoteException e) {
        }
    }

    public void disableGPS() {
        try {
            EmmUtil.mdmIF().enableGps(false);
        } catch (RemoteException e) {
        }
    }

    public void activeDeviceAdmin() {
        try {
            EmmUtil.mdmIF().activeDeviceAdmin();
        } catch (RemoteException e) {
        }
    }

    public void modifySystemTime(long j) {
        try {
            EmmUtil.mdmIF().modifySystemTime(j);
        } catch (RemoteException e) {
        }
    }

    public void enableNFC() {
        try {
            EmmUtil.mdmIF().enableNFC();
        } catch (RemoteException e) {
        }
    }

    public void disableNFC() {
        try {
            EmmUtil.mdmIF().disableNFC();
        } catch (RemoteException e) {
        }
    }

    public void enableSpeech() {
        try {
            EmmUtil.mdmIF().enableSpeech();
        } catch (RemoteException e) {
        }
    }

    public void disableSpeech() {
        try {
            EmmUtil.mdmIF().disableSpeech();
        } catch (RemoteException e) {
        }
    }

    public void showWifiAdvanced() {
        try {
            EmmUtil.mdmIF().showWifiAdvanced();
        } catch (RemoteException e) {
        }
    }

    public void hideWifiAdvanced() {
        try {
            EmmUtil.mdmIF().hideWifiAdvanced();
        } catch (RemoteException e) {
        }
    }

    public void enableSdCard() {
        try {
            EmmUtil.mdmIF().enableSdCard();
        } catch (RemoteException e) {
        }
    }

    public void disableSdCard() {
        try {
            EmmUtil.mdmIF().disableSdCard();
        } catch (RemoteException e) {
        }
    }

    public void showSettingWhole() {
        try {
            EmmUtil.mdmIF().showSettingWhole();
        } catch (RemoteException e) {
        }
    }

    public void showSettingPart() {
        try {
            EmmUtil.mdmIF().showSettingPart();
        } catch (RemoteException e) {
        }
    }

    public void enableScreenShot() {
        try {
            EmmUtil.mdmIF().enableScreenshot(true);
        } catch (RemoteException e) {
        }
    }

    public void disableScreenShot() {
        try {
            EmmUtil.mdmIF().enableScreenshot(false);
        } catch (RemoteException e) {
        }
    }
}
