package okhttp3;

import java.security.cert.Certificate;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.Collections;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Set;
import javax.annotation.Nullable;
import javax.net.ssl.SSLPeerUnverifiedException;
/* compiled from: CertificatePinner.java */
/* loaded from: classes.dex */
public final class g {

    /* renamed from: a  reason: collision with root package name */
    public static final g f1721a = new a().a();

    /* renamed from: b  reason: collision with root package name */
    private final Set<b> f1722b;
    @Nullable

    /* renamed from: c  reason: collision with root package name */
    private final okhttp3.internal.h.c f1723c;

    g(Set<b> set, @Nullable okhttp3.internal.h.c cVar) {
        this.f1722b = set;
        this.f1723c = cVar;
    }

    public boolean equals(@Nullable Object obj) {
        if (obj == this) {
            return true;
        }
        return (obj instanceof g) && okhttp3.internal.c.a(this.f1723c, ((g) obj).f1723c) && this.f1722b.equals(((g) obj).f1722b);
    }

    public int hashCode() {
        return ((this.f1723c != null ? this.f1723c.hashCode() : 0) * 31) + this.f1722b.hashCode();
    }

    public void a(String str, List<Certificate> list) {
        List<b> a2 = a(str);
        if (!a2.isEmpty()) {
            if (this.f1723c != null) {
                list = this.f1723c.a(list, str);
            }
            int size = list.size();
            for (int i = 0; i < size; i++) {
                X509Certificate x509Certificate = (X509Certificate) list.get(i);
                int size2 = a2.size();
                int i2 = 0;
                c.f fVar = null;
                c.f fVar2 = null;
                while (i2 < size2) {
                    b bVar = a2.get(i2);
                    if (bVar.f1727c.equals("sha256/")) {
                        if (fVar == null) {
                            fVar = b(x509Certificate);
                        }
                        if (bVar.d.equals(fVar)) {
                            return;
                        }
                    } else if (bVar.f1727c.equals("sha1/")) {
                        if (fVar2 == null) {
                            fVar2 = a(x509Certificate);
                        }
                        if (bVar.d.equals(fVar2)) {
                            return;
                        }
                    } else {
                        throw new AssertionError("unsupported hashAlgorithm: " + bVar.f1727c);
                    }
                    i2++;
                    fVar2 = fVar2;
                    fVar = fVar;
                }
            }
            StringBuilder append = new StringBuilder().append("Certificate pinning failure!").append("\n  Peer certificate chain:");
            int size3 = list.size();
            for (int i3 = 0; i3 < size3; i3++) {
                X509Certificate x509Certificate2 = (X509Certificate) list.get(i3);
                append.append("\n    ").append(a((Certificate) x509Certificate2)).append(": ").append(x509Certificate2.getSubjectDN().getName());
            }
            append.append("\n  Pinned certificates for ").append(str).append(":");
            int size4 = a2.size();
            for (int i4 = 0; i4 < size4; i4++) {
                append.append("\n    ").append(a2.get(i4));
            }
            throw new SSLPeerUnverifiedException(append.toString());
        }
    }

    List<b> a(String str) {
        List<b> emptyList = Collections.emptyList();
        for (b bVar : this.f1722b) {
            if (bVar.a(str)) {
                if (emptyList.isEmpty()) {
                    emptyList = new ArrayList<>();
                }
                emptyList.add(bVar);
            }
        }
        return emptyList;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public g a(@Nullable okhttp3.internal.h.c cVar) {
        return okhttp3.internal.c.a(this.f1723c, cVar) ? this : new g(this.f1722b, cVar);
    }

    public static String a(Certificate certificate) {
        if (!(certificate instanceof X509Certificate)) {
            throw new IllegalArgumentException("Certificate pinning requires X509 certificates");
        }
        return "sha256/" + b((X509Certificate) certificate).base64();
    }

    static c.f a(X509Certificate x509Certificate) {
        return c.f.of(x509Certificate.getPublicKey().getEncoded()).sha1();
    }

    static c.f b(X509Certificate x509Certificate) {
        return c.f.of(x509Certificate.getPublicKey().getEncoded()).sha256();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: CertificatePinner.java */
    /* loaded from: classes.dex */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        final String f1725a;

        /* renamed from: b  reason: collision with root package name */
        final String f1726b;

        /* renamed from: c  reason: collision with root package name */
        final String f1727c;
        final c.f d;

        boolean a(String str) {
            if (this.f1725a.startsWith("*.")) {
                int indexOf = str.indexOf(46);
                return (str.length() - indexOf) + (-1) == this.f1726b.length() && str.regionMatches(false, indexOf + 1, this.f1726b, 0, this.f1726b.length());
            }
            return str.equals(this.f1726b);
        }

        public boolean equals(Object obj) {
            return (obj instanceof b) && this.f1725a.equals(((b) obj).f1725a) && this.f1727c.equals(((b) obj).f1727c) && this.d.equals(((b) obj).d);
        }

        public int hashCode() {
            return ((((this.f1725a.hashCode() + 527) * 31) + this.f1727c.hashCode()) * 31) + this.d.hashCode();
        }

        public String toString() {
            return this.f1727c + this.d.base64();
        }
    }

    /* compiled from: CertificatePinner.java */
    /* loaded from: classes.dex */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private final List<b> f1724a = new ArrayList();

        public g a() {
            return new g(new LinkedHashSet(this.f1724a), null);
        }
    }
}
