package okhttp3.internal.b;

import java.io.IOException;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.Proxy;
import java.net.SocketAddress;
import java.net.SocketException;
import java.net.UnknownHostException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.NoSuchElementException;
import okhttp3.ac;
import okhttp3.p;
import okhttp3.s;
/* compiled from: RouteSelector.java */
/* loaded from: classes.dex */
public final class f {

    /* renamed from: a  reason: collision with root package name */
    private final okhttp3.a f1760a;

    /* renamed from: b  reason: collision with root package name */
    private final d f1761b;

    /* renamed from: c  reason: collision with root package name */
    private final okhttp3.e f1762c;
    private final p d;
    private int f;
    private List<Proxy> e = Collections.emptyList();
    private List<InetSocketAddress> g = Collections.emptyList();
    private final List<ac> h = new ArrayList();

    public f(okhttp3.a aVar, d dVar, okhttp3.e eVar, p pVar) {
        this.f1760a = aVar;
        this.f1761b = dVar;
        this.f1762c = eVar;
        this.d = pVar;
        a(aVar.a(), aVar.h());
    }

    public boolean a() {
        return c() || !this.h.isEmpty();
    }

    public a b() {
        if (!a()) {
            throw new NoSuchElementException();
        }
        ArrayList arrayList = new ArrayList();
        while (c()) {
            Proxy d = d();
            int size = this.g.size();
            for (int i = 0; i < size; i++) {
                ac acVar = new ac(this.f1760a, d, this.g.get(i));
                if (this.f1761b.c(acVar)) {
                    this.h.add(acVar);
                } else {
                    arrayList.add(acVar);
                }
            }
            if (!arrayList.isEmpty()) {
                break;
            }
        }
        if (arrayList.isEmpty()) {
            arrayList.addAll(this.h);
            this.h.clear();
        }
        return new a(arrayList);
    }

    public void a(ac acVar, IOException iOException) {
        if (acVar.b().type() != Proxy.Type.DIRECT && this.f1760a.g() != null) {
            this.f1760a.g().connectFailed(this.f1760a.a().a(), acVar.b().address(), iOException);
        }
        this.f1761b.a(acVar);
    }

    private void a(s sVar, Proxy proxy) {
        if (proxy != null) {
            this.e = Collections.singletonList(proxy);
        } else {
            List<Proxy> select = this.f1760a.g().select(sVar.a());
            this.e = (select == null || select.isEmpty()) ? okhttp3.internal.c.a(Proxy.NO_PROXY) : okhttp3.internal.c.a(select);
        }
        this.f = 0;
    }

    private boolean c() {
        return this.f < this.e.size();
    }

    private Proxy d() {
        if (!c()) {
            throw new SocketException("No route to " + this.f1760a.a().f() + "; exhausted proxy configurations: " + this.e);
        }
        List<Proxy> list = this.e;
        int i = this.f;
        this.f = i + 1;
        Proxy proxy = list.get(i);
        a(proxy);
        return proxy;
    }

    private void a(Proxy proxy) {
        int g;
        String str;
        this.g = new ArrayList();
        if (proxy.type() == Proxy.Type.DIRECT || proxy.type() == Proxy.Type.SOCKS) {
            String f = this.f1760a.a().f();
            g = this.f1760a.a().g();
            str = f;
        } else {
            SocketAddress address = proxy.address();
            if (!(address instanceof InetSocketAddress)) {
                throw new IllegalArgumentException("Proxy.address() is not an InetSocketAddress: " + address.getClass());
            }
            InetSocketAddress inetSocketAddress = (InetSocketAddress) address;
            String a2 = a(inetSocketAddress);
            g = inetSocketAddress.getPort();
            str = a2;
        }
        if (g < 1 || g > 65535) {
            throw new SocketException("No route to " + str + ":" + g + "; port is out of range");
        }
        if (proxy.type() == Proxy.Type.SOCKS) {
            this.g.add(InetSocketAddress.createUnresolved(str, g));
            return;
        }
        this.d.a(this.f1762c, str);
        List<InetAddress> a3 = this.f1760a.b().a(str);
        if (a3.isEmpty()) {
            throw new UnknownHostException(this.f1760a.b() + " returned no addresses for " + str);
        }
        this.d.a(this.f1762c, str, a3);
        int size = a3.size();
        for (int i = 0; i < size; i++) {
            this.g.add(new InetSocketAddress(a3.get(i), g));
        }
    }

    static String a(InetSocketAddress inetSocketAddress) {
        InetAddress address = inetSocketAddress.getAddress();
        return address == null ? inetSocketAddress.getHostName() : address.getHostAddress();
    }

    /* compiled from: RouteSelector.java */
    /* loaded from: classes.dex */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private final List<ac> f1763a;

        /* renamed from: b  reason: collision with root package name */
        private int f1764b = 0;

        a(List<ac> list) {
            this.f1763a = list;
        }

        public boolean a() {
            return this.f1764b < this.f1763a.size();
        }

        public ac b() {
            if (!a()) {
                throw new NoSuchElementException();
            }
            List<ac> list = this.f1763a;
            int i = this.f1764b;
            this.f1764b = i + 1;
            return list.get(i);
        }

        public List<ac> c() {
            return new ArrayList(this.f1763a);
        }
    }
}
