package okhttp3.internal;

import android.support.v4.media.session.PlaybackStateCompat;
import c.f;
import c.s;
import com.loopj.android.http.AsyncHttpResponseHandler;
import java.io.Closeable;
import java.io.IOException;
import java.io.InterruptedIOException;
import java.net.IDN;
import java.net.InetAddress;
import java.net.Socket;
import java.net.UnknownHostException;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.Locale;
import java.util.TimeZone;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.TimeUnit;
import java.util.regex.Pattern;
import javax.annotation.Nullable;
import okhttp3.ab;
import okhttp3.z;
/* compiled from: Util.java */
/* loaded from: classes.dex */
public final class c {

    /* renamed from: a  reason: collision with root package name */
    public static final byte[] f1769a = new byte[0];

    /* renamed from: b  reason: collision with root package name */
    public static final String[] f1770b = new String[0];

    /* renamed from: c  reason: collision with root package name */
    public static final ab f1771c = ab.a(null, f1769a);
    public static final z d = z.a(null, f1769a);
    private static final f i = f.decodeHex("efbbbf");
    private static final f j = f.decodeHex("feff");
    private static final f k = f.decodeHex("fffe");
    private static final f l = f.decodeHex("0000ffff");
    private static final f m = f.decodeHex("ffff0000");
    public static final Charset e = Charset.forName(AsyncHttpResponseHandler.DEFAULT_CHARSET);
    public static final Charset f = Charset.forName("ISO-8859-1");
    private static final Charset n = Charset.forName("UTF-16BE");
    private static final Charset o = Charset.forName("UTF-16LE");
    private static final Charset p = Charset.forName("UTF-32BE");
    private static final Charset q = Charset.forName("UTF-32LE");
    public static final TimeZone g = TimeZone.getTimeZone("GMT");
    public static final Comparator<String> h = new Comparator<String>() { // from class: okhttp3.internal.c.1
        @Override // java.util.Comparator
        /* renamed from: a */
        public int compare(String str, String str2) {
            return str.compareTo(str2);
        }
    };
    private static final Pattern r = Pattern.compile("([0-9a-fA-F]*:[0-9a-fA-F:.]*)|([\\d.]+)");

    public static void a(long j2, long j3, long j4) {
        if ((j3 | j4) < 0 || j3 > j2 || j2 - j3 < j4) {
            throw new ArrayIndexOutOfBoundsException();
        }
    }

    public static boolean a(Object obj, Object obj2) {
        return obj == obj2 || (obj != null && obj.equals(obj2));
    }

    public static void a(Closeable closeable) {
        if (closeable != null) {
            try {
                closeable.close();
            } catch (RuntimeException e2) {
                throw e2;
            } catch (Exception e3) {
            }
        }
    }

    public static void a(Socket socket) {
        if (socket != null) {
            try {
                socket.close();
            } catch (AssertionError e2) {
                if (!a(e2)) {
                    throw e2;
                }
            } catch (RuntimeException e3) {
                throw e3;
            } catch (Exception e4) {
            }
        }
    }

    public static boolean a(s sVar, int i2, TimeUnit timeUnit) {
        try {
            return b(sVar, i2, timeUnit);
        } catch (IOException e2) {
            return false;
        }
    }

    public static boolean b(s sVar, int i2, TimeUnit timeUnit) {
        long nanoTime = System.nanoTime();
        long d2 = sVar.a().e_() ? sVar.a().d() - nanoTime : Long.MAX_VALUE;
        sVar.a().a(Math.min(d2, timeUnit.toNanos(i2)) + nanoTime);
        try {
            c.c cVar = new c.c();
            while (sVar.a(cVar, PlaybackStateCompat.ACTION_PLAY_FROM_URI) != -1) {
                cVar.r();
            }
            if (d2 == Long.MAX_VALUE) {
                sVar.a().f();
            } else {
                sVar.a().a(d2 + nanoTime);
            }
            return true;
        } catch (InterruptedIOException e2) {
            if (d2 == Long.MAX_VALUE) {
                sVar.a().f();
            } else {
                sVar.a().a(d2 + nanoTime);
            }
            return false;
        } catch (Throwable th) {
            if (d2 == Long.MAX_VALUE) {
                sVar.a().f();
            } else {
                sVar.a().a(d2 + nanoTime);
            }
            throw th;
        }
    }

    public static <T> List<T> a(List<T> list) {
        return Collections.unmodifiableList(new ArrayList(list));
    }

    public static <T> List<T> a(T... tArr) {
        return Collections.unmodifiableList(Arrays.asList((Object[]) tArr.clone()));
    }

    public static ThreadFactory a(final String str, final boolean z) {
        return new ThreadFactory() { // from class: okhttp3.internal.c.2
            @Override // java.util.concurrent.ThreadFactory
            public Thread newThread(Runnable runnable) {
                Thread thread = new Thread(runnable, str);
                thread.setDaemon(z);
                return thread;
            }
        };
    }

    public static String[] a(Comparator<? super String> comparator, String[] strArr, String[] strArr2) {
        ArrayList arrayList = new ArrayList();
        for (String str : strArr) {
            int length = strArr2.length;
            int i2 = 0;
            while (true) {
                if (i2 < length) {
                    if (comparator.compare(str, strArr2[i2]) != 0) {
                        i2++;
                    } else {
                        arrayList.add(str);
                        break;
                    }
                } else {
                    break;
                }
            }
        }
        return (String[]) arrayList.toArray(new String[arrayList.size()]);
    }

    public static boolean b(Comparator<String> comparator, String[] strArr, String[] strArr2) {
        if (strArr == null || strArr2 == null || strArr.length == 0 || strArr2.length == 0) {
            return false;
        }
        for (String str : strArr) {
            for (String str2 : strArr2) {
                if (comparator.compare(str, str2) == 0) {
                    return true;
                }
            }
        }
        return false;
    }

    public static String a(okhttp3.s sVar, boolean z) {
        String f2;
        if (sVar.f().contains(":")) {
            f2 = "[" + sVar.f() + "]";
        } else {
            f2 = sVar.f();
        }
        if (!z && sVar.g() == okhttp3.s.a(sVar.b())) {
            return f2;
        }
        return f2 + ":" + sVar.g();
    }

    public static boolean a(AssertionError assertionError) {
        return (assertionError.getCause() == null || assertionError.getMessage() == null || !assertionError.getMessage().contains("getsockname failed")) ? false : true;
    }

    public static int a(Comparator<String> comparator, String[] strArr, String str) {
        int length = strArr.length;
        for (int i2 = 0; i2 < length; i2++) {
            if (comparator.compare(strArr[i2], str) == 0) {
                return i2;
            }
        }
        return -1;
    }

    public static String[] a(String[] strArr, String str) {
        String[] strArr2 = new String[strArr.length + 1];
        System.arraycopy(strArr, 0, strArr2, 0, strArr.length);
        strArr2[strArr2.length - 1] = str;
        return strArr2;
    }

    public static int a(String str, int i2, int i3) {
        for (int i4 = i2; i4 < i3; i4++) {
            switch (str.charAt(i4)) {
                case '\t':
                case '\n':
                case '\f':
                case '\r':
                case ' ':
                default:
                    return i4;
            }
        }
        return i3;
    }

    public static int b(String str, int i2, int i3) {
        for (int i4 = i3 - 1; i4 >= i2; i4--) {
            switch (str.charAt(i4)) {
                case '\t':
                case '\n':
                case '\f':
                case '\r':
                case ' ':
                default:
                    return i4 + 1;
            }
        }
        return i2;
    }

    public static String c(String str, int i2, int i3) {
        int a2 = a(str, i2, i3);
        return str.substring(a2, b(str, a2, i3));
    }

    public static int a(String str, int i2, int i3, String str2) {
        for (int i4 = i2; i4 < i3; i4++) {
            if (str2.indexOf(str.charAt(i4)) != -1) {
                return i4;
            }
        }
        return i3;
    }

    public static int a(String str, int i2, int i3, char c2) {
        for (int i4 = i2; i4 < i3; i4++) {
            if (str.charAt(i4) == c2) {
                return i4;
            }
        }
        return i3;
    }

    public static String a(String str) {
        InetAddress d2;
        if (str.contains(":")) {
            if (str.startsWith("[") && str.endsWith("]")) {
                d2 = d(str, 1, str.length() - 1);
            } else {
                d2 = d(str, 0, str.length());
            }
            if (d2 == null) {
                return null;
            }
            byte[] address = d2.getAddress();
            if (address.length == 16) {
                return a(address);
            }
            throw new AssertionError("Invalid IPv6 address: '" + str + "'");
        }
        try {
            String lowerCase = IDN.toASCII(str).toLowerCase(Locale.US);
            if (lowerCase.isEmpty()) {
                return null;
            }
            if (d(lowerCase)) {
                return null;
            }
            return lowerCase;
        } catch (IllegalArgumentException e2) {
            return null;
        }
    }

    private static boolean d(String str) {
        for (int i2 = 0; i2 < str.length(); i2++) {
            char charAt = str.charAt(i2);
            if (charAt <= 31 || charAt >= 127) {
                return true;
            }
            if (" #%/:?@[\\]".indexOf(charAt) != -1) {
                return true;
            }
        }
        return false;
    }

    public static int b(String str) {
        int i2 = 0;
        int length = str.length();
        while (i2 < length) {
            char charAt = str.charAt(i2);
            if (charAt > 31 && charAt < 127) {
                i2++;
            } else {
                return i2;
            }
        }
        return -1;
    }

    public static boolean c(String str) {
        return r.matcher(str).matches();
    }

    public static String a(String str, Object... objArr) {
        return String.format(Locale.US, str, objArr);
    }

    public static AssertionError a(String str, Exception exc) {
        AssertionError assertionError = new AssertionError(str);
        try {
            assertionError.initCause(exc);
        } catch (IllegalStateException e2) {
        }
        return assertionError;
    }

    public static int a(char c2) {
        if (c2 < '0' || c2 > '9') {
            if (c2 < 'a' || c2 > 'f') {
                if (c2 < 'A' || c2 > 'F') {
                    return -1;
                }
                return (c2 - 'A') + 10;
            }
            return (c2 - 'a') + 10;
        }
        return c2 - '0';
    }

    /* JADX WARN: Code restructure failed: missing block: B:63:?, code lost:
        return null;
     */
    /* JADX WARN: Removed duplicated region for block: B:27:0x0042  */
    @Nullable
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static InetAddress d(String str, int i2, int i3) {
        int i4;
        int i5;
        byte[] bArr = new byte[16];
        int i6 = i2;
        int i7 = -1;
        int i8 = -1;
        int i9 = 0;
        while (true) {
            if (i6 < i3) {
                if (i9 != bArr.length) {
                    if (i6 + 2 <= i3 && str.regionMatches(i6, "::", 0, 2)) {
                        if (i8 == -1) {
                            i6 += 2;
                            i8 = i9 + 2;
                            if (i6 != i3) {
                                i9 = i8;
                                int i10 = 0;
                                i4 = i6;
                                while (i4 < i3) {
                                }
                                i5 = i4 - i6;
                                if (i5 == 0) {
                                    break;
                                }
                                break;
                            }
                            i9 = i8;
                            break;
                        }
                        return null;
                    }
                    if (i9 != 0) {
                        if (str.regionMatches(i6, ":", 0, 1)) {
                            i6++;
                        } else {
                            if (str.regionMatches(i6, ".", 0, 1) && a(str, i7, i3, bArr, i9 - 2)) {
                                i9 += 2;
                            }
                            return null;
                        }
                    }
                    int i102 = 0;
                    i4 = i6;
                    while (i4 < i3) {
                        int a2 = a(str.charAt(i4));
                        if (a2 == -1) {
                            break;
                        }
                        i102 = (i102 << 4) + a2;
                        i4++;
                    }
                    i5 = i4 - i6;
                    if (i5 == 0 || i5 > 4) {
                        break;
                    }
                    int i11 = i9 + 1;
                    bArr[i9] = (byte) ((i102 >>> 8) & 255);
                    i9 = i11 + 1;
                    bArr[i11] = (byte) (i102 & 255);
                    i7 = i6;
                    i6 = i4;
                } else {
                    return null;
                }
            } else {
                break;
            }
        }
        if (i9 != bArr.length) {
            if (i8 == -1) {
                return null;
            }
            System.arraycopy(bArr, i8, bArr, bArr.length - (i9 - i8), i9 - i8);
            Arrays.fill(bArr, i8, (bArr.length - i9) + i8, (byte) 0);
        }
        try {
            return InetAddress.getByAddress(bArr);
        } catch (UnknownHostException e2) {
            throw new AssertionError();
        }
    }

    private static boolean a(String str, int i2, int i3, byte[] bArr, int i4) {
        int i5 = i2;
        int i6 = i4;
        while (i5 < i3) {
            if (i6 == bArr.length) {
                return false;
            }
            if (i6 != i4) {
                if (str.charAt(i5) != '.') {
                    return false;
                }
                i5++;
            }
            int i7 = 0;
            int i8 = i5;
            while (i8 < i3) {
                char charAt = str.charAt(i8);
                if (charAt < '0' || charAt > '9') {
                    break;
                }
                if ((i7 != 0 || i5 == i8) && ((i7 * 10) + charAt) - 48 <= 255) {
                    i8++;
                }
                return false;
            }
            if (i8 - i5 == 0) {
                return false;
            }
            bArr[i6] = (byte) i7;
            i6++;
            i5 = i8;
        }
        return i6 == i4 + 4;
    }

    private static String a(byte[] bArr) {
        int i2 = 0;
        int i3 = 0;
        int i4 = -1;
        int i5 = 0;
        while (i5 < bArr.length) {
            int i6 = i5;
            while (i6 < 16 && bArr[i6] == 0 && bArr[i6 + 1] == 0) {
                i6 += 2;
            }
            int i7 = i6 - i5;
            if (i7 > i3 && i7 >= 4) {
                i3 = i7;
                i4 = i5;
            }
            i5 = i6 + 2;
        }
        c.c cVar = new c.c();
        while (i2 < bArr.length) {
            if (i2 == i4) {
                cVar.i(58);
                i2 += i3;
                if (i2 == 16) {
                    cVar.i(58);
                }
            } else {
                if (i2 > 0) {
                    cVar.i(58);
                }
                cVar.k(((bArr[i2] & 255) << 8) | (bArr[i2 + 1] & 255));
                i2 += 2;
            }
        }
        return cVar.o();
    }
}
