package okhttp3.internal.g;

import android.os.Build;
import android.util.Log;
import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.net.InetSocketAddress;
import java.net.Socket;
import java.security.Security;
import java.security.cert.Certificate;
import java.security.cert.TrustAnchor;
import java.security.cert.X509Certificate;
import java.util.List;
import javax.annotation.Nullable;
import javax.net.ssl.SSLPeerUnverifiedException;
import javax.net.ssl.SSLSocket;
import javax.net.ssl.X509TrustManager;
import okhttp3.w;
/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: AndroidPlatform.java */
/* loaded from: classes.dex */
public class a extends f {

    /* renamed from: a  reason: collision with root package name */
    private final Class<?> f1882a;

    /* renamed from: b  reason: collision with root package name */
    private final e<Socket> f1883b;

    /* renamed from: c  reason: collision with root package name */
    private final e<Socket> f1884c;
    private final e<Socket> d;
    private final e<Socket> e;
    private final c f = c.a();

    a(Class<?> cls, e<Socket> eVar, e<Socket> eVar2, e<Socket> eVar3, e<Socket> eVar4) {
        this.f1882a = cls;
        this.f1883b = eVar;
        this.f1884c = eVar2;
        this.d = eVar3;
        this.e = eVar4;
    }

    @Override // okhttp3.internal.g.f
    public void a(Socket socket, InetSocketAddress inetSocketAddress, int i) {
        try {
            socket.connect(inetSocketAddress, i);
        } catch (AssertionError e) {
            if (!okhttp3.internal.c.a(e)) {
                throw e;
            }
            throw new IOException(e);
        } catch (ClassCastException e2) {
            if (Build.VERSION.SDK_INT == 26) {
                IOException iOException = new IOException("Exception in connect");
                iOException.initCause(e2);
                throw iOException;
            }
            throw e2;
        } catch (SecurityException e3) {
            IOException iOException2 = new IOException("Exception in connect");
            iOException2.initCause(e3);
            throw iOException2;
        }
    }

    @Override // okhttp3.internal.g.f
    public void a(SSLSocket sSLSocket, String str, List<w> list) {
        if (str != null) {
            this.f1883b.b(sSLSocket, true);
            this.f1884c.b(sSLSocket, str);
        }
        if (this.e != null && this.e.a((e<Socket>) sSLSocket)) {
            this.e.d(sSLSocket, b(list));
        }
    }

    @Override // okhttp3.internal.g.f
    @Nullable
    public String a(SSLSocket sSLSocket) {
        if (this.d != null && this.d.a((e<Socket>) sSLSocket)) {
            byte[] bArr = (byte[]) this.d.d(sSLSocket, new Object[0]);
            return bArr != null ? new String(bArr, okhttp3.internal.c.e) : null;
        }
        return null;
    }

    @Override // okhttp3.internal.g.f
    public void a(int i, String str, Throwable th) {
        int min;
        int i2 = i == 5 ? 5 : 3;
        if (th != null) {
            str = str + '\n' + Log.getStackTraceString(th);
        }
        int i3 = 0;
        int length = str.length();
        while (i3 < length) {
            int indexOf = str.indexOf(10, i3);
            if (indexOf == -1) {
                indexOf = length;
            }
            while (true) {
                min = Math.min(indexOf, i3 + 4000);
                Log.println(i2, "OkHttp", str.substring(i3, min));
                if (min >= indexOf) {
                    break;
                }
                i3 = min;
            }
            i3 = min + 1;
        }
    }

    @Override // okhttp3.internal.g.f
    public Object a(String str) {
        return this.f.a(str);
    }

    @Override // okhttp3.internal.g.f
    public void a(String str, Object obj) {
        if (!this.f.a(obj)) {
            a(5, str, (Throwable) null);
        }
    }

    @Override // okhttp3.internal.g.f
    public boolean b(String str) {
        try {
            Class<?> cls = Class.forName("android.security.NetworkSecurityPolicy");
            return a(str, cls, cls.getMethod("getInstance", new Class[0]).invoke(null, new Object[0]));
        } catch (ClassNotFoundException e) {
            return super.b(str);
        } catch (IllegalAccessException e2) {
            e = e2;
            throw okhttp3.internal.c.a("unable to determine cleartext support", e);
        } catch (IllegalArgumentException e3) {
            e = e3;
            throw okhttp3.internal.c.a("unable to determine cleartext support", e);
        } catch (NoSuchMethodException e4) {
            return super.b(str);
        } catch (InvocationTargetException e5) {
            e = e5;
            throw okhttp3.internal.c.a("unable to determine cleartext support", e);
        }
    }

    private boolean a(String str, Class<?> cls, Object obj) {
        try {
            return ((Boolean) cls.getMethod("isCleartextTrafficPermitted", String.class).invoke(obj, str)).booleanValue();
        } catch (NoSuchMethodException e) {
            return b(str, cls, obj);
        }
    }

    private boolean b(String str, Class<?> cls, Object obj) {
        try {
            return ((Boolean) cls.getMethod("isCleartextTrafficPermitted", new Class[0]).invoke(obj, new Object[0])).booleanValue();
        } catch (NoSuchMethodException e) {
            return super.b(str);
        }
    }

    private static boolean b() {
        if (Security.getProvider("GMSCore_OpenSSL") != null) {
            return true;
        }
        try {
            Class.forName("android.net.Network");
            return true;
        } catch (ClassNotFoundException e) {
            return false;
        }
    }

    @Override // okhttp3.internal.g.f
    public okhttp3.internal.h.c a(X509TrustManager x509TrustManager) {
        try {
            Class<?> cls = Class.forName("android.net.http.X509TrustManagerExtensions");
            return new C0053a(cls.getConstructor(X509TrustManager.class).newInstance(x509TrustManager), cls.getMethod("checkServerTrusted", X509Certificate[].class, String.class, String.class));
        } catch (Exception e) {
            return super.a(x509TrustManager);
        }
    }

    public static f a() {
        Class<?> cls;
        e eVar;
        e eVar2;
        try {
            try {
                cls = Class.forName("com.android.org.conscrypt.SSLParametersImpl");
            } catch (ClassNotFoundException e) {
                cls = Class.forName("org.apache.harmony.xnet.provider.jsse.SSLParametersImpl");
            }
            e eVar3 = new e(null, "setUseSessionTickets", Boolean.TYPE);
            e eVar4 = new e(null, "setHostname", String.class);
            if (b()) {
                eVar2 = new e(byte[].class, "getAlpnSelectedProtocol", new Class[0]);
                eVar = new e(null, "setAlpnProtocols", byte[].class);
            } else {
                eVar = null;
                eVar2 = null;
            }
            return new a(cls, eVar3, eVar4, eVar2, eVar);
        } catch (ClassNotFoundException e2) {
            return null;
        }
    }

    @Override // okhttp3.internal.g.f
    public okhttp3.internal.h.e b(X509TrustManager x509TrustManager) {
        try {
            Method declaredMethod = x509TrustManager.getClass().getDeclaredMethod("findTrustAnchorByIssuerAndSignature", X509Certificate.class);
            declaredMethod.setAccessible(true);
            return new b(x509TrustManager, declaredMethod);
        } catch (NoSuchMethodException e) {
            return super.b(x509TrustManager);
        }
    }

    /* compiled from: AndroidPlatform.java */
    /* renamed from: okhttp3.internal.g.a$a  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    static final class C0053a extends okhttp3.internal.h.c {

        /* renamed from: a  reason: collision with root package name */
        private final Object f1885a;

        /* renamed from: b  reason: collision with root package name */
        private final Method f1886b;

        C0053a(Object obj, Method method) {
            this.f1885a = obj;
            this.f1886b = method;
        }

        @Override // okhttp3.internal.h.c
        public List<Certificate> a(List<Certificate> list, String str) {
            try {
                return (List) this.f1886b.invoke(this.f1885a, (X509Certificate[]) list.toArray(new X509Certificate[list.size()]), "RSA", str);
            } catch (IllegalAccessException e) {
                throw new AssertionError(e);
            } catch (InvocationTargetException e2) {
                SSLPeerUnverifiedException sSLPeerUnverifiedException = new SSLPeerUnverifiedException(e2.getMessage());
                sSLPeerUnverifiedException.initCause(e2);
                throw sSLPeerUnverifiedException;
            }
        }

        public boolean equals(Object obj) {
            return obj instanceof C0053a;
        }

        public int hashCode() {
            return 0;
        }
    }

    /* compiled from: AndroidPlatform.java */
    /* loaded from: classes.dex */
    static final class c {

        /* renamed from: a  reason: collision with root package name */
        private final Method f1889a;

        /* renamed from: b  reason: collision with root package name */
        private final Method f1890b;

        /* renamed from: c  reason: collision with root package name */
        private final Method f1891c;

        c(Method method, Method method2, Method method3) {
            this.f1889a = method;
            this.f1890b = method2;
            this.f1891c = method3;
        }

        Object a(String str) {
            if (this.f1889a != null) {
                try {
                    Object invoke = this.f1889a.invoke(null, new Object[0]);
                    this.f1890b.invoke(invoke, str);
                    return invoke;
                } catch (Exception e) {
                }
            }
            return null;
        }

        boolean a(Object obj) {
            if (obj != null) {
                try {
                    this.f1891c.invoke(obj, new Object[0]);
                    return true;
                } catch (Exception e) {
                    return false;
                }
            }
            return false;
        }

        static c a() {
            Method method;
            Method method2;
            Method method3 = null;
            try {
                Class<?> cls = Class.forName("dalvik.system.CloseGuard");
                method2 = cls.getMethod("get", new Class[0]);
                method = cls.getMethod("open", String.class);
                method3 = cls.getMethod("warnIfOpen", new Class[0]);
            } catch (Exception e) {
                method = null;
                method2 = null;
            }
            return new c(method2, method, method3);
        }
    }

    /* compiled from: AndroidPlatform.java */
    /* loaded from: classes.dex */
    static final class b implements okhttp3.internal.h.e {

        /* renamed from: a  reason: collision with root package name */
        private final X509TrustManager f1887a;

        /* renamed from: b  reason: collision with root package name */
        private final Method f1888b;

        b(X509TrustManager x509TrustManager, Method method) {
            this.f1888b = method;
            this.f1887a = x509TrustManager;
        }

        @Override // okhttp3.internal.h.e
        public X509Certificate a(X509Certificate x509Certificate) {
            try {
                TrustAnchor trustAnchor = (TrustAnchor) this.f1888b.invoke(this.f1887a, x509Certificate);
                if (trustAnchor != null) {
                    return trustAnchor.getTrustedCert();
                }
                return null;
            } catch (IllegalAccessException e) {
                throw okhttp3.internal.c.a("unable to get issues and signature", (Exception) e);
            } catch (InvocationTargetException e2) {
                return null;
            }
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (obj instanceof b) {
                b bVar = (b) obj;
                return this.f1887a.equals(bVar.f1887a) && this.f1888b.equals(bVar.f1888b);
            }
            return false;
        }

        public int hashCode() {
            return this.f1887a.hashCode() + (this.f1888b.hashCode() * 31);
        }
    }
}
