package okhttp3.internal.publicsuffix;

import c.e;
import c.j;
import c.l;
import java.io.IOException;
import java.io.InputStream;
import java.io.InterruptedIOException;
import java.net.IDN;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.atomic.AtomicBoolean;
import okhttp3.internal.c;
import okhttp3.internal.g.f;
/* loaded from: classes.dex */
public final class PublicSuffixDatabase {

    /* renamed from: a  reason: collision with root package name */
    private static final byte[] f1908a = {42};

    /* renamed from: b  reason: collision with root package name */
    private static final String[] f1909b = new String[0];

    /* renamed from: c  reason: collision with root package name */
    private static final String[] f1910c = {"*"};
    private static final PublicSuffixDatabase d = new PublicSuffixDatabase();
    private final AtomicBoolean e = new AtomicBoolean(false);
    private final CountDownLatch f = new CountDownLatch(1);
    private byte[] g;
    private byte[] h;

    public static PublicSuffixDatabase a() {
        return d;
    }

    public String a(String str) {
        int length;
        if (str == null) {
            throw new NullPointerException("domain == null");
        }
        String[] split = IDN.toUnicode(str).split("\\.");
        String[] a2 = a(split);
        if (split.length == a2.length && a2[0].charAt(0) != '!') {
            return null;
        }
        if (a2[0].charAt(0) == '!') {
            length = split.length - a2.length;
        } else {
            length = split.length - (a2.length + 1);
        }
        StringBuilder sb = new StringBuilder();
        String[] split2 = str.split("\\.");
        while (length < split2.length) {
            sb.append(split2[length]).append('.');
            length++;
        }
        sb.deleteCharAt(sb.length() - 1);
        return sb.toString();
    }

    private String[] a(String[] strArr) {
        String str;
        String str2;
        String[] strArr2;
        String[] strArr3;
        String str3 = null;
        int i = 0;
        if (!this.e.get() && this.e.compareAndSet(false, true)) {
            b();
        } else {
            try {
                this.f.await();
            } catch (InterruptedException e) {
            }
        }
        synchronized (this) {
            if (this.g == null) {
                throw new IllegalStateException("Unable to load publicsuffixes.gz resource from the classpath.");
            }
        }
        byte[][] bArr = new byte[strArr.length];
        for (int i2 = 0; i2 < strArr.length; i2++) {
            bArr[i2] = strArr[i2].getBytes(c.e);
        }
        int i3 = 0;
        while (true) {
            if (i3 >= bArr.length) {
                str = null;
                break;
            }
            str = a(this.g, bArr, i3);
            if (str != null) {
                break;
            }
            i3++;
        }
        if (bArr.length > 1) {
            byte[][] bArr2 = (byte[][]) bArr.clone();
            for (int i4 = 0; i4 < bArr2.length - 1; i4++) {
                bArr2[i4] = f1908a;
                String a2 = a(this.g, bArr2, i4);
                if (a2 != null) {
                    str2 = a2;
                    break;
                }
            }
        }
        str2 = null;
        if (str2 != null) {
            while (true) {
                if (i >= bArr.length - 1) {
                    break;
                }
                String a3 = a(this.h, bArr, i);
                if (a3 != null) {
                    str3 = a3;
                    break;
                }
                i++;
            }
        }
        if (str3 != null) {
            return ("!" + str3).split("\\.");
        }
        if (str == null && str2 == null) {
            return f1910c;
        }
        if (str != null) {
            strArr2 = str.split("\\.");
        } else {
            strArr2 = f1909b;
        }
        if (str2 != null) {
            strArr3 = str2.split("\\.");
        } else {
            strArr3 = f1909b;
        }
        return strArr2.length > strArr3.length ? strArr2 : strArr3;
    }

    private static String a(byte[] bArr, byte[][] bArr2, int i) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8 = 0;
        int length = bArr.length;
        while (i8 < length) {
            int i9 = (i8 + length) / 2;
            while (i9 > -1 && bArr[i9] != 10) {
                i9--;
            }
            int i10 = i9 + 1;
            int i11 = 1;
            while (bArr[i10 + i11] != 10) {
                i11++;
            }
            int i12 = (i10 + i11) - i10;
            int i13 = 0;
            int i14 = 0;
            boolean z = false;
            int i15 = i;
            while (true) {
                if (z) {
                    i2 = 46;
                    z = false;
                } else {
                    i2 = bArr2[i15][i13] & 255;
                }
                i3 = i2 - (bArr[i10 + i14] & 255);
                if (i3 != 0) {
                    i4 = i14;
                    i5 = i13;
                    break;
                }
                i14++;
                int i16 = i13 + 1;
                if (i14 == i12) {
                    i5 = i16;
                    i4 = i14;
                    break;
                }
                if (bArr2[i15].length == i16) {
                    if (i15 == bArr2.length - 1) {
                        i5 = i16;
                        i4 = i14;
                        break;
                    }
                    i15++;
                    i16 = -1;
                    z = true;
                }
                i13 = i16;
            }
            if (i3 < 0) {
                i7 = i10 - 1;
                i6 = i8;
            } else if (i3 > 0) {
                i6 = i11 + i10 + 1;
                i7 = length;
            } else {
                int i17 = i12 - i4;
                int length2 = bArr2[i15].length - i5;
                for (int i18 = i15 + 1; i18 < bArr2.length; i18++) {
                    length2 += bArr2[i18].length;
                }
                if (length2 < i17) {
                    i7 = i10 - 1;
                    i6 = i8;
                } else if (length2 > i17) {
                    i6 = i11 + i10 + 1;
                    i7 = length;
                } else {
                    return new String(bArr, i10, i12, c.e);
                }
            }
            length = i7;
            i8 = i6;
        }
        return null;
    }

    private void b() {
        boolean z;
        boolean z2 = false;
        while (true) {
            try {
                try {
                    z = z2;
                    c();
                    break;
                } catch (InterruptedIOException e) {
                    z2 = true;
                } catch (IOException e2) {
                    f.c().a(5, "Failed to read public suffix list", e2);
                    if (!z) {
                        return;
                    }
                    Thread.currentThread().interrupt();
                    return;
                }
            } catch (Throwable th) {
                if (z) {
                    Thread.currentThread().interrupt();
                }
                throw th;
            }
        }
        if (!z) {
            return;
        }
        Thread.currentThread().interrupt();
    }

    private void c() {
        InputStream resourceAsStream = PublicSuffixDatabase.class.getResourceAsStream("publicsuffixes.gz");
        if (resourceAsStream != null) {
            e a2 = l.a(new j(l.a(resourceAsStream)));
            try {
                byte[] bArr = new byte[a2.j()];
                a2.a(bArr);
                byte[] bArr2 = new byte[a2.j()];
                a2.a(bArr2);
                synchronized (this) {
                    this.g = bArr;
                    this.h = bArr2;
                }
                this.f.countDown();
            } finally {
                c.a(a2);
            }
        }
    }
}
