package okhttp3;

import java.lang.ref.Reference;
import java.net.Socket;
import java.util.ArrayDeque;
import java.util.Deque;
import java.util.List;
import java.util.concurrent.Executor;
import java.util.concurrent.SynchronousQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import javax.annotation.Nullable;
import okhttp3.internal.b.g;
/* compiled from: ConnectionPool.java */
/* loaded from: classes.dex */
public final class j {

    /* renamed from: c  reason: collision with root package name */
    static final /* synthetic */ boolean f1911c;
    private static final Executor d;

    /* renamed from: a  reason: collision with root package name */
    final okhttp3.internal.b.d f1912a;

    /* renamed from: b  reason: collision with root package name */
    boolean f1913b;
    private final int e;
    private final long f;
    private final Runnable g;
    private final Deque<okhttp3.internal.b.c> h;

    static {
        f1911c = !j.class.desiredAssertionStatus();
        d = new ThreadPoolExecutor(0, Integer.MAX_VALUE, 60L, TimeUnit.SECONDS, new SynchronousQueue(), okhttp3.internal.c.a("OkHttp ConnectionPool", true));
    }

    public j() {
        this(5, 5L, TimeUnit.MINUTES);
    }

    public j(int i, long j, TimeUnit timeUnit) {
        this.g = new Runnable() { // from class: okhttp3.j.1
            @Override // java.lang.Runnable
            public void run() {
                while (true) {
                    long a2 = j.this.a(System.nanoTime());
                    if (a2 == -1) {
                        return;
                    }
                    if (a2 > 0) {
                        long j2 = a2 / 1000000;
                        long j3 = a2 - (j2 * 1000000);
                        synchronized (j.this) {
                            try {
                                j.this.wait(j2, (int) j3);
                            } catch (InterruptedException e) {
                            }
                        }
                    }
                }
            }
        };
        this.h = new ArrayDeque();
        this.f1912a = new okhttp3.internal.b.d();
        this.e = i;
        this.f = timeUnit.toNanos(j);
        if (j <= 0) {
            throw new IllegalArgumentException("keepAliveDuration <= 0: " + j);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Nullable
    public okhttp3.internal.b.c a(a aVar, okhttp3.internal.b.g gVar, ac acVar) {
        if (f1911c || Thread.holdsLock(this)) {
            for (okhttp3.internal.b.c cVar : this.h) {
                if (cVar.a(aVar, acVar)) {
                    gVar.a(cVar, true);
                    return cVar;
                }
            }
            return null;
        }
        throw new AssertionError();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Nullable
    public Socket a(a aVar, okhttp3.internal.b.g gVar) {
        if (f1911c || Thread.holdsLock(this)) {
            for (okhttp3.internal.b.c cVar : this.h) {
                if (cVar.a(aVar, null) && cVar.d() && cVar != gVar.c()) {
                    return gVar.a(cVar);
                }
            }
            return null;
        }
        throw new AssertionError();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void a(okhttp3.internal.b.c cVar) {
        if (!f1911c && !Thread.holdsLock(this)) {
            throw new AssertionError();
        }
        if (!this.f1913b) {
            this.f1913b = true;
            d.execute(this.g);
        }
        this.h.add(cVar);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public boolean b(okhttp3.internal.b.c cVar) {
        if (f1911c || Thread.holdsLock(this)) {
            if (cVar.f1755a || this.e == 0) {
                this.h.remove(cVar);
                return true;
            }
            notifyAll();
            return false;
        }
        throw new AssertionError();
    }

    long a(long j) {
        okhttp3.internal.b.c cVar;
        long j2;
        okhttp3.internal.b.c cVar2 = null;
        long j3 = Long.MIN_VALUE;
        synchronized (this) {
            int i = 0;
            int i2 = 0;
            for (okhttp3.internal.b.c cVar3 : this.h) {
                if (a(cVar3, j) > 0) {
                    i2++;
                } else {
                    int i3 = i + 1;
                    long j4 = j - cVar3.e;
                    if (j4 > j3) {
                        cVar = cVar3;
                        j2 = j4;
                    } else {
                        cVar = cVar2;
                        j2 = j3;
                    }
                    j3 = j2;
                    cVar2 = cVar;
                    i = i3;
                }
            }
            if (j3 >= this.f || i > this.e) {
                this.h.remove(cVar2);
                okhttp3.internal.c.a(cVar2.b());
                return 0L;
            } else if (i > 0) {
                return this.f - j3;
            } else if (i2 > 0) {
                return this.f;
            } else {
                this.f1913b = false;
                return -1L;
            }
        }
    }

    private int a(okhttp3.internal.b.c cVar, long j) {
        List<Reference<okhttp3.internal.b.g>> list = cVar.d;
        int i = 0;
        while (i < list.size()) {
            Reference<okhttp3.internal.b.g> reference = list.get(i);
            if (reference.get() != null) {
                i++;
            } else {
                okhttp3.internal.g.f.c().a("A connection to " + cVar.a().a().a() + " was leaked. Did you forget to close a response body?", ((g.a) reference).f1768a);
                list.remove(i);
                cVar.f1755a = true;
                if (list.isEmpty()) {
                    cVar.e = j - this.f;
                    return 0;
                }
            }
        }
        return list.size();
    }
}
